Welcome

Welcome to HP Tuners VCM Suite Help!

Click on the following links to access topics:

What is VCM Suite?

What's New in Version 2.2?

Getting Started

Working with VCM Editor

Working with VCM Scanner

Tips and Tricks

Online Resources

Copyright ©2004-2007 HP Tuners LLC
All rights reserved


Introduction

Thank you for purchasing HP Tuners products.

All of our hardware designs undergo rigorous testing to provide years of trouble free service. All products are individually tested before they ship to insure you receive a working product. Please read all of the associated documentation to get the most out of your unit. We hope you enjoy using VCM Suite.

What is a VCM?

What is VCM Suite?

What's New in Version 2.2?

User License Agreement

Acknowledgments

System Requirements

License Information

Contacting Customer Support

Troubleshooting

Warranty

Copyright


What is a VCM?

Vehicle Control Module (VCM)

In this context we use the term Vehicle Control Module (VCM) to mean the control module that is primarily responsible for engine and transmission operation. In some vehicles there is actually two modules, an Engine Control Module (ECM) and a Transmission Control Module (TCM). In general, the number of modules required to be read or written will be transparent to the end user or become obvious during the reading/writing process.

Generally, vehicles contain may other modules that control different aspects of the vehicles operation. At this time VCM Suite does not allow modification of any of these other modules. Some examples are:

  • Body Control module (BCM)
  • Anti-lock Braking System (ABS) module
  • Instrument Panel Cluster (IPC)
  • Active Handling module
  • Radio module
  • Heater, Ventilation and Air Conditioning (HVAC) module
  • Navigation system module


What is VCM Suite?

About VCM Suite

VCM Suite is a comprehensive tuning tool for late model EFI controlled vehicles. It allows performance tuning and scanning (data logging) of the many parameters that control the operation of the engine and transmission. No matter if your desire is to increase the fuel economy of your daily driver or take a twin turbo LS1 down the quarter mile in 9 seconds, VCM Suite is the tool to tune your vehicle.

A typical late model vehicle uses computers to control all aspects of the engine (and in many cases the transmission) operation. Those familiar with any forms of engine and transmission tuning will understand the relevance of parameters such as:
  • Ignition timing
  • Fuel curve (Air Fuel Ratio)
  • Fuel Injector sizes
  • Mass Airflow sensor (MAF)
  • Volumetric Efficiency
  • Idle control
  • Automatic transmission shift speeds
  • Automatic transmission shift pressures

However, the modern vehicle controller also includes various protection mechanisms designed to prevent abuse and premature component failure. These items are of little value in a racing application and some folks are quite surprised to find out they even exist. Some examples are:

  • RPM limiters
  • Speed limiters
  • Torque reduction during transmission shifts
  • Various engine and transmission abuse modes
  • Electronic throttle (fly by wire) torque management
  • Over boost protection
  • Fuel octane learning
  • Catalytic converter protection
  • Various transmission torque limits

VCM Suite gives you complete control over the various facets of performance tuning. In addition it does not overlook the simple (and often forgotten) things such as changing cooling fan operation, recalibration of speedometer for final drive ratio changes, disabling of anti-theft systems for retro installs to name a few. Regardless of your application, VCM suite covers all the main parameters to tune your vehicle and remove any artificial power robbers that decide the 60 foot mark is where your 11 second pass should end (or in some cases even in the burnout box).

Just as in the days of carbureted engines, knowing what to change is only half the story. Being able to accurately and conveniently record some data that reflects the current tune up is paramount to any tuners ability to extract that extra "little bit". VCM Suite includes comprehensive scanner capabilities that allow you to record important parameters while the engine is running. The important things like RPM, spark advance, inlet air temperature, coolant temperatures for example can be logged, saved and reviewed to determine how well the current tune is functioning. Add to this the ability to directly incorporate Wideband O2, Exhaust Gas Temperature and other sensors directly into the data stream via the optional Enhanced I/O (EIO) cable hardware and you have a complete tuning tool that will help you achieve optimum results at the track.

VCM Suite is a complete tuning package designed for beginners and the professional tuner shop or race team. We hope you enjoy using the product!


What's New in Version 2.2?

Version 2.2.0

VCM Editor

  • Added - Support for more 2008 GM vehicles, including corvette LS3.
  • Added - Support for 2006-2007 GM LBZ, LMM V8 Diesel vehicles.
  • Added - Support for 1998-2000 GM Vortec V6 and V8 vehicles.
  • Added - Ford licensing enabled.
  • Added - A6 Torque Management disable.
  • Added - BIN and HPT files can now be dragged into VCM Editor for quicker loading.
  • Added - Ford VCM's with corrupt flash are now usable with disclaimer.
  • Fixed - On some computers, license a file failed when opening files by double clicking them.
  • Fixed - Flashing enabled for 97 V6 and 97/98 V8 vehicles read using VCM Suite 1.x.
  • Fixed - File license prompt fixed when using an MPVI interface on two separate computers.
  • Fixed - File license prompt will not show if there is no definition support for the file.
  • Fixed - Misc bug fixes.

VCM Scanner

  • Added - Ford scanning.
  • Added - Histogram filter indication to tool bar numbers.
  • Added - Readiness Test states for CAN based vehicles (GM Gen4).
  • Added - CFG and HPL files can now be dragged into VCM Scanner for quicker loading.
  • Added - More preconfigured histograms to the histograms folder.
  • Improved - Added 4 more Histogram slots for a total of 12.
  • Fixed - A few E67 OS' would have erratic scan data when a certain set of parameters were logged.
  • Fixed - Misc bug fixes.

Version 2.1.18

General

  • Added - New MPVI Firmware version 112 released for Alloytech equipped vehicles.
  • Improved - Internal database optimized to reduce VCM Editor.exe and VCM Scanner.exe file sizes.
  • Fixed - Application key support for latest batch of MPVI interfaces.

VCM Editor

  • Ford - Read enabled for all current supported Ford vehicles. Edit to come in next beta.
  • Added - Increased parameters for newer ECM's.
  • Added - Support for Holden Alloytech V6.
  • Improved - License prompt now occurs when opening unlicensed files.
  • Improved - Reading vehicles now does not require license activation.
  • Improved - DTC list now allows compare between various GM file formats.
  • Improved - DTC list now shows color differences when in compare view.
  • Improved - Automatically correct invalid OS ID for some GM V8 98 vehicles.
  • Improved - Tab display layouts to reduce parameter scrolling.
  • Fixed - Rare bug that would cause a crash opening a file with a table display already open.
  • Fixed - DTC list now shows color when DTC's are changed for some L4, I5 and I6 vehicles.

VCM Scanner

  • Added - Increased parameters for newer ECM's.
  • Fixed - Unsupported parameters in standalone datalogging (MPVI Pro) would cause a software crash.
  • Fixed - Scanning unsupported AUX Inputs would cause a crash.
  • Fixed - New HPL file format fixes ECM + TCM log file issues.
  • Fixed - RTT issue created by 2.1.16 where some tables would not show and VE values would be off by a small %.

Version 2.1.16

General

  • Added - More DTC descriptions to the master database.

VCM Editor

  • Credits - Lowered GM V8 Gen III Car and Truck unlimited vehicle groups prices.
  • Credits - Created GM V8 Gen IV Car and Truck unlimited vehicle groups.
  • Credits - Lowered GM V8 Gen IV single vehicle prices for US models.
  • Added - Support for 2007 Pontiac G5 2.4L L4.
  • Added - Support for 2006 Hummer H1 Alpha 6.6L V8 Diesel.
  • Added - Support for 2007 Chevy Silverado and GMC Sierra Gen4 V8.
  • Added - More LS2 parameters.
  • Added - Ability to edit Gen4 table axis on tables that support it.
  • Added - Copy with labels and copy axis to the Table Editor.
  • Improved - Engine form is now sizeable vertically.
  • Improved - Transmission form is now sizeable vertically.
  • Improved - Application load time for slower computers.
  • Improved - Moved favorites shortcut to the main parameter list toolbar.
  • Fixed - Limit checking not properly displayed and enforced on newer GM Gen4 vehicles.
  • Fixed - ECM's in vehicles with unsupported TCM's can now be tuned.
  • Fixed - RTT options in VCM Editor for 1261016 OS (Reapply not required).
  • Fixed - RTT Boost Enrich caused PCM reset in 12593358 Boost Enhancements (Must Reapply).
  • Fixed - Cannot break OS Mod locking with VIN/VATS/Tunerlock and different lock algo's.
  • Fixed - Setting of production security codes for GM Gen4 ECM's.

VCM Scanner

  • New - HPL file format to accomodate increased table display size.
  • Added - Log files can now be opened and modified (comments, markers, etc...).
  • Added - User defined PID's and AUX's now added to the function help PID list.
  • Added - Delete icon to the Configure AUX Input and User Defined PID forms.
  • Added - More histograms for GM Gen4 vehicles.
  • Added - Transmission controller scanning for vehicles equipped with both ECM and TCM.
  • Added - Table display status bar.
  • Added - Copy with labels to the Table Display and the RTT Editor.
  • Improved - Increased frame limit to 65535.
  • Improved - VCM Scanner idle mem usage.
  • Improved - Gauge display performance.
  • Improved - Insert parameter list sorting.
  • Improved - Increased Gauge max from 10,000 to 20,000.
  • Improved - Improved support for other GM vehicles.
  • Improved - Increased Table Display size and added option to toggle Vehicle/Aux table locations.
  • Fixed - When disconnecting with RTT window open, changes (with error) could still be made.

Version 2.1.14

General

  • Improved - Cleaned up the progress bar when opening and saving files.
  • Added - RTT support to more VCM Enhancements.
  • Added - More 2007 GM support.

VCM Editor

  • New - HPT file format to improve Ford and Dodge software support.
  • Added - GM Duramax diesel and Allison transmission support.
  • Added - GM 06 2.4 Solstice.
  • Added - GM A6 transmission support.
  • Fixed - Copy over changes in the comparison log for files with different OS ID's.
  • Fixed - Saving larger GM 07 files would sometime hang for a few seconds right before the file saved.
  • Fixed - GM 06 CTS-V Support.
  • Fixed - Rare GM LS2 Erase VCM Phase 1 timed out during a write entire.
  • Fixed - GM LS2 2.5 bar unlimited license activation.
  • Fixed - Table display 3D zoom.

VCM Scanner

  • Improved - First time Scanner is run, Chart, Histogram and Table display will open up.
  • Improved - DTC list order.
  • Improved - Performance of slower laptops with newer high data rate ECM's.
  • Fixed - Unsupported status bits were still polled for during scanning and standalone data logging.
  • Fixed - Standalone data logging crash with very large config files.
  • Fixed - Standalone data logging error when scanning LS2 based vehicles with over 28 bytes.
  • Fixed - Couldn't save config if you've added a gauge but didn't configure the new gauge.
  • Fixed - Gauge display new gauge and meter addition location.
  • Fixed - Sometimes recent logs or log file paths would not be saved to the config.

Version 2.1.12

General

  • Improved - Slightly improved interface data handling and packet distribution.
  • Fixed - New firmware fixes future firmware upgrade issues on computers using USB 1.0 ports.

VCM Editor

  • Added - Real Time Tuning (RTT™) added to many 99-03 GM Gen3 V8 VCM Enhancements.
  • Added - Support for a few GM 2.4 L4, 3.5 and 3.9 V6, 4.4 and 4.6 V8 vehicles including 06 CTS-V.
  • Added - 2bar VCM Enhancement for GM Gen4 V8 vehicles using the E40 ECM (05 Corvette, 05-06 GTO, etc...)
  • Added - Isuzu Ascender, V8 and I6.
  • Added - GM LS2 transmission parameters.
  • Added - GM L4 parameters.
  • Added - GM V6 parameters.
  • Added - More GM V8 Gen3 and Gen4 07 vehicles.
  • Added - Steady state trans pressure for GM Gen3 vehicles.
  • Added - Right click menu with copy over changes in the comparison log.
  • Improved - GM 4.2 I6 write times.
  • Improved - Help files for VCM Editor GM parameters.
  • Fixed - Calibration details VIN change for GM L4/I5/I6 vehicles.
  • Fixed - Rare VCM Write recovery issue for GM 02-05 I6 4.2 vehicles.
  • Fixed - GM 98-00 2bar false knock retard issue. VCM Enhancements must be re-applied to the stock file for this change to take affect.
  • Fixed - Can now read and write GM 06 Corvette vehicles while in vehicle when a TCM is present.

VCM Scanner

  • Added - EIO dropped frame protection.
  • Added - All modules now scanned for DTC's in the DTC window.
  • Added - O2 PIDs for Cobalt, Colorado, Canyon and ION.
  • Added - MPVI Pro standalone data logging.
  • Added - SAE scanning support for newer GM 3.5 V6 vehicles (Malibu, Equinox, G6, etc.).
  • Improved - Can now insert status bits when not currently connected as long as valid vehicle info remains in the history.
  • Fixed - Timestamp for logs that are over one hour in length.
  • Fixed - If a vehicle remains in history, unsupported PIDs would be listed in the Insert PID list when you first load VCM Scanner.

Version 2.1.10

General

  • Added - New MPVI Firmware version 108 released for GM I5 and I6 vehicles.
  • Added - Windows XP 64Bit drivers to the installation CD.
  • Added - VCM Suite installation instructions to the help files.
  • Improved - Core VCM management engine.
  • Fixed - MPVI Driver install error for Windows 98 machines.

VCM Editor

  • Added - A few GM 07 Gen4 vehicles.
  • Added - 2bar for GM 98 Gen3 vehicles.
  • Added - Can change axis units even if cell value has the same imperial and metric units.
  • Added - LS2/LS7 VATS delete.
  • Added - Trans line pressure DTC disable to 97-02 GM V8 Gen3 vehicles.
  • Added - Saab 9-7x V8 and I6 vehicles.
  • Added - Cobalt and ION.
  • Fixed - GM 97 V6 Malibu support.
  • Fixed - Single vehicle license LS2 TCM recovery.
  • Fixed - GM 02 L4 Cavalier multiple ECM support.
  • Fixed - GM 4cyl DTC list.

VCM Scanner

  • Improved - DTC window startup resource usage.
  • Fixed - Histogram filters would sometimes affect the wrong histogram.

Version 2.1.8

VCM Editor

  • I5 & I6 Cyl - Trailblazer, Envoy, Colorado, Canyon and Bravada support added.
  • Added - More V6 parameters.
  • Added - LS2/LS7 speedo parameter to calibrate cluster with a gear/tire change.
  • Fixed - LS2 TCM Recovery.

VCM Scanner

  • Added - Ability to view the output configuration of log files.
  • Fixed - Corrupt user defined PIDs and filters would cause a crash.

Version 2.1.6

General

  • Added - Demos added to the Getting Started section of the help files.

VCM Editor

  • 4 Cyl - Cavalier, Sunfire, Grand Am, Alero, S10 and Sonoma vehicle support completed.
  • Fixed - LS2 speedo recalibration transmission shift point scaling error.
  • Fixed - 2.1.2 created an issue where 97 V6 vehicles could not be licensed.
  • Fixed - VCM Enhancements would show available for any vehicle even if it was not available.

VCM Scanner

  • Fixed - LC-1 wiring diagram.

Version 2.1.4

VCM Editor

  • Added - 06 Corvette to the release build (no A6 support yet).

VCM Scanner

  • Added - MPVI Pro pinouts to the help files.
  • Fixed - VCM Controls for 98 Gen3 V8 vehicles.
  • Fixed - VCM Scanner would crash if your first configured EIO input was not the first input.

Version 2.1.2

General

  • Improved - License Info and VCM Suite Info for MPVI interfaces.

VCM Editor

  • Added - Prevented the ability to accidentally license vehicles that have invalid VIN/OS pairs.
  • Improved - License form now has a better caption indicating File, Vehicles VCM or VCM Enhancement license.
  • Fixed - Single vehicle VCM Enhancement license issue for serial interface upgrades.
  • Fixed - Sometimes if you have both Gen3 V8 Cars and Trucks on an MPVI interface, free VCM Enhancements would not list.

VCM Scanner

  • Added - Gauge display Alert boundaries.
  • Added - Conditional function support for custom PIDs and filters.
  • Functionality - Output functionality in table display now finished.

Version 2.1.0

General

  • USB MPVI - Initial public release.

VCM Editor

  • Added - More LS2 and LS7 parameters.

VCM Scanner

  • Added - LS2 and LS7 VCM Controls.

Version 2.0.18

General

  • Installer - Improved Microsoft .NET 2.0 detection.
  • USB Driver - Updated from version 1.1.1 to 3.1.4.
  • Added - License information forms added to the help menu in both VCM Editor and VCM Scanner.
  • Improved - VCM Suite calculator functionality.
  • Improved - Vehicle detection and handling system.

VCM Editor

  • Added - LS7 support.
  • Added - 4.3 V6 truck support.
  • Added - More supported LS2 vehicles.
  • Added - More LS2 Parameters.
  • Added - MAF Freq Fail for most GM V6 vehicles.
  • Added - Relink VATS to the Flash menu.
  • Added - Support for new GM LS1 OS's for 2004 and 2005 vehicles.
  • Added - A few LS1 fuel level and open loop parameters.
  • Fixed - Speedo Scaling tire size "Error" for some GM V8 Trucks.
  • Fixed - Cranking VE table fixed for GM V8 OS 12221588.
  • Fixed - Incorrect VATS for GM V8 OS 12592433, 12591347, 12587604.
  • Fixed - DFCO bug in GM V8 OS 12592425.
  • Ford - Added more parameters and improved layout for the navigator.
  • Ford - Fixed an issue with setting some switches.
  • 4 Cyl - More parameters added.

VCM Scanner

  • Added - More LS2 parameters.
  • Added - Cylinder Balance and CASE Learn to VCM Controls.
  • Functionality - Increased histogram axis string length.
  • Fixed - Logging multiple identical sensors with EIO would return the same number for all.
  • Fixed - Fixed torque PID for some GM V6 vehicles.
  • Fixed - Rare issue with the Chart marker line not being displayed after scrolling.
  • Fixed - Rare histogram issue when logging a manufacturer and user defined PID of the same sensor type.

Version 2.0.17

General

  • Installer - Added the ability to customize your installation location.
  • Core - Improved internal support for Ford based vehicles.
  • Core - Improved progress bar performance.
  • Help Files - Screenshots improved.
  • Help Files - More information added.

VCM Editor

  • Fixed - If you wrote a PCM and then read it immediately after the Save dialog would not show.
  • Fixed - Undoing a table display no longer resets the view or changes the 2D graph colors/symbols.
  • Fixed - A rare issue when DTC list is displayed and you open up another file, VCM Editor would crash.
  • Fixed - Fixed an rare issue with Serial EIO's that could not locate VCM's on a write.
  • Fixed - After a PCM Write, validation status now shows Completed.
  • Fixed - Fixed a very rare LS2 entire write issue.
  • Fixed - Fixed a small issue with colors in compare mode when compare is not possible on a parameter and the main file parameter has changed.
  • Ford - Added parameters and completed layout to the navigator.

VCM Scanner

  • Added - Reset Peaks to Gauge Display right click menu.
  • Added - Last known vehicle history clear option in Options window.
  • Added - Clear All Data to Histogram Display right click menu.
  • Improved - Gauge Display needles.
  • Fixed - Custom PIDs and Filters are no longer case sensitive.
  • Fixed - VCM Controls now work for more than 5 seconds when not actively scanning.
  • Fixed - Fixed an issue where user defined AUX's defined as Sensors would not be used for user defined PID functions.
  • Fixed - Fixed an issue with user defined AUX's defined as a list value sensor type displaying properly in Histogram and Chart.

Version 2.0.16

  • Public Release - This is the first VCM Suite 2.x public release.

Version 2.0.15

  • Beta Release - Switched installer programs. The new installer has better .NET Framework detection and error messages.
  • Functional Links - Now when you double click items in the Change Log, History Log and Compare Logs the parent forms will open.
  • Incomplete 1.x Features - The following features are not complete and/or do not function in 2.x software yet. VCM Scanner: VCM Controls Special Functions, EIO Outputs. VCM Editor: Force BCM/VATS Relink

Version 2.0.14

  • Beta Release - Mostly just improved help files.

Version 2.0.0

This is our second generation of software and our first major software upgrade. VCM Suite 2.0 is a complete rewrite taking over a years worth of feedback and experience from our 1.x line of software.

VCM Suite 2.0 uses a more graphical user interface than our previous version. It is also designed to be as functional as possible for the most advanced tuners while still remaining easy to use and user friendly for those just starting out. We believe that the new software build can cater to almost any tuner skill level.

VCM Editor
The new VCM Editor is now a combined edit utility as well as flash utility. Using the same piece of software you will be able to read the vehicle, make changes, and then write your changes back without ever having to open up any other applications. There are also many feature improvements including a full graphical color representation of parameters and very functional file compare.

VCM Scanner
The software now has a much more configurable interface. The interface and displays are fully configurable. One major feature of the VCM Scanner software is the ability to change your config file on the fly! While you're scanning you can load up various config files to adjust your chart, histogram and gauge layouts without even having to stop logging the vehicle.

Right Click Functionality
We have added even more right click functionality into our software. All parameters in VCM Editor can now be right clicked for quick modification and configuration. Items in VCM Scanner can also be right clicked for quick access to configuration screens.

Multi-Manufacturer Support
The software engine has been designed to allow the addition of other vehicle manufacturers. In the future we will be releasing more tuning products for other manufacturers using the same VCM Suite interface you have become so used to.

New User Interface
VCM Suite has received a major facelift in this version. The look and feel of the software is much more modern and full of color.


User License Agreement

END-USER LICENSE AGREEMENT

IMPORTANT--READ CAREFULLY: This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and HP Tuners LLC for the software product accompanying this EULA, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install, copy, or use the SOFTWARE PRODUCT.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE.

This EULA grants you the following rights:

* SOFTWARE PRODUCT. The SOFTWARE PRODUCT consists of product documentation, tools and utilities, miscellaneous technical information, and software programs. HP Tuners LLC grants you the right to install and use the SOFTWARE PRODUCT or any portion thereof on a single computer. If you wish to use the SOFTWARE PRODUCT on more than one computer, you must either erase the software from the first computer when you move the SOFTWARE PRODUCT to another computer, or else purchase two copies of the SOFTWARE PRODUCT. You may execute the SOFTWARE PRODUCT from a common disk shared by multiple computers provided that one authorized copy of the SOFTWARE PRODUCT has been licensed for each computer executing the SOFTWARE PRODUCT.

* Ownership of SOFTWARE PRODUCT. HP Tuners LLC retains the copyright, title and ownership of the SOFTWARE PRODUCT regardless of the form or media in or on which the original and other copies may exist. You may make one (1) copy of the SOFTWARE PRODUCT solely for backup purposes. You must reproduce and include the copyright notice on the backup copy.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

* Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not create a derivative work, reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

* Rental. You may not sublicense, sell, rent, or lease the SOFTWARE PRODUCT.

* Separation of Components. The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.

* Software Transfer. You may physically transfer the SOFTWARE PRODUCT from one of your computers to another provided that the SOFTWARE PRODUCT is used on only one computer at a time. You may not distribute copies of the SOFTWARE PRODUCT or accompanying written materials to others. You may not transfer the SOFTWARE PRODUCT to anyone without the prior written consent of HP Tuners LLC.

* Termination. Without prejudice to any other rights, HP Tuners LLC may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

* Reserved rights. HP Tuners LLC reserves all rights not expressly granted to you in this EULA.

3. COPYRIGHT.

All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by HP Tuners LLC or its suppliers. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material. You may not copy the printed materials, if any, accompanying the SOFTWARE PRODUCT.

4. U.S. GOVERNMENT RESTRICTED RIGHTS.

The SOFTWARE PRODUCT and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software--Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is HP Tuners LLC / HP Tuners LLC P.O. Box 801057 Valencia, Ca 91380-1057

5. LIMITED WARRANTY

NO WARRANTY. THE SOFTWARE PRODUCT IS PROVIDED "AS-IS," WITHOUT WARRANTY OF ANY KIND, AND ANY USE OF THE SOFTWARE PRODUCT IS AT YOUR OWN RISK. HP TUNERS LLC DISCLAIMS ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE PRODUCT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE PRODUCT REMAINS WITH YOU.

DISCLAIMER OF LIABILITY

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL HP TUNERS LLC BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT, EVEN IF HP TUNERS LLC HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
IN NO EVENT WILL HP TUNERS LLC BE LIABLE FOR ANY COMPUTER DAMAGE, VEHICLE DAMAGE, PERSONAL INJURY, DEATH, FINES, LAWSUITS, PROSECUTION, LOST PROFITS, LOST DATA, INCORRECT DATA, ENVIRONMENTAL DAMAGE, GOVERNMENT, LAW AND REGULATORY VIOLATIONS OR ANY OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES THAT RESULT FROM USE OR INABILITY TO USE THE SOFTWARE PRODUCT.
THE SOFTWARE PRODUCT IS NOT INTENDED FOR USE IN OPERATION OF MOTOR VEHICLES AND/OR MACHINES WHERE THE USE, FAILURE OR MISUSE OF THE SOFTWARE COULD LEAD TO DEATH, PERSONAL INJURY OR PHYSICAL OR ENVIRONMENTAL DAMAGE AND OR VIOLATE ANY ENVIRONMENTAL, SAFETY, TRANSPORTATION OR OTHER LAWS OR REGULATIONS.
THE SOFTWARE PRODUCT IS NOT INTENDED TO BE USED AS A DEFEAT DEVICE OF ANY DIAGNOSTIC SYSTEM OR CONTROL SYSTEM. IT IS THE USER'S RESPONSIBILITY TO OBTAIN ANY CERTIFICATION, RECERTIFICATION OR NEW CLASSIFICATIONS PERTAINING TO USE.
Some jurisdictions do not allow the limitation of incidental or consequential damages, in all cases HP Tuners LLC total liability to you for all damages will be the greater of the price you paid HP Tuners LLC for the SOFTWARE PRODUCT or $1.00 US

MISCELLANEOUS

If for any reason a court of competent jurisdiction finds any provision, or portion thereof, to be unenforceable, the remainder of this License shall continue in full force and effect.
You may not assign or sublicense any rights granted to you under this EULA without the prior written consent of HP Tuners LLC. HP Tuners LLC may assign this Agreement without restriction.
No action, regardless of form, arising out of this EULA may be brought by you more that one year after the cause of action has arisen.
You acknowledge that you have read this agreement, understand it, and agree to be bound by its terms and conditions. Neither party shall be bound by any statement or representation not contained in this agreement. No change in this agreement is effective unless written and signed by authorized representatives of each party.
This EULA is governed by the laws of the Commonwealth of Nevada. Both Parties agree that the state and federal courts of Nevada will have exclusive jurisdiction over all controversies regarding this EULA. Both parties waive any right to assert any rights or defenses within any other jurisdiction or to require that litigation regarding this Agreement take place anywhere else.

Should you have any questions concerning this EULA, or if you desire to contact HP Tuners LLC for any reason, write:

HP Tuners LLC
P.O. Box 801057
Valencia, Ca 91380-1057


Acknowledgments

Acknowledgments

We would like to thank all of our customers and supporters who have helped make our product the success it is today.
We would also like to thank all of the users who have participated on our forum especially those who have used our feedback and requests section to help build our VCM Suite software feature set.

Special thanks to our forum moderators

Mike Borkowski, 'ws6firebirdta00'

Scott Evans, 'Soundengineer'

William Henn, 'foff667'

Michael Rudolph, 'Screamn03'

Doug Stalter, 'EC_Tune'

Jim Swonger, 'jimmyblue'

Grant Thompson, 'MNR-0'

Special thanks to our most active beta testers

Ron Beyer, 'Shifted'

Mike Borkowski, 'ws6firebirdta00'

Scott Evans, 'Soundengineer'

William Henn, 'foff667'

Mike Horist, 'Horist'

Steven M. Meents, 'MeentSS02'

Marcin Pohl, 'RedHardSupra'

Help File Contributors

Gary Holland, 'devildog9999'

Histogram Contributors

Scott Evans, 'Soundengineer'

User Submitted Tutorials

Scott Evans, 'Soundengineer'

William Henn, 'foff667'


System Requirements

System Requirements

HP Tuners VCM Suite has been designed to work with Microsoft Windows® 98 SE, ME, NT4, 2000, XP or newer.

Minimum

  • 400 MHz CPU
  • 128 Mb RAM
  • Microsoft Windows® 98 SE
  • Serial Port* (Version 1 Serial Interface Only)
  • USB Port (Version 2 USB Interface Only)

Recommended

  • 800 MHz CPU
  • 256 Mb RAM
  • Microsoft Windows® 2000/XP
  • Serial Port* (Version 1 Serial Interface Only)
  • USB Port (Version 2 USB Interface Only)

*If you are using a Version 1 Serial (RS232) Interface and do not have a native serial port you can use a USB to Serial adapter.

Use only quality USB adapters such as the SocketCom PCMCIA card adapter or Keyspan USB-Serial adapter (part # USA-19HS).

Use of poor quality adapters will result in poor performance, data corruption or Windows "Blue Screen".


License Information

VCM Suite License Information

If you ever want to know what licenses you currently have, the License Info form is where you need to look.

Loading the Form:
To open the License Information form, locate the menu item in the Help menu drop down list.

Reading the Form:
There are two possible forms that may come up. If you are a serial interface customer, you will see a basic form.
If you are a USB MPVI interface user, you will see another form with credit and application key information.

USB MPVI Interface Users

Current Licenses:
Here you can view all of your current licenses activated.
The Credits column will show how many credits you used (if any) to activate the license.
The Description column will show you a description of the License Type and the comment you entered in when licensing the Single Vehicle licenses encased in [ ]'s (if applicable).
For Single Vehicle licenses, the Vehicle ID is also displayed. This represents the Single Vehicle Lock.

Available Upgrade Credit Licenses:
This is a very powerful section of our software.
With this form you will be able to tell exactly what licenses you can purchase at a discounted credit cost using your existing licenses for Upgrade Credits.

In the picture shown above, we have a single vehicle GM Firebird/Camaro (V8) 2002 license that cost us 2 credits.
We receive 75% of that purchase (rounded down) as credit (or Upgrade Credit) toward the applicable Year/Model license.
As you can see below, we received 1 Upgrade Credit for our single vehicle license and require 5 more to unlock the GM Firebird/Camaro (V8) 2002 Year/Model license.

Serial Interface Users

Current Licenses:
For serial interface customers, this form is pretty simple to follow.
It simply shows the License Type being either Year/Model or Vehicle Group and a description of that particular license.

Available Upgrade Credit Licenses:
Upgrade Credits are available for MPVI interfaces only.

The MPVI interface provides advanced capabilities that allow customers to take advantage of the HP Tuners credit and upgrade credit systems.
These systems are designed to give freedom, flexibility and scalable investment protection when it comes to licensing vehicles.
Some benefits of the MPVI are:

  • Supports Single Vehicle licenses in addition to existing Model/Year and tunershop packages
  • Choose license type in the vehicle your tuning, lower risk, better planning
  • Upgrade credit system provides a minimum 75% protection of existing investment
  • Credits do not expire and can be purchased at any time via simple application key process
  • Convenient USB interface
  • Optional data logging capability (PC not required during scanning)
  • Hardware support for vehicles like GM's LS2, LS7, L4, I5, I6 and late model Ford and Dodge


Contacting Customer Support

How to Contact Customer Support

If you have a problem and need to contact customer support, please e-mail us at support@hptuners.com.

Please include:

  • Your full name
  • Your customer ID #. This is the same number as the cable ID # and the software serial #.
  • Vehicle you are working on
  • Detailed description of the problem you are having including all error messages
  • Laptop Make, Model, Operating System, CPU and RAM
  • VCM Suite Info log

Step 1:
To obtain a VCM Suite Info log, please use the VCM Suite Info form found in both the VCM Editor and VCM Scanner programs under the help menu.

Step 2:
Click the blue i to poll the software and the vehicle for info.
Note: Make sure your cable is connected to the vehicle and the vehicles key is in the ON position before you click the blue i.

Step 3:
After step 2 has completed (can take between 5 and 20 seconds) you are ready to save the info.
Click the blue file to save the info log. This is the file that you will need to e-mail us.


Troubleshooting

Connecting

Unable to locate an available COM Port.

The interface was not found or is not responding.

No vehicle power detected.

Unable to locate VCM.

Invalid Cable ID.

USB to Serial Adapters.

VCM Editor

Definition failed to load.

Invalid VIN/OS Pair.

Unable to Open File.

Programming

Unable to validate VCM.

Unlicensed Vehicle.

VCM Read Failed

Read failed due to constant checksum errors

Flash checksum validation failed.

VCM Write Failed

File OS ID does not match VCM OS ID.

File hardware does not match VCM hardware.

Security Codes Denied.

Error 1C0000.

Unknown Error 85.

Unable to locate an available COM Port.
Make sure other programs are not currently using the COM port that the interface is plugged into.

  • Verify that you have no other software program running that uses the COM ports (Palm Pilot, UPS, Etc)
  • Verify your COM port settings under Windows Device Manager/ Ports (COM & LPT).
The interface was not found or is not responding.
Verify it is connected properly and that the vehicles diagnostic port has power.
  • Verify cable is firmly connected to the vehicle and laptop.
  • Verify that your OBD-II port has power (check fuse panel).
  • Verify the key is in the ignition and in the ON position.
  • Wait 10 seconds and try again.

    For Serial Interfaces Try the following
  • Verify your COM port settings under Windows Device Manager/ Ports (COM & LPT).
  • Change Advanced Settings for COM port to these values
No vehicle power detected.
Verify cable is connected and key is in the RUN position.
  • Verify cable is firmly connected to the vehicle and laptop.
  • Verify that your OBD-II port has power (check fuse panel).
  • Verify the key is in the ignition and in the ON position.
  • Wait 10 seconds and try again.
Unable to locate VCM.
Verify cable is connected and key is in the RUN position.
  • Verify the key is in the ignition and in the ON position.
  • Wait 10 seconds and try again.
  • If you receive this error in VCM Editor, make sure VCM Scanner is in the disconnected state.
Invalid Cable ID.
You do not have license support for this interface.
  • Please use the software that was sent with this cable.
  • The software and cable are matched to each other.
USB to Serial Adapters.
  • Use only quality USB adapters such as the SocketCom PCMCIA card adapter or Keyspan USB-Serial adapter (part # USA-19HS).
  • Use of poor quality adapters will result in poor performance, data corruption or Windows "Blue Screen".

Definition failed to load. You will be unable to edit this file.
Please e-mail this hpt file to support@hptuners.com with a VCM Suite Info log.

  • We have not added internal support for the file you are trying to use. For us to add the support you must e-mail the file to customer support (support@hptuners.com).
Invalid VIN/OS Pair. Unable to license vehicle.
Please e-mail this hpt file to support@hptuners.com with a VCM Suite Info log.
  • We have not added internal support for the VIN/Operating System combination you are trying to use. For us to add the support you must e-mail the file to customer support (support@hptuners.com).
Unable to Open File. File Failed Validation Check.
  • File failed one of our internal validation checks. To determine if we will be able to support this file you must e-mail the file and a vcm suite infolog to customer cupport (support@hptuners.com).

Unable to validate VCM.

  • The software is unable to determine the VCM type for the vehicle you are connected to.
  • Wait 10 seconds and try again.
  • If the problem persists, please send a VCM Suite Info log to customer support (support@hptuners.com).
Unlicensed Vehicle.
  • You are trying to access a vehicle type that is not supported with your software.
  • If you feel you have reached this message in error, please contact customer support (support@hptuners.com).
VCM Read Failed
  • There was an error during the read process.
  • NOTE: If you are receiving errors during the read process, make sure you use the Non-Active test write feature when trying to write to the VCM. Chances are if you are having troubles reading the VCM, you will have troubles writing to it as well.
  • If you do receive this error frequently, please contact customer support (support@hptuners.com).
Read failed due to constant checksum errors
  • Does your computer meet our minimum requirements?
  • Do you have a lot of background processes running like antivirus?
  • If you are using a USB to Serial converter, is it of quality? (Serial interfaces only)
  • Does your comp port have FIFO buffers disabled? (Serial interfaces only)
  • In Windows Settings, set your COM port to 115200 bits per second and verify you have FIFO buffers enabled. (Serial interfaces only)
  • Make sure you remove all other inline tuning modules.
  • Try pulling the radio, radio amp and other optional components that may interfere with VCM communications.
  • Try low speed mode if available.
Flash checksum validation failed.
  • Try reading the VCM again.
  • If the problem persists, please send the saved file to customer support (support@hptuners.com).
  • Note: You will not be able to modify files that failed the checksum validation.
VCM Write Failed
  • An error during the write process has occurred.
  • DO NOT pull your VCM's fuse in attempt to correct the problem.
  • Restart the software and try to write the VCM again. If the problem persists please contact customer support (support@hptuners.com).
File OS ID does not match VCM OS ID.
Please load a file that is compatible with this VCM.
  • You are trying to write a VCM flash calibration that does not match the current VCM's flash calibration OS ID.
File hardware does not match VCM hardware.
Verify that the loaded file is compatible with this VCM.
  • You are trying to write an entire VCM flash file that is not made for the VCM hardware you are using.
Security Codes Denied.
  • Required Delay not Expired - The required time after key-on before read/write has not been exceeded. The software will auto-restart the process for you 1 time. To prevent this in the future please wait 15 seconds after key-on before you try and read or write the VCM.
  • Invalid Authorization Code - The VCM you are trying to access has been locked. If you are using VCM Suite Pro and locked the file you will receive this message unless you have changed the default behavior in the preferences menu. VCM Flash will automatically retry using the TunerLock system. If you feel you have received this message in error, please send a log using VCM Suite Info to customer support (support@hptuners.com).
Error 1C0000.
  • This error often occurs in late model pcm's when performing a write calibration only. In these cases a write entire is necessary to reprogram the vehicle.
Unknown Error 85.
  • This error often occurs in late model pcm's when performing a write calibration only. In these cases a write entire is necessary to reprogram the vehicle.


Warranty

Limited Interface unit Warranty

HP Tuners stands behind the quality of its products. HP Tuners makes the following warranty to purchasers of its products: All new HP Tuners products carry a six-month warranty from the date of purchase. If proof of purchase cannot be provided, warranty will be determined by date of manufacture.

When Warranty Void

This warranty shall terminate and HP Tuners shall have no obligation pursuant to it if:
  • Your HP Tuners product has been modified or repaired in a manner not previously authorized by HP Tuners in writing
  • The identification markings on your HP Tuners product have been removed, defaced, or altered
  • Your HP Tuners product was subjected to accident, abuse, theft, or improper use
  • Your HP Tuners product was not used or configured as specified in the product manual
  • Your HP Tuners product was subjected to operating conditions more severe than those specified in the product manual or exposed to water and or extreme heat.

Repairs under This Warranty

In the unlikely event that your HP Tuners hardware product should prove defective during the warranty period, contact Customer Support at support@hptuners.com If it is determined that your interface unit is defective you will be issued a return material authorization (RMA) number along with shipping instructions. No interface unit will be exchanged without a return. Your interface is both a protocol converter and software dongle.

What’s in the box

3’ USB 2.0 cable.
6’ OBDII to 15 pin vehicle cable.
Inline protocol converter or Enhanced IO protocol converter (depending on purchase).
Software CD.


Copyright

HP Tuners VCM Suite

Copyright ©2004-2007 HP Tuners LLC - All Rights Reserved

Creators

Keith Prociuk

Ken Cannata

Chris Piastri

www.hptuners.com


Getting Started

Getting started with VCM Suite

With VCM Suite you can read your Vehicle Control Module (VCM), edit parameters and make adjustments to your vehicles tune, then write your tuned calibration file back to your VCM. With VCM Scanner you can monitor your vehicles performance. VCM Scanner combined with the power of VCM Editor gives you the ultimate tool to fine tune your vehicles performance. These basic steps are followed regardless of vehicle type:
  1. Use VCM Editor to read your current VCM calibration.
  2. Modify the desired parameters.
  3. Write the new calibration back to the VCM.
  4. Use VCM Scanner to monitor and quantify the new tune-up.
  5. Repeat from step 2 until tune is completed

Installing the Software

The first thing you need to do is install the software and the USB drivers for the MPVI interface.

Installing the Software

Connecting to the Vehicle

Plug one end of the interface cable into your vehicles OBD-II port and the other into your laptop. Turn the vehicles key into the ON position. Before you can read/write the VCM, you must leave the key in the on position for at least 10 seconds. To use VCM Scanner, either start the vehicle and begin or put they key in the ON position and wait 10 seconds.

Connecting to the Vehicle

Reading the VCM

Editing the VCM

Writing to the VCM

Scanning the Vehicle

Demos

Firmware Update


Installing the Software

Installing the Software

When you receive your order in the mail, you will receive:
  • MPVI USB interface
  • USB cable
  • OBD-2 cable
  • VCM Suite 2.x installation CD

Step 1: Installing the Software

Insert the CD into the CD drive and install the VCM Suite software.
If your CD doesn't autorun you can open the CD folder under My Computer and double click the file "Setup.exe"

After the software has finished installing leave the CD in the drive but do not run the VCM Suite software just yet.

Step 2: Installing the USB MPVI interface drivers

Connect the MPVI interface to the computers USB port with the supplied USB cable.

When Windows recognizes the interface, it will prompt you for drivers.
The drivers are on the CD (this is the reason why we left the CD in the drive at the end of step 1).

Select the "Advanced" option.

Select the "Search Removable Media" option and ensure any other options are deselected.

The following warning will appear, click "Continue Anyway".

This success message will appear, click "Finish" to complete the install.

IMPORTANT! You should be prompted to repeat the driver install for "MPVI Channel B".
Repeat the above process for channel B. This is normal as our interface uses a dual channel USB interface.
Once the drivers have finished installing, you can remove the CD from the drive.

After a successful installation you MUST see the "HP Tuners MPVI Channel A" and "HP Tuners MPVI Channel B" shown in the Windows Device Manager, under the Universal Serial Bus controller menu.
If you do not see both channels installed the interface will not function correctly.

For those machines that refuse to load the correct USB drivers here is what you can try to fix the issue:

Plug the MPVI interface in, go to the control panel, device drivers, expand the USB section.

The drivers should be on the CD or you can always download the latest drivers from here: www.hptuners.com/pub/HPT_MPVI_Drivers.zip.

Steps:

  1. If FTDI A,B are seen and not HP Tuners MPVI Channel A, B, right click on FTDI A and uninstall. Do the same for FTDI B.
  2. Unplug the MPVI.
  3. Unzip the USB driver files (if you downloaded them).
  4. Plug the MPVI back in.
  5. This time when Windows finds a new device, manually select the drivers in the unzipped folder or CD.
If Windows refuses to load the correct drivers, repeat step 1 but this time do not unplug the MPVI. Right click on whatever drivers Windows installed for the MPVI and select "Update Driver". Now direct Windows to the folder or CD where the drivers are.

Step 3: Running the Software

Now, open up VCM Editor for the first time. You can find it in your Start Menu->Programs->HP Tuners->VCM Editor. You will be prompted to enter in an application key. You should have received your application key via e-mail after you placed your order or inside of the box with your interface.

Step 4: All Finished

You are now ready to use our product. Thanks for your support!

For sales and upgrade questions please e-mail us at sales@hptuners.com
For technical support, software and hardware questions please e-mail us at support@hptuners.com

To download the latest software or purchase additional credits, please use the customer login page on our website.

You may also be asked for your serial #. Your serial # can be found on the underside of your interface.


Connecting to the Vehicle

Connecting to the vehicle (Serial RS232 Interface)

  1. Connect the female side of the black serial interface cable to the laptop 9 pin connector.
  2. Connect the male side of the black serial interface cable to the female connector on the interface unit.
  3. Connect the 9 pin side of the OBDII interface cable to the male connector on the interface unit.
  4. Connect the 16 pin side of the OBDII interface cable to the vehicles diagnostic port when you are ready to scan or reprogram the vehicle.

Connecting to the vehicle (USB Interface)

  1. Connect one end of the USB interface cable to the laptop USB connector and the other end to the interface unit.
  2. Connect the 15 pin side of the OBDII interface cable to the male connector on the interface unit.
  3. Connect the 16 pin side of the OBDII interface cable to the vehicles diagnostic port when you are ready to scan or reprogram the vehicle.

Standard Vehicle Interface Unit

Your vehicle interface is an intelligent microprocessor controlled unit. It converts vehicle "talk” to laptop “talk” (protocol converter).

The interface unit is a precision device in rugged design and will provide years of trouble free use. This does not mean your interface can handle all situations. Never expose the unit to water excessive heat or moisture. Never drop or hang the unit by the cables.
Static electricity can damage the unit or cause malfunctions. Always discharge yourself to the vehicle chassis (door, steering column, etc) before connecting or disconnecting the interface unit. While we have done our best to provide static protection, there is no benefit in continually testing this protection.

Enhanced Input/Output (EIO) Vehicle Interface Unit

Your vehicle interface is an intelligent microprocessor controlled unit. It converts vehicle "talk” to laptop “talk” (protocol converter) and also read 4 analog inputs and control two outputs simultaneously. These enhanced real time features are designed work with the VCM Scanner program. Each channels function is configured by the user in the VCM Scanner program. Any analog input can be configured to become a number of different data types in the scanner.

The device output control will operate relays, lights or a combination of both.
Turning on an output is configured in the scanner by choosing an engine variable or A/D channel and setting the conditions for on/off.
Please see the VCM Scanner Enhanced IO section for more information on how to configure these settings.

The interface unit is a precision device in rugged design and will provide years of trouble free use. This does not mean your interface can handle all situations. Never expose the unit to water excessive heat or moisture. Never drop or hang the unit by the cables.
Plug and unplug the cables by holding the connectors, not the wires.
Static electricity can damage the unit or cause malfunctions. When the enhanced IO connection is not in use, always keep the protection plug in place to avoid damaging the pins.
Always discharge yourself to the vehicle chassis (door, steering column, etc) before connecting or disconnecting the interface unit. While we have done our best to provide static protection, there is no benefit in continually testing this protection


Reading the VCM

Reading the VCM

Unlike Version 1.x the 2.0 release incorporates the Flash utility directly into the VCM Editor.

To read your vehicles VCM:
  1. Connect the data cable to the OBDII port.
  2. Open VCM Editor.
  3. Choose FLASH from the main menu bar and select Read Entire.
  4. Click Begin on the Read Entire window.
  5. License Activation (MPVI interface users only).
    If you do not have a license to tune this vehicle, you will be prompted at this stage.
    How to license a vehicle.
  6. When the read is complete, you can begin to edit the VCM's file.


Editing the VCM

Editing the VCM

  1. Open VCM Editor.
  2. Choose File->Open from the main menu bar and select the VCM file you would like to edit.
  3. From here the Main VCM Editor window will display the menu options available. There are two different styles available, the default one, which uses pull down style menus for quick and easy navigation, and the "navigator" view, which will produce a second small window with all of the available options.
    • Tab Style Navigation
    • Tree Style Navigation

  4. Once you have decided upon which menu style you would like to use, you will need to set basic options. Choose your preferences, and close to save them.
    • Options

  5. To easily re-open files used most, there is an option under FILE in the menu bar.
  6. To make notes on the current VCM file, choose Edit, Calibration Details. This will help you to keep better track of your vehicles files. After editing, there is also a change log that allows for a complete history of all changes made to the vehicles file.
    • Calibration Details


Writing to the VCM

Writing to the VCM

Unlike Version 1.x the 2.0 release incorporates the Flash utility directly into the VCM Editor. Writing the VCM is a very easy process, and has been greatly improved in this release.

To write to your vehicles VCM:
  1. Connect the data cable to the OBDII port.
  2. Turn the vehicle off but leave the key in the RUN position.
  3. Open VCM Editor.
  4. Choose FLASH from the main menu bar and select Write Calibration Only.
  5. Click Begin on the Write Calibration Only window.
  6. License Activation (MPVI interface users only).
    If you do not have a license to tune this vehicle, you will be prompted at this stage.
    How to license a vehicle.
  7. When the write is complete, turn the key to the OFF position.
  8. Your vehicles VCM now has your new tune.


Scanning the Vehicle

Scanning the Vehicle

The VCM Scanner in VCM Suite 2 is by far the best release to date. The ability to completely customize the gauges, charts, tables, and PIDs was a long time coming, and it is here.

To begin scanning the vehicle:
  1. Connect the data cable to the OBDII port.
  2. Start the vehicle.
  3. Open VCM Scanner.
  4. To begin scanning, hit the space bar or click the play icon.
  5. To stop scanning, hit the space bar or click the stop icon.
  6. Remember to save your data before re-starting the scanner or your data will be lost.


Demos

Demos

Here you will find demos of common tasks performed in VCM Suite.
These demos will help guide you through the software interface as well as show you new things that you may not have noticed before.

Note: These demos are stored on our website. You must be connected to the internet to view them.

General

Saving a VCM Suite Info Log

VCM Editor

Reading your VCM

Writing Calibration to the VCM

Failed VCM Calibration Write - VCM Recovery

Changing Fan Settings - 160 Degree Thermostat

Applying a 1 Bar SD Enhancement

Applying a 2 Bar SD Enhancement

Using the Compare Feature

VCM Scanner

Adding and Removing PIDs

Creating a Custom PID and Adding a Custom PID to the Histogram

Creating a user defined EIO Input

Standalone Data Logging

Creating and Saving Custom Histograms

Using Plot Filtering in Histograms

Reading and Saving DTC's


Firmware Update

Updating the Firmware

The MPVI Interface has firmware update capabilities built in.
If a new firmware update is available for your interface, you will be prompted to update the interface when you start scanning a vehicle in VCM Scanner or you read or write a vehicle in VCM Editor.

The firmware update is a pretty painless process.
If the firmware update fails, you can still remove all power from the interface and recover it without any problems.

Firmware Update Steps:

  1. Plug the interface into the PC but not the vehicle.
  2. Unplug all other USB devices from the PC.
  3. Do not disturb the PC or Interface during the update. The update can take between 10 and 20 seconds to complete.
  4. Click Begin to start the update process.
  5. If the update fails, please unplug the interface from the PC and then plug it back in. Wait 10 seconds and then click Begin to try again.


Working with VCM Editor

Options

Edit Menu

Calibration Details

Change Log

History Log

Import Changes

Export Changes

Favorites

Compare

Flash Menu

Read VCM

Write VCM

Change VIN

Relink VATS

License Activation

Credit FAQ

Navigation

Tab Style Navigation

Tree Style Navigation

Parameters - GM

Parameters - Ford

Parameters - Dodge

Table Editor

Tuning How To's

Basics

Advanced

User Submitted

Real Time Tuning

Using

Examples


Options

Default Units:
Any parameters that have not had their units manually manipulated by the user will display as the default units.

Graphical Constants:
If you prefer the VCM Suite 1.0 look you can disable the background images for all constants and switches in VCM Suit 2.0. Table buttons will still be displayed using their normal graphical format.
Setting this option to false can help the speed of VCM Editor on very slow computers.

Table Display

  • Colored Table:
    If you do not want to view the standard table display with a color mapped pallet ranging from low to high, you can disable it for an all white table view.

  • Show Focus Circle:
    When in the 2D or 3D view of the table display, a small red circle will highlight the current point your mouse is over.
    When you move your mouse over the 2D and 3D views with this option selected, CPU overhead will greatly increase.
    To improve performance on slower computers, set this option to False.

  • AntiAlias Rendering:
    You can toggle the way the 2D and 3D graphs are drawn.

  • Show Charts:
    For slower computers you may want to disable the charts to help the speed of the table display.
    In most cases, setting this option to False will not increase the performance of the table display in a noticeable manner.


Edit Menu

Calibration Details

Change Log

History Log

Import Changes

Export Changes


Calibration Details

Calibration Details

In this window you can make various generic changes to your calibration. They include:
  • Comment your tune.
  • Change your VIN.
  • Lock/Unlock your tune.

Change your VIN

The following checks are in place when using the Change VIN function:
  • You must have support for the vehicle you are modifying.
  • You must have support for the new VIN you are trying to write.
  • The new VIN must be valid and must qualify for the OS currently found on the VCM.

Lock/Unlock your tune

This feature allows the VCM to be "locked" such that others may not access the VCM's contents. Once locked, the VCM will only be able to be unlocked by the VCM Suite software that locked the VCM.

NOTE: HPTuners is not responsible for the use of this feature by tuners. Tuners should advise customers that their VCM will be locked if this is the tuners business policy. Tuners should have an unlocking policy and advise customers the conditions on which their VCM will be unlocked if the circumstance arises.

TunerLock locking procedure:
  1. Open the file you want to TunerLock in VCM Editor
  2. Open up the Calibration Details window.
  3. Press "TunerLock VCM" icon, the status will reflect the new TunerLock status.
  4. Select Flash->Write Entire VCM (note this is not a risk free operation, frying the VCM is possible using this feature)
  5. VCM will be reflashed...
  6. Wait 15 secs for VCM to reset
  7. Switch ignition OFF for 20 secs to allow VCM to save the changes
  8. Switch ignition ON for 20 secs to verify
  9. Switch ignition OFF for 20 secs
  10. Engine should start and run normally
Once the VCM is locked, the VCM Flash program will require two attempts to unlock the VCM (it defaults to try the standard procedure first).

Once the VCM is TunerLocked, if additional tuning is required, the normal (and safe) "Write VCM" function should be used on VCM Flash.

To unlock the VCM, use the above procedure but press the "Unlock VCM" button instead.

NOTE: You MUST use the "Rewrite Entire VCM" or "Rewrite VIN and CAL" option within VCM Flash for the TunerLock feature to be successfully programmed. It is recommended that you only use the "Rewrite Entire VCM" or "Rewrite VIN and CAL" option when performing these functions (they only need to be done once). After the VCM has been TunerLocked, if additional writing is required, the normal (and safe) "Write VCM" function should be used on VCM Flash.


Change Log

Change Log

Change Log is a compilation of all unsaved changes. The rules of the Change Log window are as follows:
  • Change Logs are moved to the History Log on save if History Logging is enabled.
  • Multiple Change Logs of the same day are combined into one in the History log.
  • You can double click items for instant access.
  • DTC changes will not be logged.


History Log

History Log

History Log is a compilation of change logs since file creation or last clear. The rules of the History Log window are as follows:
  • You can disable addition to this log by unchecking the History Enable Checkmark on the tool bar.
  • Disabling history will not clear previous entries
  • Current unsaved changes will not show up in the history log window.
  • You can also right click history log dates to modify its description or delete it.
  • You can double click items for instant access.
  • DTC changes will not be logged.


Import Changes

Not available.


Export Changes

Not available.


Favorites

Favorites

Your favorites window is completely customizable. You can adjust the size, position and names of your favorites window and the favorites items themselves.

Editing the Favorites Window

To edit the favorites window itself, right click the light gray area behind the actual buttons. To rename a favorite, select the List menu and then click the favorite name in the menu that you would like to rename.

Adding and Removing Favorites

Any switch, constant or table in VCM Editor can be added as a favorite. Simply right click the button on any form you see it on and go down to the Favorites menu. This menu will allow you to add and remove favorites from your master favorites window.


Compare

Compare Menu

File Compare

VCM Suite has a very powerful file comparison utility. Using the compare feature of VCM Suite will give you a very quick overview of differences between any two files you may have.

Major points of VCM Suite file compare:

  • You can compare any files regardless of make/model/operating system
  • When comparing files of different operating system, only parameters of similar types are compared
  • For tables to be compared they must be of the same dimensions in both files
  • DTC differences will not be compared.

Opening a File

After you open a file for comparison, you will have 3 separate views for display.
You can access these views from the tool bar in the main VCM Editor window and also under the compare menu.
The views are also located in each table display you open. When you toggle the compare view of a table display it will only affect that table display. To change the display view of all your open parameters you must use the main VCM Editor window view states.

Toolbar

View the main calibrations values.
View the compare file calibration values.
View the differences between the main file and the compare file calibration values.

Comparison Log

For a quick overview of differences and similarities you can use the comparison log.
Only parameters supported by both calibration and of similar types are displayed.

To easily copy over differences from the compare file onto your primary file,
Left click the parameter our group, then right click and select Copy over Differences.
When copying over differences between files of different operating system ID's,
some parameters may copy over close but not exact. In this case the parameter will still show up in the list.

Toolbar

Save the differences log to a text file.
Print the differences log.
Show differences in the comparison summary.
Show similarities in the comparison summary.


Flash Menu

Read VCM

Write VCM

Change VIN

Relink VATS

License Activation

Credit FAQ


Read VCM

Reading the VCM

To read the VCM follow these steps:
  1. Plug the interface cable into the vehicle OBD2 port and PC serial/USB interface. See Connecting to the Vehicle section for more information.
  2. Open VCM Editor, ensure no files are currently open and select "Read Entire" from the "Flash" menu. Alternatively, click the "Read VCM" icon on the toolbar. The Read VCM form will appear.
  3. Put the key in the ignition and turn to the ON position (do not start the vehicle).
  4. Make sure the doors are closed and accessories are turned off (do not lock or unlock the doors during reading or writing procedures or operate any vehicle accessories)
  5. Wait 10 to 15 seconds.
  6. Click the "Begin" button.
  7. Allow the PC to read the VCM until the status says "VCM Read Completed".
  8. Turn off ignition and optionally unplug the interface cable.
  9. The file is now automatically opened in the VCM Editor and modification can begin. We recommend that if this is the initial read of the stock VCM that you save (and backup) the file with a meaningful name such as "stock.hpt" before any modifications are made. You may wish to restore your vehicle to the stock tune at a later date.

Please note for vehicles with multiple VCM's (eg. LS2 A4 vehicles) there is a 15 second pause between reading each VCM.

About reading the VCM

When you read the VCM, the program is uploading calibration information from your VCM into the VCM Editor application. The read process will automatically detect the presence of relevant VCM's in the vehicle and read them all in sequence transparently to the user. The various status messages and progress bar give information about the current state of the read.

It is not possible to harm your PCM during the read process. If communications is lost the program will automatically reset the PCM after a short delay and prompt you to rectify the problem and/or try again.

Read times

Approximate read times (error free, high speed mode) are as follows:

VCM Type | Read Time (approx.)
LS1 V8 PCM (512k) | 2 mins
LS1 V8 PCM (1024k) | 4 mins
V6 PCM (512k) | 2 mins
V6 PCM (1024k) | 4 mins
LS2 V8 ECM (1280k) | 2 mins
LS2 V8 ECM + TCM (1984k) | 3 mins


Write VCM

Writing the VCM

There are a few different ways you can write to the VCM. They are:
  • Write Calibration Only under the "Flash" menu or by clicking the red colored "Write Calibration Only" icon on the toolbar.
  • Write Entire under the "Flash" menu (advanced users only)
  • Write VIN/Tunerlock/VATS under the "Flash" menu (advanced users only)

"Write Calibration Only" is the regular, safest and fastest way to rewrite the VCM. ALWAYS use "Write VCM" when making regular tuning changes.

The "Write Entire" and "Write VIN/Tunerlock/VATS" options are special features to be used by advanced users only and are discussed further below.

Steps for Writing the VCM

  1. Plug the interface cable into the vehicle OBD2 port and PC serial/USB interface. See Connecting to the Vehicle section for more information.
  2. Open VCM Editor, ensure a valid file for this VCM are currently open (or have just been read) and select "Write Calibration Only" from the "Flash" menu. Alternatively, click the red "Write Calibration Only" icon on the toolbar. The Write VCM form will appear. (Advanced users may select the "Write Entire" or "Write VIN/Tunerlock/VATS" option).
  3. Put the key in the ignition and turn to the on position (do not start the vehicle).
  4. Make sure the doors are closed and accessories are turned off.
  5. Wait 10 to 15 seconds.
  6. Click the "Begin" button.
  7. Allow the PC to write the VCM until it displays "VCM Write Completed"
  8. Turn off ignition and optionally unplug the interface cable.
  9. The new calibration has now been written to the PCM.

Important

  • Do not disrupt the programming session.
  • Do not open vehicle doors or use vehicle accessories.
  • Do not program vehicles with battery voltage lower than 11.5 Volts
  • Do not program vehicles while connected to car battery charger.

VCM Recovery

When rewriting using the "Rewrite Entire VCM" or the "Rewrite VCM VIN and CAL" options, critical components of the VCM software must be erased and re-written. If the VCM loses power during writing of these critical system components, the VCM may become unrecoverable. Do not power down the VCM under any circumstances during a write failure using these advanced options.

Rewrite Entire (selected vehicles only)

This is a useful feature for the tuner shop or mail order tuner and doesn't apply much to a single vehicle tuner. What this can allow you to do is program a VCM that came from another vehicle for your specific vehicle type. You must make sure that the VCM hardware matches. This is a very powerful feature and must be used with caution. If you write a VCM with a file that doesn't belong on it, you could damage the VCM and cause it to be unrecoverable. It is not available on for all vehicle types.

Frequent Questions

When should I use "Write VCM" ?
All the time except in the circumstances described in the following sections.
Never use the following methods to recover a VCM that has failed during a normal Write VCM operation.

When should I use "Write Entire" ?
The only time you should use the Entire VCM Write feature is if you are updating the software on the VCM to a new operating system. For example, using a Corvette VCM with electronic throttle in a Firebird that has cable driven throttle body (same VCM hardware, different Operating System).
If you are recovering from a standard VCM Write failure, using the Rewrite Entire feature will not help ensure the recovery of your VCM. In fact, in a failure scenario from a standard VCM Write you are at more risk for total VCM loss when you try to recover using the Rewrite Entire.

When should I use "Rewrite VIN/Tunerlock/VATS" ?
The only times you would need to use this option is if you have updated the VIN of the VCM (via the editor), are relinking the VATS system or are applying the Tunerlock feature to lock or unlock the VCM. Generally these things only need to be done once (and can be done during a "Write Entire" as well).

Note: It is a good idea to try and limit the advanced writes (Entire and VIN/Tunerlock/VATS) to only once. ie. setup the new operating system with all required VIN, Tunerlock and VATS information and then choose "Write Entire" for the first write only. Then use the normal "Write Calibration Only" option for regular tuning.

"Write VCM" failed and now my car won't start, what do I do?
Don't panic. An error during the write process has occurred.
Follow these guidelines:
  • Make sure vehicle has sufficient battery voltage for programming.
  • Make sure laptop has sufficient power.
  • Make sure all communications cables are connected firmly.
  • DO NOT pull your VCM's fuse or disconnect battery power in attempt to correct the problem.
  • Restart VCM Editor and open up the same file you wrote to the VCM when the error occurred. It is very important that you use the same file. Try to "Write VCM" again.
  • If the problem persists please contact customer support using these instructions Contacting Customer Support.

Write times

Approximate write times (error free, high speed mode) are as follows:

VCM Type | Write Calibration Only | Write Entire | Write VIN/Tunerlock/VATS
LS1 V8 PCM (512k) | 30 secs | 2 mins | 15 secs
LS1 V8 PCM (1024k) | 30 secs | 4 mins | 15 secs
V6 PCM (512k) | 30 secs | 2 mins | 15 secs
V6 PCM (1024k) | 30 secs | 4 mins | 15 secs
LS2 V8 ECM (1280k) | 20 secs | 2 min 45 secs | n/a
LS2 V8 ECM + TCM (1984k) | 30 secs | 3 min 50 secs | n/a


Change VIN

Changing the VIN

Using the Change VIN function allows you to easily change the VIN of the vehicle you are connected to.
This method changes the VIN without having to write a new flash file to the vehicle. Using the Change VIN form will not change the VIN of the file you currently have open.

Procedure
To make VIN changes permanent please use the following steps:

  1. Connect to the vehicle and select Change VIN from the Flash menu.
  2. Enter your new valid VIN and click Commit VIN Changes.
  3. Wait 15 seconds after VIN changes have completed.
  4. Turn Ignition off for 30 seconds.
  5. Turn Ignition on for 30 seconds.
  6. Turn Ignition off for 30 seconds.
  7. Turn Ignition on for 30 seconds.
  8. The new VIN is now stored.

Change VIN Rules
The following checks are in place when using the Change VIN function:

  • You must have support for the vehicle you are modifying.
  • You must have support for the new VIN you are trying to write.
  • The new VIN must be valid and must qualify for the OS currently found on the VCM.


Relink VATS

Relink VATS

This feature allows the VCM to relink with the vehicles security system. It is only required on vehicle fitted with Serial VATS systems. It can be used when a new PCM is used in a vehicle or after reflashing a new operating system into a PCM from a different vehicle.

Procedure
To relink the VCM with the BCM please use the following steps:

  1. Plug the interface cable into the vehicle OBD2 port and PC serial/USB interface. See Connecting to the Vehicle section for more information.
  2. Open VCM Editor and select "Relink VATS" from the "Flash" menu. The Relink VATS form will appear.
  3. Put the key in the ignition and turn to the ON position (do not start the vehicle).
  4. Wait 10 to 15 seconds.
  5. Press the Commit button when ready.
  6. Wait for the procedure to complete.
  7. Turn Ignition off for 30 seconds.
  8. Turn Ignition on for 30 seconds.
  9. Turn Ignition off for 30 seconds.
  10. Turn Ignition on for 30 seconds.
  11. The vehicle has now relinked the VCM to the BCM.

Relink VATS Rules
The following checks are in place when using the Relink VATS function:

  • You can relink VATS on vehicles with serial VATS system.
  • You can relink VATS on any vehicle supported by HP Tuners.
  • You do not need an individual license for the vehicle.


License Activation

License Activation

Whenever you use credits to activate a license, this is the form you will see.
You must use caution when activating licenses.

When reading a vehicle, the rules are:

  • You must have a license for the vehicle you are reading. If you do not have a license, you will be prompted to activate one.

When writing to a vehicle, the rules are:
  • You must have a license for the file you are trying to write to the vehicle.
  • If you are writing a file that has a VCM Enhancement applied, you must also have a license for the VCM Enhancement you are writing to the vehicle.
  • You must also have a license for the vehicle you are trying to write to.
The above rules may sound like a lot just to write a vehicle, however its really not the case.

For example:
When working with your own vehicle, you will almost always read the vehicle first.
On the read, you will be prompted to license the vehicle.
Now you have a license for your vehicle and all files you read from it.

Now that your vehicle is licensed, if you try to write the file back to the vehicle,
you will already have the license for the vehicle as you licensed it when you read the vehicle,
and you will have a license for the file you are trying to write as you pulled it from the vehicle which you already licensed.

Now, if you apply a VCM Enhancement to the file, you will only have to license the VCM Enhancement the next time you program the vehicle as you will already have a license for the base vehicle file and the vehicle itself.

Take caution when:

  • If you download a file from the internet and try to write it into your vehicle,
    when you try to write the vehicle you will be prompted to license the file first.
    After you license the file, if you have not licensed your own vehicle yet, you will yet again be prompted to license your vehicle using additional credits.
  • If you purchase a spare VCM for your vehicle and wish to write your file into it,
    you will still need to license the spare VCM when you try to write it.
    If the spare VCM is of the same year/model type as a year/model or vehicle group license which you already have, you will not be prompted to license the VCM as you will already have licensed support for that VCM.
The above examples are extreme tests of our licensing rules.

License Types:

  • Single Vehicle License - License the vehicles VCM that you are connected to.
  • Year/Model License - License to an unlimited number of vehicles of the same year/model as the vehicle are connected to.
  • Unlimited Vehicle Group - License the vehicle group of the vehicle type you are connected to.
    Not all vehicles support an unlimited vehicle group license. Vehicles that do not support one will not show this third option. For vehicles that do support this option, you can see the entire list of vehicles that fall under this category on our orders page.

Single Vehicle License Comment:
When using a single vehicle license, you can enter in a brief comment.
The comment length you can enter will vary depending on the type of vehicle you are working with.
Don't worry, the window will prevent you from entering in too much data.

You can view the comments in action here.

Comments could be:

  • Customers Name
  • License Plate Number
  • Car Color
  • License Activation Date
  • Winning Lotto Numbers


Credit FAQ

License Credit System - Frequently Asked Questions

1. Why a credit based system?
2. What is a credit?
3. Are there different types of credits?
4. How do I add more credits?
5. How can I tell how many credits I have now?
6. How many credits do I need for a particular license?
7. How do I license a vehicle?
8. Can I delete licenses or swap them for another vehicle?
9. What are Upgrade Credits?
10. What can I do with the 8 free credits on initial purchase?
11. What are Bulk Credit Discounts?

E1. Licensing a single vehicle example.
E2. Licensing a year/model example.
E3. Licensing a tunershop package example.
E4. Licensing a VCM Enhancement example.
E5. Upgrade credits example.

1. Why a credit based system?
A credit based licensing system gives great flexibility and freedom to the customer. In many ways it is just like a prepaid cell phone, you are in complete control of how you use and purchase your credits. Credits are used for all aspects of licensing with the new MPVI interface, including single vehicle (VIN), year/model (vehicle type) and special tunershop packages. For customers who add new vehicles or licenses frequently, the addition of new vehicles/credits is a very streamlined process and requires no software download.

Some of the benefits of the credit system:
  • Product ships with free credits, no need to specify license type at order.
  • Instant addition of credits via simple web based process. No software downloads.
  • Easy to use, menu based system for using credits on various license types.
  • License what you want, when you want.
  • Can keep a credit reserve, "just in case", no waiting for licenses on unusual vehicles.
  • New single vehicle (VIN) licenses in addition to traditional year/model based.
  • Suits all business models, home enthusiast, weekend tuner, small tunershop and large tunershop/manufacturer.
This new system also helps us (HPT) move to a more flexible software structure, the end result of which is more end user features, easier upgrade distribution and faster development times.

2. What is a credit?
A credit, or more precisely, the current number of available credits is the determining factor on what licenses you can select. Each license type has an associated number of credits that are required to activate it. As an example, when you first purchase VCM Suite, it ships with 8 credits. You could use these credits to license four LS1 Single vehicles or two LS2 vehicles, or 2 x LS1 and 1 x LS2 etc. If you do not have enough credits to activate the desired license you must purchase and add more credits. Eg. If you have 4 existing credits and wish to activate an LS1 year/model license (requires 6 credits) you would need to purchase at least 2 additional credits before that option would be available. Overall, the credit is the basic measure of what licenses you can and can't activate at any time.

3. Are there different types of credits?
Yes. At present only GM Credits are available. In future, Ford and Dodge credits will be available. Credits cannot be shared between application types. ie. GM credits could not be used to license Ford vehicles and vice versa.

4. How do I add more credits?
Adding credits is a simple process. Note at present we are almost fully automated, there will be changes to this process over the coming weeks.

To purchase and add new credits:
  1. You must be an existing customer with MPVI interface to purchase new credits.
  2. Go to our Order Upgrades page in the customer center.
  3. Enter the number of additional credits you would like to purchase in the boxes.
  4. Click Add to Cart.
  5. You will be directed to the PayPal website to complete your order.
  6. Please ensure you enter your customer ID (serial #) in the "payment notes" section.
  7. A new software application key will be emailed to you as soon as your order is processed. (Note: this is not fully automated so there will be some processing delay. Once we transition to our new website this will be instant response via email).
  8. Once you receive your new application key, enter it into the VCM Suite software and the additional credits will be activated.

5. How can I tell how many credits I have now?
The VCM Suite Info form lists all important aspects of your software and hardware package, including the number of credits available. It is accessed by selecting "Help -> VCM Suite Info" or by clicking the white "i" callout box icon on the toolbar.

6. How many credits do I need for a particular license?
The credit system is very flexible and the number of credits required to license a particular vehicle depends on the vehicle and the license type required. As an example, to license a Single Vehicle V6 requires 2 credits, but to license unlimited GenIII V8 requires 80 credits.

For a complete listing of credit requirements please see the Supported Vehicles page.

7. How do I license a vehicle?
Licensing a vehicle is a simple process that is done when you try to access a PCM that isn't currently licensed. The software will prompt you with a number of options (see below) depending on the vehicle you are connected to. You then choose the desired option and click the commit button. The appropriate amount of credits will be deducted from your existing credit count.

8. Can I delete licenses or swap them for another vehicle?
No. Once licenses are chosen and committed, they are permanently stored and cannot be erased or swapped.

9. What are Upgrade Credits?
In order for customers to reduce risk and lower entry costs, Upgrade Credits are how Single Vehicle or Year/Model licenses are used to reduce the number of credits required to purchase Year/Model or Tunershop packages. In this system, 75% of the lower license credits will count towards future purchase of the equivalent next higher package. eg. 2001 Camaro Single Vehicle credits count towards 2001 Camaro Year/model, and likewise 2004 GTO year/model counts towards the All GenIII V8 Car package.

The scheme is designed to allow a customer an entry point at the lower license level but protecting that investment for future purchases. The basis of the system is that 75% of all appropriate lower level licenses are added together and deducted from the higher level license. When you are prompted to license a new vehicle, the reduced number of credits will show for the higher level license. If you then decide to select the higher level license at the reduced credits, it will be saved as being purchased at that reduced credit requirement and those credits will also count towards the next higher license level, if one exists. Additionally for new purchases, the credits that come for free do count towards upgrade credits when used.

It is possible to reduce the required amount of credits for the appropriate higher level purchase to zero.

Customers who upgrade from serial to MPVI are totally protected by this system as well. Existing licenses will be transferred to the MPVI at the full applicable credit rates at the time of upgrade. Those credits count towards Upgrade Credits like any others so the investment is protected.

The system also applies to VCM Enhancements, such that single vehicle enhancements will contribute upgrade credits towards the unlimited packages.

The calculation and recording of all upgrade credits is automatic and transparent to the user. Upgrade Credits are calculated based on the number of applicable credits that were recorded at the time they were used, they do not reduce if subsequent credit requirements reduce. eg. if the 2002 Single Vehicle license was reduced to 1 credit in future, then all existing 2002 Single Vehicle licenses a user has will still count as 2 credits towards upgrade credits, any new licenses obviously would count at the new rate of 1 credit.

It is best to illustrate the concept via an example, see diagram below. In this example a customer does the following things:

  1. Uses 4 credits to license 2 x 2000 Fbody Single Vehicles
  2. These 4 credits count towards the 2000 Fbody Year/Model license so they are added together, then multiplied by 75% giving 3 Upgrade Credits.
  3. Since the 2000 Fbody license normally costs 6 credits, it is now reduced to 3 because of the 3 upgrade credits. The calculation of this is completely automatic, all the user will notice is the reduced number of credits on the licensing form.
  4. They then decide to purchase the 2000 Fbody Year/Model license at the reduced 3 credit price, the software records the fact that 3 credits were actually used to license the 2000 Fbody Year/Model. These 3 credits will also count towards the All GenIII V8 Cars package.
  5. The customer then purchases the 2001 and 2002 Fbody Year/Model licenses for 6 credits each. Note they are stored at the full 6 credits by the software since no upgrade credits were applicable at the time. These Year/Model credits now apply to the All GenIII V8 Cars package in exactly the same way.
  6. The total of all applicable Year/Models (3 + 6 + 6) are added together and then 75% are counted towards the package. In this case 11 credits (the result is rounded down) apply to the All GenIII V8 Cars package.
  7. The user then decides to purchase the All GenIII V8 Cars package at the reduced 19 credits.
See here for another example.

10. What can I do with the 8 free credits on initial purchase?
When you first purchase VCM Suite, you receive 8 credits as part of the base package. These credits can be used any combination requiring a total of 8 or less credits, or additional credits can be purchased as well. The system is totally flexible and over time as HP Tuners adds new vehicle support or additional licensed enhancements, credits are used to add that capability to the customer feature set.

Enthusiast with one LS1 vehicle, intake mods, running speed density tune:
- Single Vehicle LS1 license (2 credits)
- 1 bar SD (1 credit)
- 5 credits spare (eg. decides to fit a supercharger in future, can use 2 credits to go to 2 or 3 bar Speed Density no additional purchase required)

Enthusiast with one LS1 vehicle, one LS2 vehicle:
- Single Vehicle LS1 license (2 credits)
- Single Vehicle LS2 license (4 credits)
- 2 credits spare (eg. could license a friends LS1 car/truck)

11. What are Bulk Credit Discounts?
HP Tuners offers discounted rates for large credit purchases, the more credits your purchase in a single order the higher the discount. Discounts of up to 38% are possible. Bulk credits discounts are especially applicable to tunershops looking to get support for a large amount of year/model licenses or packages such as GenIII V8 Car/Truck or V6.

For current details of the credit discounts please see the online Credit FAQ page.

License Credit System - Examples

E1. Licensing a single vehicle example.
Coming soon...

E2. Licensing a year/model example.
Coming soon...

E3. Licensing a tunershop package example.
Coming soon...

E4. Licensing a VCM Enhancement example.
Coming soon...

E5. Upgrade credits example.
This example shows a small tunershop or weekend tuner using upgrade credits to take advantage of the lower entry point while protecting their investment. In this example the customer was an existing HPT customer with Serial EIO interface and Year/Model licenses for the 1999, 2000 and 2001 Fbody vehicles.
  1. Customer upgrades from Serial to MPVI Pro, existing licenses are transferred as 6 credits each.
  2. Then the tuner is faced with a decision. A guy calls about a 2004 GTO tune. He is not sure how many more 2004 GTO's he is going to get so he decides to take the Single Vehicle option for 2 credits on this one and "see how it goes".
  3. Six months pass and then another 2004 GTO request, the tuner then thinks it's been 6 months since the last one so he will just do the same thing. Note at this point the software would have prompted him with a cost of 5 credits to upgrade to the 2004 GTO Year/Model (since 2 x 75% = 1 upgrade credit).
  4. Another few months pass and then another 2004 GTO request, the tuner thinks he has only done two of these and it's cost him $199 for the two single vehicles, he is still $100 ahead over the last nine months compared to the 2004 GTO Year/Model at $299. At this point the software would be prompting him with him with a cost of 3 credits to upgrade to the 2004 GTO Year/Model (since 4 x 75% = 3 upgrade credits). The tuner decides to go the Single Vehicle route again happy that he is doing the right thing.
  5. Another few months pass and then a fourth 2004 GTO request. This time the tuner sees the software is prompting him with him with a cost of 2 credits to upgrade to the 2004 GTO Year/Model (since 6 x 75% = 4 upgrade credits). The tuner then decides he would be crazy not to take the 2004 GTO Year/Model option for 2 credits. He thinks back over the last year and realizes sure he has paid $99 more than if he had taken the risk initially on the 2004 GTO Year/Model license but given the length of time it is of no concern. He would have been much worse off had he purchased the Year/Model upfront and never tuned another 2004 GTO!
  6. This final purchase at the reduced credit price is recorded as 2 credits used to license the 2004 GTO Year/Model.
  7. If we take a look at the number of Year/Model upgrade credits now applying to the All GenIII V8 Cars package we see that 15 credits apply to the All GenIII V8 Cars package and the tuner would see 15 credits required to license it.

- The HP Tuners team.


Navigation

Navigation

VCM Editor supports several styles of navigation. Based on your preference and requirements, you can choose a navigation style that is perfect for your task each and every time.

Tab Style Navigation

Tab Style Navigation is still the primary navigation system for VCM Editor. You will only find pages like DTCs and Speedometer Recalibration through the tab style navigation forms.
The tab style layout will also be more beneficial when you want to get an overview of a calibration, or wish to compare files. Clicking through tabs is much faster than clicking through menus in the tree style navigator.

Tree Style Navigation

The Tree Style Navigator will come in handy when you want to make a quick change to a few constants without having the entire parent forum open and in view. The tree style navigator will only bring up the group of parameters you select in a much smaller window. The new window will be reused every time you open up a new group of parameters using the Navigator window.

Tab Style

Tree Style

Understanding the colors

VCM Editor has a very graphical layout to make reading your calibration and comparing your calibration to other files much easier. Understanding the colors will help you navigate through your tunes at a much faster pace.

There are two color sets. One color set for when you only have 1 calibration file open and another color set that builds off of the base color set for when you have a primary calibration open as well as a compare calibration.

Primary Calibration Open, No Compare File

No changes have been made to the High Octane table.
High Octane table has been changed and has not been saved to file.

Primary Calibration Open With Compare File

Primary file matches compare file.
No changes have been made to the High Octane table.
Primary file matches compare file.
High Octane table has been changed and has not been saved to file.
Primary file is unable to compare against compare file.
No changes have been made to the High Octane table.
Primary file is unable to compare against compare file.
High Octane table has been changed and has not been saved to file.
Primary file is different than compare file.
No changes have been made to the High Octane Table.
Primary file is different than compare file.
High Octane table has been changed and has not been saved to file.


Tab Style Navigation

Tab Style Navigation

Tab style navigation is the primary style of navigation for VCM Suite. You will find all of your editable parameters through the tab style view (just as you would with the tree navigator) plus windows like OS Modifications, DTC lists and Speed recalibration that you wouldn't find under the tree navigator.

Parameter Options
You can right click any switch, constant or table for a menu of options. Using the right click functionality with VCM Suite will save you a lot of time. Simply right click the colored background of the parameter you would like to modify and the menu will appear.

Special Table Options
No longer do you have to open up tables to copy and paste. You can simply right click the table buttons themselves for quick and easy copy and paste access.

Units
You can toggle any unit that supports both metric and imperial values by simply clicking on the unit itself. For example, in the screenshot below if you just click on the F, it will automatically convert over to C.


Tree Style Navigation

Tree Style Navigation

Tree style navigation in VCM Suite is a secondary navigational system. The reason it is called a secondary navigation system is that you will not find special forms like the OS Modifications, DTC List or Speedo Recalibration pages here.

The tree lists intended use is for fast searching through parameters for quick changes. When you click on a parameter, a smaller navigator child window is displayed as shown above. The "System" window shown above only lists the parameters for the System->Fans->General grouping as indicated. When you click a parameter from another list in the tree style navigator, the current "System" window will be reloaded with parameters from the new group you have selected. When you click on tables, they will be opened up into their own table display window.

The navigator child window functions just the same as any other tab style window in that you can right click the parameters for more options as well as toggle the units just by clicking on them.

You can also load the parent tab style navigation form by right clicking a parameter in the tree style list and selecting "Load Parent".


Parameters - GM

Operating System

Engine

General

Idle

Idle RPM

Idle Airflow

Airflow

General Airflow

Dynamic Airflow

Speed Density

Fuel Control

General

Fuel Cutoff, DFCO

Open & Closed Loop

Power Enrich

Accel Enrich

COT, Lean Cruise

Transient Fuel

Diesel

Spark Control

Advance

Retard

Dwell

Knock Sensors

Torque Management

General

Engine Torque

Abuse

Supercharger

Turbocharger

Engine Diagnostics

General

Airflow

Misfire

DTCs

Transmission

Auto Shift Speed

Auto Shift Properties

Auto General Pressure

Auto TCC

Manual C.A.G.S.

Torque Management

Transmission Diagnostics

Fuel System

System

General

Fans

AC

Speedometer

Speedometer

Speed Limiter


GM > Operating System

Operating System Enhancements

HP Tuners offers a number of enhanced operating systems for various applications. Detailed descriptions of each follow.
  • 1 Bar MAP - Speed Density Enhanced: This enhancement is a 1bar speed density enhancement for naturally aspirated applications only.
  • 2 Bar MAP - Speed Density: This enhancement is a 2bar speed density enhancement for low to medium boost turbocharger and supercharger applications.
  • 3 Bar MAP - Speed Density: This enhancement is a 3bar speed density enhancement for medium to high boost turbocharger and supercharger applications.
  • 1 Bar MAF - Enhanced: This enhancement is for vehicles using a MAF. It has been added to allow vehicles to use RTT while not in speed density mode.

Operating System Patches

This patches only apply to the operating system you have open if they are visible. If you do not see them, they do not apply to the file you have open.
  • TCS Patch: This patch allows you to retain full use of traction control when in speed density mode.
  • VATS 1:
  • VATS 2:
  • MAF Freq Patch: In some E40 operating systems, a GM bug would reset the MAF back to 0 once an upper limit was reached.

Operating System Enhancements With Real Time Tuning (RTT)

Starting with the release of VCM Suite 2.1.12 we have added Real Time Tuning to our VCM Enhancements.
What we have done is add the RTT on top of our existing VCM Enhancements. If a VCM Enhancement has support for RTT, it will display as follows:

Applying the VCM Enhancement is the same as any other.
If you already have an existing VCM Enhancement applied to your vehicle and wish to use RTT,
you will need to re-apply the VCM Enhancement with RTT from your stock GM OS.

For information on how to use our Real Time Tuning VCM Enhancements, please see the Real Time Tuning section in the help files.

1bar Speed Density Enhanced (GenIII V8)

This enhancement contains the following features:

  • Speed Density mode only
  • Dual (High and Low Octane) Spark table support
  • new VE Multiplier vs. TPS vs. RPM table, with non-linear TPS resolution and RPM resolution
  • Secondary VE table not used (if applicable)

2bar and 3bar MAP - Speed Density (GenIII V8)

This enhancement contains the following features:

  • 2bar MAP sensor support (calibration capability for GM 0-5V linear MAP sensors)
  • Retains 5 kPa resolution in non-boost regions (2bar pre 04/05)
  • 5 kPa resolution in boost regions (2bar pre 04/05)
  • 10 kPa resolution in boost regions (2bar and 3bar post 04/05)
  • secondary VE table not used (if applicable)
  • New MAP referenced "Boost Enrich" table
  • New openloop MAP threshold
  • Dual (High and Low Octane) Spark table support
  • Speed Density mode only
  • VCM Scanner histogram automatically recognizes and adjusts for 2bar/3bar feature (if applicable)
  • New 2bar/3bar MAP PID for VCM Scanner (if applicable)

NOTE: You must use a correctly calibrated 2bar MAP sensor for this application. The default MAP sensor calibration values may not be accurate for your MAP sensor.

NOTE: On 98 V8 vehicles there is no 2bar MAP PID. The SAE MAP PID has been reprogrammed to register the correct amount of boost. Also, due to the fact that the 98 Vehicles do not report an OS ID, the histograms will not automatically enlarge for boosted regions. You will need to create your own or load histograms from the saved folder. Pre-configured histograms for 98 2bar vehicles are located there.

Application Procedure (GenIII V8)

To apply the enhancement to your PCM please use the following procedure. NOTE: the procedure involves the use of the "Write Entire" process. This process is not guaranteed to be safe. Please do not attempt to write the entire VCM if you have had any trouble reading or writing the VCM in the past. If an error occurs during writing of critical operating system components and the VCM is powered down, the VCM will become unrecoverable via software methods.

  1. Start with a stock or existing tune from the PCM.
  2. Open the file in VCM Editor
  3. Select Operating System, a window will appear with choices available.
  4. Apply the relevant modification by clicking the button.
  5. When prompted, save the file under a new name something like "XYZ_2bar.bin". This is now your new "Base" file that must be used for all future tuning.
  6. The editor will automatically close the file after saving.
  7. Open the newly saved file in the editor. You should see that the operating system ID has changed from your original file.
  8. (This step for 2bar and 3bar enhancement only) The VE table will be full of invalid data. You *must* create a valid VE table before writing the file to the PCM. It is a good idea to copy your previous VE table into the non-boost region and then copy and increase the last row of the VE table to the new boost area. It is important to start tuning on the rich side (higher numbers) and then work back to your desired AFR.
  9. Save the file in the editor, you are now ready to write to the PCM.
  10. IMPORTANT: The next step involves using the "Write Entire" option. Remember this option is not 100% recoverable on failure in some circumstances. Do NOT disconnect the battery if you have problems during this next step. Once this step is completed you can use the regular "Write VCM" function for all tuning changes.
  11. Connect to the vehicle and turn on ignition, wait 10secs.
  12. Still in VCM Editor with your file open, select Flash -> Write Entire. The process takes approximately 2-4 minutes depending on vehicle type.
  13. When the write is completed, turn off ignition and wait 30secs.
  14. Turn on ignition, wait 10secs.
  15. The PCM should display the new operating system ID. (Not available on GM 98 V8 vehicles)
  16. At this point the VCM should be now running the new operating system and you can now use the regular and safe "Write VCM" for all future tuning changes.
  17. Do not perform steps 17 and 18 if you are running 2bar on a GM 98 V8 vehicle. The SAE MAP PID has been reconfigured in the OS for your vehicle to read properly.
  18. (This step for 2bar and 3bar enhancement only) Open VCM Scanner and connect to the vehicle. Open the Table display (Scan -> Table Display). Right-click the "Manifold Air Pressure (SAE)" PID and select "Delete". This removes the existing 1 bar PID from the table, if you don't do this the histogram will not function correctly.
  19. (This step for 1/2/3 bar Speed Density enhancements only) Right-click the "Mass Air Flow(SAE)" PID and select "Delete". This removes the existing MAF PID, if you don't do this the histogram will not function correctly.
  20. (This step for 2bar and 3bar enhancement only) Right-click again on the table display cell and select "Insert", go to the Engine -> Airflow section and choose either the "Manifold Air Pressure - 2 bar" or "Manifold Air Pressure - 3 bar" PID, double-click to insert it into the table.
  21. (This step for 2bar and 3bar enhancement only) Save the new scanner configuration using File -> Save Config.
  22. You are now ready to tune using your new enhanced PCM.

2.5 Bar MAP - Speed Density (LS2 V8 - E40 ECM)

This enhancement contains the following features:

  • 2.5 bar max MAP sensor support (calibration capability for GM 0-5V linear MAP sensors)
  • New Boost VE table from 105 kPa to 255 kPa (2.5 bar or 22.5 psi boost)
  • Retains stock VE table resolution in non-boost regions
  • Better than 5 kPa resolution in boost regions (105 kPa - 255 kPa)
  • New MAP referenced "Boost Enrich" table in 5 kPa increments
  • New Boost Enrich MAP threshold
  • Speed Density mode only
  • Rescaled fan temperature axis 163-250F (73-121C), stock is 192-250F (89-121C)
  • VCM Scanner histogram for Boost VE table included in histogram library

NOTE: The default MAP Sensor linear and offset values are set for common 2bar MAP sensors.

NOTE: The largest MAP sensor the E40 ECM will support is 2.5 bar.

Application Procedure (LS2 E40 ECM)

To apply the enhancement to your PCM please use the following procedure.

  1. Start with a stock or existing tune from the PCM.
  2. Open the file in VCM Editor
  3. Select Operating System, a window will appear with choices available.
  4. Apply the relevant modification by clicking the button.
  5. When prompted, save the file under a new name something like "XYZ_2bar.bin". This is now your new "Base" file that must be used for all future tuning.
  6. The editor will automatically close the file after saving.
  7. Open the newly saved file in the editor. You should see that the operating system ID has changed from your original file.
  8. The new Boost VE table will be full of zero data. You *must* create a valid VE table before writing the file to the PCM.
  9. During all times it is important that you keep the 105 kPa column in the Main VE table the same as the 105 kPa column in the Boost VE table (if you change one, change the other). If you don't, the transition from one table to the next may not be smooth.
  10. The new rescaled fan temperature axis will mean the fans will switch on at lower coolant temperatures than stock. If you wish the fans to operate at the stock on/off temperatures you need to modify this table.
  11. Save the file in the editor, you are now ready to write to the PCM.
  12. IMPORTANT: The next step involves using the "Write Entire" option. Once this step is completed you can use the regular "Write VCM" function for all tuning changes.
  13. Connect to the vehicle and turn on ignition, wait 10secs.
  14. Still in VCM Editor with your file open, select Flash -> Write Entire. The process takes approximately 2-4 minutes depending on vehicle type.
  15. When the write is completed, turn off ignition and wait 30secs.
  16. Turn on ignition, wait 10secs.
  17. The PCM should display the new operating system ID.
  18. At this point the VCM should be now running the new operating system and you can now use the regular and safe "Write VCM" for all future tuning changes.
  19. Open VCM Scanner and connect to the vehicle. Open the Histogram display (Scan -> Histogram Display).
  20. Select an unused histogram configuration and choose "Import Histogram" (the folder icon), load one of the following files: "VE Boost - AFR Error (LS2 2bar).hst", "VE Boost - Narrowband O2's (LS2 2bar).hst" or "VE Boost - Wideband (LS2 2bar) O2.hst" (there are three pre-configured histograms depending on your tuning method). This allows you to log AFR related values used to tune the Boost VE table.
  21. Save the new scanner configuration using File -> Save Config.
  22. You are now ready to tune using your new enhanced PCM.

Warning

Use these enhancements at your own risk. Modifications can result in permanent destruction of vehicle components. Any modifications that change vehicles emissions from stock form (most modifications do this) are not allowed by the EPA and are to be used for off-road use only. Modifying or removing any emissions testing is illegal and subject to heavy fines. HP Tuners LLC is not liable for any type of damage caused by use of these enhancements. Use at your own risk!


GM > Engine

General

Idle

Idle RPM

Idle Airflow

Airflow

General Airflow

Dynamic Airflow

Speed Density

Fuel Control

General

Fuel Cutoff, DFCO

Open & Closed Loop

Power Enrich

Accel Enrich

COT, Lean Cruise

Transient Fuel

Diesel

Spark Control

Advance

Retard

Dwell

Knock Sensors

Torque Management

General

Engine Torque

Abuse

Supercharger


GM > Engine > General

Engine Size

  • Number of Cylinders: Number of cylinders. We recommend not changing this.
  • Cylinder Volume: Volume of one cylinder in Liters.
  • Engine Type: Engine Identifier. We recommend not changing this.

Exhaust Gas Recirculation (EGR)

  • EGR Enabled: Enables/disables EGR system routines.
  • EGR min IAT: Inlet Air Temp above which EGR is enabled.
  • EGR min ECT: ECT must be above this to enable EGR.
  • EGR max ECT: ECT must be below this to enable EGR.
  • EGR Diagnostic Disable Speed: Speed at which EGR is disabled.
  • EGR Diagnostic Enable Speed: Speed at which EGR is enabled.
  • EGR Maximum vs. Fuel Qty vs. RPM: The Maximum EGR opening percentage.
  • EGR Minimum vs. Fuel Qty vs. RPM: The Minimum EGR opening percentage.
  • EGR Max RPM: RPM above which EGR is enabled.

Air Pump

  • Air Pump Disable Coolant Temp: Temperature to disable the air pump

Shift Light

  • Master Enable: Enables/Disables the shift light routines. Do NOT enable these routines on A4 vehicles.
  • PCM Lamp Output: Enables/Disables PCM wired lamp output.

  • High RPM: Shift Light will light above this RPM.
  • Min ECT: Minimum engine coolant temperature to enable shift.
  • Max On Time: Maximum time the shift light will remain lit.
  • Low ECT Select: Below this engine temperature use the "RPM vs. Gear - Low ECT" table. Used to indicate shifts when engine is cold.
  • Min Clutch Out Time: Inhibits shift light for this time after clutch is released.

  • Gear Ratios: Ratio's that define each gear for RPM select tables.
  • Delay Time: Delay between shift point reached and light being illuminated.
  • Min MAP vs. Gear: Shift light is turned off when MAP is below this threshold.
  • RPM vs. Gear: Lowest engine speed to allow shift light to be illuminated in each gear.
  • RPM vs. Gear - Low ECT: Lowest engine speed to allow shift light to be illuminated in each gear when engine cold.
  • Min TPS% vs. Gear: Lowest throttle position to allow shift light to be illuminated in each gear.
  • Max TPS% vs. RPM vs. Gear: Highest throttle position to allow shift light to be illuminated in each gear and RPM.
  • Max TPS% Hysteresis vs. Gear: Hysteresis subtracted from "Max TPS% vs. RPM vs. Gear" when shift light is off.
  • Max TPS% Multiplier vs. BARO: Multiplier applied to "Max TPS% vs. RPM vs. Gear" for barometric correction.

Tach Output

  • Tach Type: The type of tachometer system fitted.
  • Tach Output Resolutions - High: Number of periods the tach output remains high.
  • Tach Output Resolutions - Low: Number of periods the tach output remains low.

Variable Camshaft

  • VCP Base Angle vs. Fuel Trim Cell: This table defines the base cam position in relation to fuel trim cell.
  • VCP PE Base vs. RPM: This table defines the base cam position in relation to RPM when in PE mode.
  • VCP PE Modifier vs. RPM: This table modifies (adds to) the cam angle for PE mode.
  • VCP PE Modifier Mult vs. MAP: This table multiplies the PE Modifier cam angle in PE mode.
  • VCP Angle Mult vs. ECT: This table multiplies the cam angle in relation to engine coolant temperature.
  • VCP Angle Mult vs. Fuel Trim Cell vs. Baro: This table multiplies the cam angle in relation to fuel trim cell and barometric pressure.
  • VCP Retard vs. Knock Learn: This table retards the cam position in relation to the knock learn factor (octane scalar).

Intake Camshaft Base Angle

  • Intake Cam Angle - Warm: Desired camshaft angle when the engine is warm.
  • Intake Cam Angle - Cold: Desired camshaft angle when the engine is cold.
  • Intake Cam Angle Idle - Warm: Desired camshaft angle when the engine is warm and idle conditions.
  • Intake Cam Angle Idle - Cold: Desired camshaft angle when the engine is cold and idle conditions.
  • Intake Cam Angle - Warmup Factor: Warmup factor. A value of 1.0 means use the warm table, a value of 0 means use the cold tables.

Knock Angle

  • Intake Cam Angle - Knock: Desired camshaft angle when engine knock is detected.
  • Intake Cam Angle - Knock Factor: Knock factor. A value of 1.0 means use the knock angle, a value of 0 means use the regular tables.

Catalyst Heating

  • Intake Cam Angle - Catalyst Heating Warm: Desired camshaft angle when the engine is warm and catalyst heating is in progress.
  • Intake Cam Angle - Catalyst Heating Cold: Desired camshaft angle when the engine is cold and catalyst heating is in progress.
  • Intake Cam Angle Idle - Catalyst Heating Warm: Desired camshaft angle when the engine is warm and catalyst heating is in progress, idle Conditions.
  • Intake Cam Angle Idle - Catalyst Heating Cold: Desired camshaft angle when the engine is cold and catalyst heating is in progress, idle Conditions.
  • Intake Cam Angle - Catalyst Heating Factor: Catalyst heating factor. A value of 1.0 means use the knock angle, a value of 0 means use the regular tables.

Exhaust Camshaft Base Angle

  • Exhaust Cam Angle - Warm: Desired camshaft angle when the engine is warm.
  • Exhaust Cam Angle - Cold: Desired camshaft angle when the engine is cold.
  • Exhaust Cam Angle Idle - Warm: Desired camshaft angle when the engine is warm and idle conditions.
  • Exhaust Cam Angle Idle - Cold: Desired camshaft angle when the engine is cold and idle conditions.
  • Exhaust Cam Angle - Warmup Factor: Warmup factor. A value of 1.0 means use the warm table, a value of 0 means use the cold tables.

Knock Angle

  • Exhaust Cam Angle - Knock: Desired camshaft angle when engine knock is detected.
  • Exhaust Cam Angle - Knock Factor: Knock factor. A value of 1.0 means use the knock angle, a value of 0 means use the regular tables.

Catalyst Heating

  • Exhaust Cam Angle - Catalyst Heating Warm: Desired camshaft angle when the engine is warm and catalyst heating is in progress.
  • Exhaust Cam Angle - Catalyst Heating Cold: Desired camshaft angle when the engine is cold and catalyst heating is in progress.
  • Exhaust Cam Angle Idle - Catalyst Heating Warm: Desired camshaft angle when the engine is warm and catalyst heating is in progress, idle Conditions.
  • Exhaust Cam Angle Idle - Catalyst Heating Cold: Desired camshaft angle when the engine is cold and catalyst heating is in progress, idle Conditions.
  • Exhaust Cam Angle - Catalyst Heating Factor: Catalyst heating factor. A value of 1.0 means use the knock angle, a value of 0 means use the regular tables.


GM > Engine > Idle

Idle RPM

Idle Airflow


GM > Engine > Idle > Idle RPM

Idle
The PCM has a number of parameters that influence the idle behavior of the engine. These parameters control the desired idle RPM and the behavior of the Idle Air Control (IAC) motor or Electronic Throttle Control (ETC) during idle conditions. The IAC is controlled via a desired airflow value that has many contributing factors, the PCM then translates this "Idle Desired Airflow" into a number of steps for the IAC or throttle % for ETC fitted vehicles.

Idle RPM

  • Target Idle Speed vs. Coolant Temp vs. (Drive & Park, A/C On & Off): This table controls the desired idle RPM vs Engine Coolant Temperature. There are a number of settings depending if the transmission is an A4 or M6 (in gear or PN) and also is the AC is on or off. When the vehicle speed is below the Throttle Cracker speed and Throttle Cracker and Throttle Follower airflows are zero, the PCM will enable adaptive, feedback-based (PID) idle routines to control IAC/ETC and achieve the desired idle RPM.
  • Target Idle Speed vs. Coolant Temp: This table controls the desired idle RPM vs Engine Coolant Temperature. .
  • Target Idle Speed(AC Off): The desired idle RPM with AC off.
  • Target Idle Speed(AC On): The desired idle RPM with AC on.
  • Idle RPM AC Adder: This value is added to the base idle RPM when the AC is on.
  • Idle RPM PN-Gear Adder: This value is added to the base idle RPM when a PN to In Gear selector transition is made.
  • Idle RPM PN-Gear Ramp In: This value controls the rate at which the PN-Gear Adder ramps in.
  • Idle RPM PN-Gear Ramp Out: This value controls the rate at which the PN-Gear Adder ramps out.
  • Idle RPM Max: Maximum allowed idle speed.
  • High Idle: Master Enable/Disable high idle control.
  • High Idle RPM: Desired high idle speed.
  • High Idle Disable RPM: If RPM exceeds this value, high idle will be disabled.

Adaptive Idle RPM
The adaptive idle parameters are only updated under warm engine, steady idle conditions. These conditions are described by the parameters below.

  • Max ECT: Engine coolant temperature maximum for adaptive idle updates to occur.
  • Min ECT: Engine coolant temperature minimum for adaptive idle updates to occur.
  • Update RPM Error Max: RPM Error (Desired RPM - Actual RPM) maximum for adaptive idle updates to occur.
  • Update RPM Error Time: RPM error must be below Update RPM Error Max for this time before updates are allowed.

Stall Saver
These tables indicate to the PCM when an impending stall condition is detected. The PCM has the ability to set the derivative RPM idle control system into action at a fast rate and disengage the AC clutch if a potential stall condition is detected.

  • RPM - In Gear: Below this RPM at the current desired idle RPM in gear, stall saver strategy will be implemented.
  • RPM - PN: Below this RPM at the current desired idle RPM in Park/Neutral, stall saver strategy will be implemented.

PID Delays
These timers indicate the delay before the various Proportional, Integral and Derivative idle control systems are activated after engine startup and after idle conditions have been met.

  • Startup PID Delay: Delay the activation of the PID controller this long after engine is running.
  • Startup P Delay: Delay before Proportional control is activated once idle conditions are reached.
  • Startup I Delay: Delay before Integral control is activated once idle conditions are reached.
  • Startup D Delay: Delay before Derivative control is activated once idle conditions are reached.
  • Active Spark Delay: Delay before Idle Spark control is activated once idle conditions are reached.

Proportional
The proportional idle correction routines provide an increase or decrease to the Idle Airflow that is directly proportional (as the name suggests) to the RPM Error (Desired Idle RPM - Actual RPM). Various tables are provided to increase decrease the speed rate of correction for various conditions described below.

  • Enable RPM Error: Proportional Idle correction will be calculated and updated if RPM Error is higher than this (positive or negative).
  • Idle Proportional Airflow vs. RPM Error: Proportional idle airflow adjustment. When Error RPM is negative(RPM high) then values are subtracted from idle airflow, otherwise values are added.
  • Airflow High/In Gear/AC Off: Proportional adjustment when RPM Error is positive (RPM is greater than Desired Idle RPM), transmission is in gear and AC is off.
  • Airflow Low/In Gear/AC Off: Proportional adjustment when RPM Error is negative (RPM is less than Desired Idle RPM), transmission is in gear and AC is off.
  • Airflow High/In Gear/AC On: Proportional adjustment when RPM Error is positive (RPM is greater than Desired Idle RPM), transmission is in gear and AC is on.
  • Airflow Low/In Gear/AC On: Proportional adjustment when RPM Error is negative (RPM is less than Desired Idle RPM), transmission is in gear and AC is on.
  • Airflow High/PN: Proportional adjustment when RPM Error is positive (RPM is greater than Desired Idle RPM), transmission is in Park/Neutral.
  • Airflow Low/PN: Proportional adjustment when RPM Error is negative (RPM is less than Desired Idle RPM), transmission is in Park/Neutral.
  • Airflow: Proportional adjustment in relation to RPM Error. Increasing these numbers makes the idle react more quickly but can also lead to instability very easily. Decreasing these numbers makes the idle react more slowly and increases stability.

Integral
The integral idle correction routines provide a slow moving increase or decrease to the Idle Airflow that is proportional to the integrated RPM Error (Desired Idle RPM - Actual RPM). Various tables are provided to increase decrease the speed rate of correction for various conditions described below. Note, the integral adjustment makes slow and small changes to the Desired Idle Airflow to make final fine idle adjustments once the derivative and proportional correction has got the idle within their effective working regions. Do not make the integral tables fast moving and unstable idle conditions may result as the proportional and integral corrections get into a race condition.

  • Enable RPM Error: Integral Idle correction will be calculated and updated if RPM Error is higher than this (positive or negative).
  • Idle Integral Airflow vs. RPM Error: Integral idle airflow adjustment. When Error RPM is negative(RPM high) then values are subtracted from idle airflow, otherwise values are added.
  • Airflow High/In Gear: Integral adjustment when RPM Error is positive (RPM is greater than Desired Idle RPM), transmission is in gear.
  • Airflow Low/In Gear: Integral adjustment when RPM Error is negative (RPM is less than Desired Idle RPM), transmission is in gear.
  • Airflow High/PN: Integral adjustment when RPM Error is positive (RPM is greater than Desired Idle RPM), transmission is in Park/Neutral.
  • Airflow Low/PN: Integral adjustment when RPM Error is negative (RPM is less than Desired Idle RPM), transmission is in Park/Neutral.
  • Airflow: Integral adjustment in relation to RPM Error. Increasing these numbers makes the idle react more quickly but can also lead to instability very easily. Decreasing these numbers makes the idle react more slowly and increases stability.

Derivative
The derivative idle correction routines provide a fast moving increase or decrease to the Idle Airflow that is related to the derivative of the RPM Error. Various tables are provided to increase decrease the speed rate of correction for various conditions described below. The derivative control is designed to make fast corrections to the Idle Airflow when large deviations from the Desired Idle RPM over a short time occur. The derivative control also works in conjunction with the stall saver function to attempt to prevent engine stalling. The derivative airflow uses a fast and slow filtered RPM signal and then calculates the ratio of the two values (the derivative or rate of change of the RPM). This ratio is used as the axis for the lookup tables. The filter values are configurable to make the time response of the system faster or slower.

  • Fast RPM Filter: The filter value used to calculate the fast filtered RPM signal. Values closer to 1.0 mean the filtered RPM signal reacts faster to changes in the actual RPM.
  • Slow RPM Filter: The filter value used to calculate the slow filtered RPM signal. Values closer to 0.0 mean the filtered RPM signal reacts slower to changes in the actual RPM.
  • Airflow RPM Low: Derivative correction airflow if RPM is less than Desired Idle RPM.
  • Airflow RPM High: Derivative correction airflow if RPM is greater than Desired Idle RPM.


GM > Engine > Idle > Idle Airflow

Idle
The PCM has a number of parameters that influence the idle behavior of the engine. These parameters control the desired idle RPM and the behavior of the Idle Air Control (IAC) motor or Electronic Throttle Control (ETC) during idle conditions. The IAC is controlled via a desired airflow value that has many contributing factors, the PCM then translates this "Idle Desired Airflow" into a number of steps for the IAC or throttle % for ETC fitted vehicles.

Base Running Airflow

  • Idle Air Flow vs. Coolant Temp vs. (Gear & P/N): This table is used to determine the base airflow (in g/sec) for the IAC/ETC control vs Engine coolant temperature. This is used as a base setting (or startpoint) for the adaptive idle routines and also the base IAC position when the vehicle is moving.
  • Final Idle Airflow Minimum vs. RPM vs. Gear: This is the minimum allowed idle airflow after all idle calculations.
  • Idle Airflow Mult vs. Baro: Idle Airflow multiplier based on barometric pressure.
  • Idle Airflow Mult vs. ECT: Idle Airflow multiplier based on ECT.
  • Airflow Final Minimum: This table is used to determine the minimum base airflow (in g/sec) for the ETC control versus RPM and Gear. The idle airflow will be limited to values higher than this number. Increasing these values can result in "hanging" RPM.

AC Airflow

  • Idle AC Airflow Ramp In Rate: The idle airflow ramp in step size after the AC clutch releases.
  • Idle AC Airflow Ramp Out Rate: The idle airflow ramp out step size after the AC clutch is applied.
  • Idle Trans Airflow Ramp In Rate: The idle airflow ramp in step size on a Park to Drive transition.
  • Idle Trans Airflow Ramp Out Rate: The idle airflow ramp out step size on a Park to Drive transition.

Cooling Fan Airflow

  • Fan 1: This value is the extra airflow added to the base running airflow to compensate for extra electrical load when a single cooling fan is active.
  • Fan 1 & 2: This value is the extra airflow added to the base running airflow to compensate for extra electrical load when both cooling fans are active.

DFCO Airflow

  • DFCO Entry Hold Time: Time delay before decaying DFCO airflow.
  • DFCO Entry Ramp Rate: When DFCO is entered airflow is ramped to the target Entry DFCO value at this rate.
  • DFCO Exit Ramp Rate: When DFCO is exited airflow is ramped to the target DFCO Exit value at this rate.

Throttle Follower
The throttle follower parameters are used to adjust decay and delay rates for the IAC motor during throttle closure to slow the return to idle during a sudden throttle closure.

  • Throttle Follower Airflow Decay vs. Speed (In Neutral): The decay value is the rate at which the IAC motor closes when the throttle is closed and the selector is in Park or Neutral. These values are subtracted from the current IAC Airflow value every 12.5 ms, hence higher numbers mean faster decay.
  • Throttle Follower Delay Time vs. Speed (In Neutral): This is the delay before the decay value begins to be subtracted in P/N.
  • Throttle Follower Airflow Decay vs. Speed (In Gear): The decay value is the rate at which the IAC motor closes when the throttle is closed and the selector is in gear. These values are subtracted from the current IAC Airflow value every 12.5 ms, hence higher numbers mean faster decay. The 4th Gear row is used for gears including and above 4th gear for M6 transmissions.
  • Throttle Follower Delay Time vs. Speed (In Gear): This is the delay before the decay value begins to be subtracted in gear.

  • TPS Tracker Step Size %: This is the rate at which the throttle follower tracks the current TPS value.
  • Throttle Follower Airflow vs. TPS: This is the throttle follower airflow value used as the throttle is opened. It is the value that is reduced to zero by the decay parameters if the throttle is closed. It is versus TPS %.
  • Throttle Follower Airflow Mult vs. RPM: This table is used to enable the throttle follower in relation to RPM.

Throttle Cracker
The throttle cracker parameters are used to open the IAC motor as vehicle operating conditions change.

  • Throttle Cracker Airflow vs. RPM vs. MPH: This table is used to open the IAC motor as RPM and MPH vary.
  • Enable Speed: MPH threshold to disable the adaptive idle and enable the throttle cracker.
  • Disable Speed: MPH threshold to enable the adaptive idle and disable the throttle cracker.

Adaptive Idle Airflow Limits
During the adaptive idle process the PCM is constantly updating a short term idle trim (STIT) and a number of long term idle trims (LTIT). The goal of the LTIT's is to make the STIT equal zero. The LTITs have limits to their adjustment capability and it is important to tune areas such as Base Running Airflow and various other compensation values such that the long term trims remain within their bounds. It is very useful to log the LTITs and the STIT using the scanner to ensure that the values once stabilized are within the limits below.

It is important to understand that the current STIT is always reset to zero when not at idle and when idle conditions return the STIT begins to learn again from its remembered position when last at idle. The STIT has a number of different memories depending on the current PN/Gear/ACon/ACoff state but none of these values can exceed the limit set. Hence the further the STIT memory is out from the actual required STIT, it has to a quick catch-up every time the engine returns to idle which is not desirable and can result in non-ideal return to idle behavior.

It is desirable to keep LTIT within the learning limits to ensure the STIT does no have to move far under the various PN/Gear/ACon/ACoff state changes to ensure smooth and consistent idle transitions. It is also important to realize that the LTIT values are slow moving and take time to adjust to any base of compensation airflow calibration changes. Again use the scanner to make sure the LTITs have reached steady state in the region changed before making any tuning judgments.

  • Max - In Gear/AC Off: LTIT maximum limit when in Gear and AC off.
  • Min - In Gear/AC Off: LTIT minimum limit when in Gear and AC off.
  • Filt - In Gear/AC Off: LTIT filter coefficient defines how fast the LTIT responds to correct the current STIT when in gear and AC off.
  • Max - PN/AC Off: LTIT maximum limit when in Park/Neutral and AC off.
  • Min - PN/AC Off: LTIT minimum limit when in Park/Neutral and AC off.
  • Filt - PN/AC Off: LTIT filter coefficient defines how fast the LTIT responds to correct the current STIT when in Park/Neutral and AC off.
  • AC Offset Min - In Gear: AC offset airflow minimum limit, AC on and in gear.
  • AC Offset Max - In Gear: AC offset airflow maximum limit, AC on and in gear.
  • AC Offset Min - PN: AC offset airflow minimum limit, AC on and in park/neutral.
  • AC Offset Max - PN: AC offset airflow maximum limit, AC on and in park/neutral.
  • AC Offset Filter: Filter coefficient defines how fast the AC offset responds to correct the current STIT when AC on.
  • ST Adapt Airflow Max: Current STIT maximum memory value. STIT will move higher than this to maintain idle speed however, remembered idle value will not exceed this value (eg. if the STIT was 3.44 and the maximum memory value was 2.0, then upon returning to idle in this state the remember value would be 2.0 and the STIT would have to make a quick learn to the previous value of 3.44). This applies to the STIT learned during any of the various PN/Gear/ACon/ACoff states.

Startup
The PCM commands extra airflow during engine startup to ensure proper starting. In simple terms the startup airflow adds to the base airflow and decays away to zero as the engine begins running and the adaptive routines start enabling and controlling idle. The startup airflow consists of two components that are added together, Friction Airflow and Startup Airflow.

  • Off Idle Startup Scalar: Amount to reduce startup airflow if an off-idle transition is made during startup airflow decay. This value multiplies the current startup airflow ie. a value of 0.5 would halve the current startup airflow if an off-idle transition occurs during the decay. A value of 1.0 would have no effect, and value of 0.0 would instantly decay the startup airflow to zero if any off-idle transition occurs.
  • Underspeed Time: Transition into adaptive idle (PID) control if no startup flare control has occurred within this time after startup.
  • Friction Airflow Decay: Decay value for startup airflow decay. This value is subtracted from the initial value.
  • Friction Airflow Initial: Initial value for Friction Airflow, decay starts from this value.
  • Friction Airflow Delay: Delay before Friction Airflow starts to decay.
  • Startup Airflow Decay: Decay value for startup airflow decay. This value is subtracted from the initial value.
  • Startup Airflow Initial: Initial value for Friction Airflow, decay starts from this value.
  • Startup Airflow Delay: Delay before Startup Airflow starts to decay.
  • Startup Airflow: Used to control the ETC opening during engine cranking.
  • Idle Startup Airflow vs. ERT vs. ECT: Startup idle airflow value used to control the ETC opening during startup.

General

  • IAC Position vs. Effective Area: This table converts the desired IAC/ETC effective area (in square millimeters) to IAC steps for IAC stepper motor control.
  • IAC Park Position Airflow vs. IAT: This table is used to determine the Airflow to control the IAC/ETC when the IAC motor is in the park position. (ie. when the ignition is in the off position).
  • IAC Reset Park Position: This value is used to set the IAC motor position after a PCM reset.
  • Choke Flow Time: Time to delay before using choke flow model for effective area estimation (requires MAF is working).
  • Desired IAC Area Max: Maximum desired effective area in square millimeters.
  • ETC Area Scalar: Constant used to convert from Desired Effective Area (mm2) to Desired ETC percent. Used for ETC fitted vehicles.
  • Desired Airflow Max: Maximum allowed Desired Idle Airflow.
  • Idle Effective Area Max: Maximum allowed idle Desired Effective Area (mm2).
  • Idle Effective Area Min: Minimum allowed idle Desired Effective Area (mm2).
  • Idle Effective Area Max - Fail: Maximum allowed idle Desired Effective Area (mm2) during failure conditions.
  • Idle Effective Area Min - Fail: Minimum allowed idle Desired Effective Area (mm2) during failure conditions.


GM > Engine > Airflow

General Airflow

Dynamic Airflow

Speed Density


GM > Engine > Airflow > General Airflow

Airflow and Airmass Calculations
The VCM generally uses two airflow related parameters for its calculations: Airflow (grams/sec) and Cylinder Airmass (grams/cyl). If a Mass Airflow Meter (MAF) is fitted, the airflow is measured directly by the MAF and converted to airmass (g/cyl) using RPM and the number of cylinders in the engine. The VCM also has the ability to calculate the incoming airflow and airmass by using speed density calculations involving the MAP, charge temperature and RPM. In most cases this is used as a backup mode by the PCM in case the MAF fails, however, some vehicles are not fitted with a MAF and use speed density mode all the time. On some vehicles the PCM also uses an older method of calculation that uses Throttle Position (TPS) as the "load" indicator/axis rather than MAP. This is known as Alpha-N however, the calculation remains very similar to speed density.

HP Tuners also offers a number of speed density mode enhancements that improve the VCM's ability to run in speed density mode and also provide additional parameters allowing for forced induction tuning (2bar/3bar) in speed density mode.

MAF Calibration

  • MAF Airflow vs. Output Frequency: This table is used to calibrate the MAF sensor. The MAF sensor works by outputting a frequency signal that is proportional to the airflow through the meter. This table is used to lookup the Airflow (g/sec) value for a given frequency and ultimately calculate the Airmass (g/cyl) used for fuelling calculations. If you modify your MAF meter you will likely have to modify this table.
  • MAF Airflow vs. Output Frequency (Low): This table is used to calibrate the MAF sensor in the low frequency range. The MAF sensor works by outputting a frequency signal that is proportional to the airflow through the meter. This table is used to lookup the Airflow (g/sec) value for a given frequency and ultimately calculate the Airmass (g/cyl) used for fuelling calculations. If you modify your MAF meter you will likely have to modify this table.
  • MAF Airflow vs. Output Frequency (High): This table is used to calibrate the MAF sensor in the high frequency range. The MAF sensor works by outputting a frequency signal that is proportional to the airflow through the meter. This table is used to lookup the Airflow (g/sec) value for a given frequency and ultimately calculate the Airmass (g/cyl) used for fuelling calculations. If you modify your MAF meter you will likely have to modify this table.
  • MAF Airflow vs. Voltage: This table is used to calibrate the MAF sensor. The MAF sensor works by outputting a voltage signal that is proportional to the airflow through the meter. This table is used to lookup the Airflow(g/sec) value for a given voltage.
  • MAF Allowed Delta Airflow: These tables define the maximum positive and negative airflow (g/sec) change allowed every 12.5ms

Estimated Airflow

  • Estimated Airflow Enable ECT: Above this coolant temperature, the estimated airflow tests will be enabled.
  • Estimated Airflow vs. Total Fuel Qty vs. RPM: The estimated engine airflow in relation to Total Fuel Quantity and RPM.
  • Estimated Airflow Mult vs. Baro: This value multiplies the Estimated Airflow in relation to barometric pressure.
  • Estimated Airflow Mult vs. IAT: This value multiplies the Estimated Airflow in relation to intake temperature.
  • Estimated Airflow Mult vs. ECT: This value multiplies the Estimated Airflow in relation to engine coolant temperature.
  • Estimated Airflow Allowed Error vs. Fuel Rate vs. RPM: If the error between the MAF Airflow and the Estimated Airflow exceeds this value, the Estimated Airflow will be used.
  • Estimated Airflow Error Counts vs. ECT: The number of failures required before the Estimated Airflow will be used.

MAF Correction

  • MAF Correction: MAF Correction factor.

Main VE

  • Primary VE vs. RPM vs. MAP: This table is used to determine airmass per cylinder in case of MAF failure (Speed Density Mode) and also to provide a base airflow value to check for MAF failure. It is also used to provide transient condition correction to the VCM main airmass calculations.
  • Primary VE Multiplier: Used to correct the primary VE table under certain conditions. This table is enabled in HP Tuners "1 bar Speed Density Enhanced" package.
  • Secondary VE vs. RPM vs. MAP: This table is used in some code variations when MAF failure is detected.

  • VE - Idle: This table defines the volumetric efficiency and is used to determine airmass per cylinder when at idle.
  • VE - High RPM: This table defines the volumetric efficiency and is used to determine airmass per cylinder during high RPM operation.
  • VE - Low RPM Single Fire: This table defines the volumetric efficiency and is used to determine airmass per cylinder during low RPM operation in single fire fuel mode.
  • VE - Low RPM Double Fire: This table defines the volumetric efficiency and is used to determine airmass per cylinder during low RPM operation in double fire fuel mode.
  • VE - Low RPM Coastdown: This table defines the volumetric efficiency and is used to determine airmass per cylinder during low RPM operation during coastdown.
  • VE Offset: This value is used to offset the entire VE table to enable VE values greater than 100%. The editor automatically includes the offset value in its display.

Reversion

  • Reversion VE Baro High: The Baro threshold for the Reversion VE High Altitude table.
  • Reversion VE Baro Low: The Baro threshold for the Reversion VE Low Altitude table.
  • Reversion Vacuum: Above this vacuum, reversion conditions can enable.
  • Reversion Vacuum Hysterisis: Once reversion conditions are enabled vacuum must increase by this amount to disable.
  • Reversion RPM Thresholds: RPM thresholds to enable reversion condition.
  • Reversion RPM Mult: RPM multiplier to enable reversion condition.
  • VE Reversion Low Altitude: The VE lower limit during reversion conditions at low altitude reference.
  • VE Reversion High Altitude: The VE lower limit during reversion conditions at High altitude reference.
  • VE Reversion Baro Correction: Correction to the actual barometric pressure when calculating the reversion VE.

Cranking VE

  • Cranking VE Percent vs. MAP vs. RPM: This table is used to determine airmass calculations during cranking. It is a percentage of ideal cylinder volume.
  • Cranking VE Multiplier vs. Baro Offset: This table is used to correct the cranking airmass calculations against Barometric Pressure.
  • Cal Temp: Temperature at which cranking VE tables were calibrated (square root of temperature in degrees Kelvin).
  • Charge Temp vs. Airflow: Cylinder charge temperature estimate vs. engine coolant temp during cranking (square root of temperature in degrees Kelvin).

EGR Airflow
Vehicles fitted with EGR systems, the PCM subtracts the EGR airflow from the speed density calculations.

  • EGR Airflow: Airflow through the EGR valve versus vacuum and percent valve opening.
  • Filter Coefficient: Filter coefficient used to filter EGR airflow value.

Cylinder Charge Temperature
The VCM (depending on type) may use various methods to determine cylinder charge temperature. It either simply uses the IAT sensor value or it uses a complex estimation model based on a combination of IAT, ECT and airflow to account for aircharge heating from the intake manifold. The resultant temperature is used for speed density airmass calculations.

  • Complex Temp Model: This chooses either the simple IAT or complex temperature estimation model.
  • Charge Temp Bias vs. ECT: This table determines how much the charge temperature is biased towards the ECT or IAT. Higher numbers bias the resultant temperature towards ECT (generally higher bias at lower airflows. ie. the air has longer to be heated by the manifold at low airflows).
  • Charge Temp Filter vs. Airflow: This table determines the rate at which the temperature moves to the new bias temperature. At low airflows the rate of temperature change is slower than at high airflows.

Intake Heater

  • Intake Heater Timer vs. IAT: Intake heater timer contribution due to intake temperature.
  • Intake Heater Timer vs. ECT: Intake heater timer contribution due to engine coolant temperature.
  • Intake Heater Timer vs. Baro: Intake heater timer contribution due to barometric pressure.
  • Intake Heater Timer Max vs. IGNV: Intake heater timer maximum while engine is running.
  • Intake Heater Wait/Crank vs. IGNV: Intake heater timer maximum when the ignition is on but engine is not running.

Supercharger Boost Control
These values control the opening of the Boost Control Valve (BCV) on supercharged V6 engines. The BCV operates on a timer/credit based system where the timer starts at a base value and then is either increased or decreased cumulatively on each reference pulse dependant on airflow. If the timer reaches the Timer Max value the BCV will open and boost pressure will drop.

  • Timer Base: The base, minimum or starting value of the timer.
  • Timer Adder, TCS Off: This table adds to the timer dependant on airflow, in a standard calibration higher airflows increase the timer and lower airflows decrease it. This table is used when TCS is inactive.
  • Timer Adder, TCS On: This table adds to the timer dependant on airflow, in a standard calibration higher airflows increase the timer and lower airflows decrease it. This table is used when TCS is active.
  • Timer Max: This is the threshold, above which the BCV will open.


GM > Engine > Airflow > Dynamic Airflow

Airflow and Cylinder Airmass Calculations
The PCM has a number of airflow calculations it performs based primarily on input from the Mass Airflow sensor (MAF), Manifold Absolute Pressure (MAP) sensor, Inlet Air Temperature (IAT) sensor and other inputs. The PCM relies very heavily on its ability to accurately estimate the mass of air entering each cylinder during the intake stroke. It uses this information to accurately meter the correct mass of fuel into the cylinder to achieve the desired (commanded) air/fuel ratio (AFR).

The dynamic airmass calculations include various filters and strategies to predict the cylinder airmass from MAF, MAP, TPS, RPM, IAT and VE table inputs. The system is divided into various "zones" of operation (very similar to fuel trim cells). The zones are shown in the diagram below:

As engine operating conditions change the current zone changes and this selects the appropriate filter equation to be used in the dynamic airmass calculation.

Dynamic Airflow

  • WOT Entry Max Airflow: If yes then set predicted airmass to ideal (maximum) cylinder airmass when entering WOT (Zone #1).
  • MAP/TPS Airflow Filter: This filter is used to filter the MAF airmass in response to a MAP or TPS failure. It is also used to filter the MAF airmass when the engine RPM is greater than the High RPM Disable limit.
  • High RPM Disable: Above this RPM use filtered MAF airmass for airmass prediction calculations.
  • High RPM Hysteresis: Hysteresis subtracted from High RPM Disable to re-enable dynamic airmass calculation.
  • Initial Zone: Zone is initialized to this value when engine is started.
  • WOT Zone - TPS %: Throttle position greater than or equal to this value is regarded as WOT and sets zone to #1 (WOT Zone).
  • Idle Zone - VSS: Vehicle speed must be below this to set Idle Zone (zone #2).
  • Idle Zone - TPS %: Throttle position speed must be below this to set Idle Zone (zone #2).
  • Zone RPM Boundaries: RPM boundaries that define different zones (horizontal boundaries).
  • Zone RPM Hysteresis: Hystersis applied to RPM zone transitions to prevent oscillation between zones.
  • Zone MAP Boundaries: MAP boundaries that define different zones (vertical boundaries).
  • Zone MAP Hysteresis: Hystersis applied to MAP zone transitions to prevent oscillation between zones.
  • Maximum Limit Factor:
  • Deep Decel - MAP: Below this MAP activates deep decel strategy and enables steady state.
  • Dynamic Air Filter: Filters the current airmass value before prediction filtering. If in steady state the current airmass value is MAF based, if in unsteady state the current airmass is VE based (using an offset based on the last calculated VE Correction Factor).
  • EGR Test Disable Time: Time to disable dynamic airmass calculation after an EGR test.
  • Cranking to Run Time: Time to transition and ramp from cranking airmass to dynamic airmass calculations.

Steady State
A critical part of the dynamic airmass calculation is determination of when the engine is operating at a steady state condition or unsteady (transient) state. During steady state the PCM uses a filtered MAF signal as the basis for airmass calculations, the PCM also calculates a "VE Correction Factor" during steady state. The VE correction factor is simply the ratio of the MAF airmass to the VE airmass and is used to "offset" the VE calculated airmass when a transient is encountered.

During unsteady state, the PCM uses the VE table to calculate airmass and it is offset (multiplied) by the last calculated VE Correction factor. As long as the VE Correction factor is within limits it will accurately offset any differences between MAF and VE table airmasses and the transition between steady and unsteady (transient) prediction will be smooth.

  • Hi/Lo RPM Threshold: This RPM threshold determines if High or Low steady state determination will be used. If MAP is greater than Hi/Lo MAP Threshold or RPM is greater than Hi/Lo RPM Threshold the High mode settings are used otherwise Low mode settings are used.
  • Hi/Lo MAP Threshold: This MAP threshold determines if High or Low steady state determination will be used. If MAP is greater than Hi/Lo MAP Threshold or RPM is greater than Hi/Lo RPM Threshold the High mode settings are used otherwise Low mode settings are used.
  • Lo - MAP Delta: Low mode, MAP change below this will enable steady state.
  • Hi - MAP Delta: High mode, MAP change below this will enable steady state.
  • Lo - TPS Delta: Low mode, TPS change above this will disable steady state.
  • Hi - TPS Delta: High mode, TPS change above this will disable steady state.
  • Idle - MAP Integ Time: Time that the steady state MAP integrator will run during the idle steady state routine before value is compared to Integrator Threshold to disable steady state.
  • Idle - MAP Integ Threshold: If steady state MAP Integrator exceeds this threshold during idle steady state then steady state will be disabled.
  • Idle - VSS Max: Vehicle speed must be below this to enable idle steady state determination.
  • Idle - TPS% Max: Throttle position must be below this to enable idle steady state determination.
  • Idle - MAP Int Time En: Time that the steady state MAP integrator will run during the idle steady state routine before value is compared to Integrator Threshold to enable steady state.
  • Idle - MAP Int Thresh En: If steady state MAP Integrator is below this threshold during idle unsteady state then steady state will be enabled.

VE Correction Factor
The VE Correction Factor is used to maintain a relative offset between the VE calculated airmass and the MAF measured airmass to ensure smooth transition between steady state and unsteady state behavior. To protect against unstable behavior the VE correction factor has limits in place and a reset condition.

  • VE Correction Factor - Filter: This filter coefficient is used to filter the VE correction factor. Values closer to 1.0 mean the filtered value reacts faster to changes at the increased risk of instability.
  • VE Correction Factor - Min: Minimum limit for the VE Correction Factor.
  • VE Correction Factor - Max: Maximum limit for the VE Correction Factor.
  • VE Correction Factor - Reset: VE Correction factor will reset to 1.0 if VE correction factor is less than this value during deep deceleration.

  • Initial ECT Boundaries: Engine coolant temperature zone boundaries used to select initial VE correction factor value.
  • Initial vs. ECT Zone: VE Correction Factor is initialized to this value based on barometric pressure and coolant temperature zone.


GM > Engine > Airflow > Speed Density


GM > Engine > Fuel Control

General

Fuel Cutoff, DFCO

Open & Closed Loop

Power Enrich

Accel Enrich

COT, Lean Cruise

Transient Fuel

Diesel


GM > Engine > Fuel Control > General

Stoich Air Fuel Ratio (Stoich AFR)

  • Stoich AFR: This value is the Stoichiometric AFR value. This is the reference AFR used by all fuel calculations inside the VCM. Deviations from this value are represented by divisors where greater than one is richer and less than one is leaner. Changing this value will effect all fuel calculations.
  • Stoich AFR Table: This table is used for vehicles with the dual fuel option (alcohol)
    The base stoichiometric fuel/air rate is determined by a returned value from this table. The position on the table is determined by the amount of alcohol in the fuel system as reported by the vehicles fuel composition sensor. The rate ranges from 0% to 100% alcohol.

Afterstart Enrichment
The afterstart enrichment function provides the required enrichment after engine cranking and then a gradual ramp (decay) into stoichiometric fuel delivery and closed loop operation. The afterstart enrichment adds to the current fuel/air multiplier (equivalence ratio). If the engine enters closed loop then afterstart enrichment is zeroed.

  • Initial Adder vs. ECT: Initial adder versus engine coolant temperature.
  • Initial Adder vs. IAT: Initial adder versus inlet air temperature.
  • Decay Delay: Initial Adder is held for this long before decay begins.
  • Decay Step: Time delay between successive decays of the afterstart enrichment value once initial delay is complete.
  • Decay Mult: Multiplier applied to current afterstart enrichment value every decay step.
  • Initial Adder Soaktime Mult: Multiplier to Initial Adder vs. ECT value based on soaktime (time between engine off and engine restart).
  • Hotsoak Enrichment: Hotsoak initial extra enrichment adder based on ECT and soaktime (time between engine off and engine restart).

PN/Drive Enrichment
During openloop operation, extra fuel is added during a transition from PN to Drive for A4 transmissions.

  • Initial Adder vs. ECT: Initial adder versus engine coolant temperature.
  • Decay Delay: Initial Adder is held for this long before decay begins.
  • Decay Step: Time delay between successive decays of the PN-Drive enrichment value once initial delay is complete.
  • Decay Mult: Multiplier applied to current afterstart enrichment value every decay step.

Startup AFR Correction (V6 Engines)
Startup AFR correction is the calculation of the factor that is subtracted from the current commanded AFR during startup/warmup. It decays to zero depending on the decay factor and is disabled once the engine reaches closed loop operation.

  • Enable Time vs ECT: These tables control the delay before Startup AFR Correction is enabled.
  • Initial Value vs Startup ECT: This is the initial value of the AFR correction when the engine is started. It decays to zero based on the decay factor below.
  • Decay vs Startup ECT vs. RPM: This is the decay rate of the Initial AFR correction value. Higher numbers mean a faster decay.

Injector Control

  • Injector Offset Select: Selects either MAP or Vacuum based injector offset table in use.
  • Injector Offset vs. Battery Voltage vs. KPA Vac: This value is added to the injector pulse width as the delay time it takes for the injector to operate. It varies with battery voltage and manifold vacuum.
  • Injector Offset vs. Battery Voltage vs. KPA MAP: This value is added to the injector pulse width as the delay time it takes for the injector to operate. It varies with battery voltage and manifold pressure.

  • Injector Flow Rate vs. KPA Vac: This value is the Injector Flow rate in g/sec. It is used to tell the VCM the size of the injectors and also how flow rate varies with manifold vacuum (ie. varying pressure characteristics).
  • Injector Flow Rate vs. KPA MAP: This value is the Injector Flow rate in g/sec. It is used to tell the VCM the size of the injectors and also how flow rate varies with manifold pressure (ie. varying pressure characteristics). On some vehicles this table references absolute pressure drop across the injectors (hence it includes the fuel rail pressure).

  • Injector Constant: This value is used to describe the injector flow rate in liters per gram per second. It includes a scaling factor to account for the engine displacement. Higher values for smaller injectors, smaller values for larger injectors.
  • Injector Pulse Width Multiplier vs. VAC: This value multiplies the calculated injector pulse width in relation to manifold vacuum.

  • Fuel Pressure Modifier vs. Battery Voltage: This table defines how fuel pressure varies with battery voltage.

  • Skew vs. Cylinder (vehicle dependent): Many V6 and L4 calibrations allow for injector skewing to tune fueling variations between cylinders. The skew factor is a static multiplier of the current calculated injector pulse width for that cylinder. A value of 1.0 provides no skew.
  • Short Pulse Limit: Injector Pulses shorter than this will be increased by the amount specified in Short Pulse Adder.
  • Short Pulse Adder: Adder to pulses shorter than Short Pulse Limit.
  • Minimum Injector PW: Minimum allowed Injector Pulse Width (after Short Pulse adder has been added if necessary).
  • Default Injector PW: Default Pulse width used when Injector Pulse Width is less than Minimum Injector PW.

Cranking Fuel
These tables control injector priming pulses and cranking fuel delivery.

  • Cranking FA Mult Stage 1 & 2 vs. Cranking Time: These tables are FA multipliers that determine fuel delivery in relation to time. As cranking continues the AFR is selected from lower rows of the table until it finally stays at the last row in the Stage 2 table. Usually you will see a pulsing fuel pattern in these tables.
  • Cranking Leanout Factor vs. ECT vs. RPM: This table leans out the cranking fuel based in relation to ECT and RPM. It is a value between 0 and 1 and multiplies the Fuel/Air Mult Stage 1 & Stage 2 values.

  • Prime Fuel Disable RPM: Above this RPM, 1st and 2nd prime pulses will not be delivered.
  • Soaktime - Runtime Limit: Enable Soaktimer modifiers if last engine run time was less than this value and Soaktime ECT condition is met.
  • Soaktime ECT Threshold: Enable Soaktimer modifiers if engine coolant temp is less than this value and Soaktime Runtime Limit condition is met.
  • Prime Re-enable Time: Prime Pulse is delivered if the previous Prime Pulse was delivered more than this time ago.
  • BARO Gain: Modifier for barometric conditions.
  • Prime Runtime: Engine runtime allowed to deliver priming pulses.
  • Prime Pulse Mass: Mass of fuel delivered thru all injectors when key is switched on and fuel pressure delay has expired.
  • First Pulse Mass: Mass of fuel delivered thru all injectors when 1st Pulse Delay has expired and fuel pressure delay has expired.
  • First Pulse Delay: Delay before 1st Pulse Mass is delivered.
  • Second Pulse Mass: Mass of fuel delivered thru all injectors when 1st and 2nd Pulse Delay has expired and fuel pressure delay has expired.
  • Second Pulse Delay: Delay after 1st pulse before 2nd Pulse Mass is delivered.
  • Fuel Pressure Delay: Delay after key on, before Prime Pulse is delivered to allow for fuel pump to build pressure.

  • Flood Clear Enable %TPS: If the Enable TPS value is exceeded then fuel is cut during cranking.
  • Flood Clear Disable %TPS: Fuel is resumed when the disable TPS is reached.

Engine Over Temperature

  • Engine Over Temp Fuel Mult vs. RPM: Fuel/Air multiplier used when engine over temperature protection is enabled.


GM > Engine > Fuel Control > Fuel Cutoff, DFCO

RPM Limits
The VCM has a number of RPM limits that disable fuel if exceeded. The Cutoff RPM is the RPM at which fuel is disabled, spark is cut or the ETC begins limiting and the Resume RPM is the RPM at fuel is re-enabled.

  • P/N Fuel Cutoff RPM: If the current selected gear is Park or Neutral then this RPM limit is used.
  • P/N Fuel Resume RPM: If the current selected gear is Park or Neutral then this RPM limit is used.
  • P/N Fuel Resume RPM: If the current selected gear is Park or Neutral then this RPM limit is used.

  • Bad VSS Fuel Cutoff RPM: If the Vehicle Speed Sensor is bad then this RPM limit is used.
  • Bad VSS Fuel Resume RPM: If the Vehicle Speed Sensor is bad then this RPM limit is used.

  • Cutoff RPM Hysteresis: The amount the RPM must drop to disable the RPM Limiter.
  • RPM Hysteresis (Gear): The amount the RPM must drop to disable the RPM Limiter in Gear.
  • RPM Hysteresis (P/N): The amount the RPM must drop to disable the RPM Limiter in Park/Neutral.
  • Fuel Cutoff RPM (P/N) vs. ECT: The RPM Limit when in Park or Neutral.
  • Fuel Cutoff RPM (In Gear) Modifier vs. ECT: The RPM Limit when in gear is multiplied by this value (cold engine reduction).

  • Extreme Cutoff RPM: Fuel cut will enable regardless of other settings if RPM exceeds this value.
  • Extreme Resume RPM: If extreme cutoff is active, RPM must drop below this value to resume fuel.

  • Fuel Cutoff RPM vs. Gear: If the current selected gear is not Park or Neutral then this table is used to determine the current RPM limit.
  • Fuel Cutoff Delay vs. Startup ECT: This table determines how long the VCM uses the Fuel Cutoff RPM vs. Startup ECT table for the RPM limit test. After this delay has expired (varies with engine temp) the VCM uses the other RPM limits.
  • Fuel Cutoff RPM vs. Startup ECT: This table is used for the RPM limit whilst the Engine Run Time is less than the Fuel Cutoff Delay above.
  • Fuel Cutoff RPM - 1st Gear Reduce: When in first gear the RPM limiter can be reduced over time by using this table.

  • Fuel Cutoff RPM Reduction vs. ERT vs ECT: Startup RPM limit reduction in relation to engine run time and ECT.

  • RPM Limit - Spark: RPM Limit will use Spark if enabled.
  • RPM Limit - Fuel Cut: RPM Limit will use Fuel Cut if enabled.
  • RPM Limit - ETC: RPM Limit will use Electronic Throttle Control if enabled.
  • RPM Limit - Method Delay: RPM Limit will switch from spark/fuel cut to ETC after this time.

  • RPM Limit - Accel Coeff: Coefficient used to filter engine acceleration, lower numbers mean more filtering.
  • RPM Limit - Accel Thresh: RPM below the RPM Limit to begin Acceleration based RPM Limiting.
  • RPM Limit - Accel Max: Above this engine acceleration rate, acceleration based RPM limiting will begin.

  • RPM Limit Torque vs. RPM Delta vs. Gear: This is the commanded torque value based on the RPM error that controls the RPM limiter stability. Higher numbers mean faster acting limiter but more oscillation (instability) around the limiter RPM.
  • RPM Limit Lamp RPM: Engine Overspeed lamp will light above this RPM (if fitted).

  • ETC Limit Enable: This switch enables/disables Electronic Throttle Control engine speed limiting functions.
  • ETC Fuel Cutoff RPM vs. Gear: This table is used if an electronic throttle is fitted. It is an RPM limit that closes the throttle if exceeded.

  • Fuel Cutoff RPM: The RPM that fuel will be cut.
  • Fuel Resume RPM: The RPM that when fuel will resume.
  • Fuel Resume RPM Excessive: If excessive RPM limiter activity is detected then resume limits will switch to these values.

Deceleration Fuel Cutoff (DFCO)
DFCO can be broken down into 5 main modes of operation.

  1. Qualifications to consider fuel cutoff (Enable)
  2. Spark threshold/ ramp down values and enable Qualification hysteresis values while getting to fuel cut point. (Entering)
  3. Spark values while in fuel cutoff (In)
  4. Qualifications to stay in fuel cutoff (Exit)
  5. Spark ramp up values to exit fuel cutoff (Exiting)
On later vehicles, DFCO will progressively cut fuel to each cylinder rather than the simpler on/off used on earlier vehicles.

DFCO Qualification
DFCO must pass a series of enable tests to even be considered. If any of the tests are not passed, the DFCO process will not be started. (Fuel is still on)

Fuel Tab - DFCO Enable Normal Section:

  • Temp: Engine Coolant temperature must exceed this value.
  • Enable Speed vs. Baro: The vehicle speed must exceed this value.
  • RPM vs. Gear Entry: Engine RPM must exceed table value.
  • TPS vs. RPM: Throttle position must be below this table value.
  • Map vs. Baro Entry: Map must be below this table value.

Fuel Tab - DFCO Enable Clutch Transition Section: (Not used on all models)
These values over ride ANY of the DFCO Enable Normal Section qualifications (Enable, Entering, Exit) if recent clutch activity has been detected.

These values will remain active for a short time period before reverting back to the normal qualifications.

  • Temp: Engine Coolant temperature must exceed this value.
  • Speed: The vehicle speed must exceed this value.
  • RPM: Engine RPM must exceed table value.
  • TPS: Alternate VCM %Throttle position Change must be below this table value.
  • Map: Map must be below this table value.
  • TPS Hyst: Adds to Alternate VCM %Throttle position Change value.

DFCO Entry:
Enable tests passed, VCM selects spark threshold/ ramp down values and Enable Qualification hysteresis values while getting to fuel cut. (DFCO is considered active and Fuel is still on)

Spark Tab - DFCO Entry, Active, Exit Spark Section:

  • Entry Threshold vs. RPM: This is the degree spark advance that must be reached to turn the fuel off.
  • Entry Blending vs. RPM: This is the spark ramp out rate to reach the Entry Threshold vs. RPM spark value.
    Spark is removed at a rate of 12.5msec at the Entry Blending multiplier value. If your current spark advance is 20 degrees @3000 rpm, your Entry threshold is 5 degrees, and your removal rate is 0.010, the VCM will remove .2 degrees (20 x 0.010) of spark every 12.5 milliseconds until the Entry Threshold of 5 degrees is reached.

Fuel Tab - DFCO Enable Normal Section:
  • Speed Hyst: Subtracts from Enable Speed vs. Baro table value.
  • RPM Hyst: Subtracts from RPM vs. Gear Entry table value.
  • TPS: Adds to TPS vs. RPM table value.
  • Map Hyst: Adds to Map vs. Baro table value.

  • Enable Temp: ECT must be above this to enable DFCO.
  • Disable Temp: If ECT drops below this while DFCO is enabled, then DFCO will disable.
  • Enable RPM: RPM must be above this to enable DFCO.
  • Disable RPM: If RPM drops below this while DFCO is enabled, then DFCO will disable.
  • Enable Speed: Speed must be above this to enable DFCO.
  • Disable Speed: If Speed drops below this while DFCO is enabled, then DFCO will disable.
  • Enable Cylair: Cylair must be below this to enable DFCO.
  • Disable Cylair: If Cylair goes above this while DFCO is enabled, then DFCO will disable.
  • Enable TPS: TPS must be below this to enable DFCO.
  • Disable TPS: If TPS goes above this while DFCO is enabled, then DFCO will disable.

In DFCO:
All of the qualifications have been met, Spark Cut Threshold has been reached and the fuel has been turned off. VCM sets the spark advance and looks for a reason to exit DFCO.

Spark Tab - DFCO Entry, Active, Exit Spark Section:

  • Active Advance vs. RPM A: This is the degree of spark advance while the fuel is turned off.
  • Min TPS for Table A: TPS must exceed this value to use table A.
  • Active Advance vs. RPM B: This is the degree of spark advance while the fuel is turned off.
  • Max TPS for Table B: TPS must be under this value to use table B.

  • DFCO Entry Spark: Spark will ramp down to this value before DFCO enables.

Fuel Tab - DFCO Enable Normal Section:
  • Enable Speed vs. Baro: The vehicle speed must exceed this value.
  • RPM vs. Gear Exit: Engine RPM must exceed table value.
  • TPS vs. RPM: Throttle position must be below this table value.
  • Map vs. Baro Exit: Map must be below this table value.

Exiting DFCO:
VCM has found a reason to turn the fuel back on and start the spark exiting process.

Spark Tab - DFCO Entry, Active, Exit Spark Section:

  • Exit Blending vs. TPS: Spark is added at a rate of 12.5msec at the Exit Blending value. If your current spark advance (Main spark table, not Active Advance vs. RPM A/B) is 20 degrees @3000 rpm, and your add rate is 0.286, the VCM will add .286 degrees of spark every 12.5 milliseconds until the main spark table value is reached.
  • Exit Blending CT (Clutch Transition): This value over rides the Exit Blending vs. TPS table if clutch activity has been detected.
  • Stall RPM: This is the lower RPM limit for DFCO fuel cut.

  • DFCO Exit Spark: Spark will ramp up from this value when exiting DFCO.


GM > Engine > Fuel Control > Open & Closed Loop

GM > Engine > Fuel Control > Open & Closed

Open and Closed Loop
The VCM fueling generally operates in one of three modes: 1) Open loop, 2) Open loop STFT or 3) Closed Loop. Open loop is used when the O2 sensors are not warmed up, failed, or when an enrichment mode (such as power enrichment) is active. Open loop STFT is used on some PCM's when the O2 sensors are showing signs of operation (O2 Readiness), however the closed loop enable ECT has not been reached. In this mode the STFT's may function. The final mode is Closed Loop and in this mode the full closed loop fuel controller is operational.

This section allows controlling of the various base Equivalent Ratio's and AFR's when the VCM is running in openloop. It also allows control over the entry of the various modes described above.

Open Loop

  • Open Loop F/A vs. Coolant Temp vs. MAP: This table is used to determine the commanded AFR when in open loop mode. It divides the Stoich AFR value. AFR is determined by 14.7/table value. Example: 14.7/1.30 = 11.3 AFR
  • Open Loop F/A vs. Coolant Temp vs. MAP (Alcohol): Flexible Fuel Capable calibrations only. This table is used to determine the commanded AFR when in open loop mode. It divides the Stoich AFR value. If you make changes to the non alcohol table AFR, you must make the exact changes on this table as well. If not, then you will wind up with a difference between the two for your open loop AFR. AFR is determined by 14.7/table value. Example: 14.7/1.30 = 11.3 AFR
  • Open Loop EQ Ratio Gas (Gear): This table is used to determine the commanded open loop equivalence ratio when running on gasoline and the transmission is in gear.
  • Open Loop EQ Ratio Gas (P/N): This table is used to determine the commanded open loop equivalence ratio when running on gasoline and the transmission is in park or neutral.
  • Open Loop EQ Ratio Alcohol (Gear): This table is used to determine the commanded open loop equivalence ratio when running on alcohol and the transmission is in gear.
  • Open Loop EQ Ratio Alcohol (P/N): This table is used to determine the commanded open loop equivalence ratio when running on alcohol and the transmission is in park or neutral.
  • Airflow Gain: This table is used to multiply the commanded open loop equivalence ratio based on airflow parameters.
  • IVT Gain: This table is used to multiply the commanded open loop equivalence ratio based on intake valve temperature parameters.
  • Injector Temp Gain: This table is used to multiply the commanded open loop equivalence ratio based on fuel injector temperature parameters.
  • EQ Ratio Min: This table is used to define the lowest allowed commanded open loop equivalence ratio.

Closed Loop
These parameters influence the VCM’s Closed Loop Fuelling behavior.

  • Closed Loop Enable ECT vs. IAT: This table sets the coolant temperature required to enable Closed Loop in relation to inlet air temperature (IAT).
  • Closed Loop Enable Delay: This table sets the delay (secs) after startup and before closed loop will be enabled.
  • Closed Loop ECT: This is the Engine Coolant Temperature (ECT) above which closed loop will be enabled.
  • O2 Readiness ECT: This is the Engine Coolant Temperature (ECT) above which the O2 readiness tests will be enabled. On some vehicles once the O2 Readiness tests complete successfully the PCM will enter Open loop STFT mode ie. enabling the STFT's even thought he closed loop enable temperature has not been reached.
  • Closed Loop Mode vs. Airflow: This table defines the Airflow mode the Closed Loop routines use to operate. It controls selection of various gains and delays used to interpret the O2 sensor signals.
    These tables define the Rich/Lean switching voltages for the O2 sensor in relation to Airflow Mode.
  • O2 Sensor B1 R/L vs. Airflow Mode: Table for Bank 1 (Driver Side)
  • O2 Sensor B2 R/L vs. Airflow Mode: Table for Bank 2 (Passenger Side)

    These two tables affect the % fuel needed for proper closed loop response and start the STFT process

  • Closed Loop Proportional Base vs. Airflow Mode: This table returns the base proportional % fuel change. Proportional base rate table is the primary amount of fuel needed to drive the closed loop fuel control into oscillation. Proportional fuel acts like an on/off switch to keep the fuel moving around the current O2 Rich/Lean vs. Mode table set point. The values on the Proportional Table add or subtract to the base fuel rate depending on the previous fuel condition (i.e. if rich then switch lean, if lean the switch rich). The amount of fuel to add or subtract increases with the airflow mode and should be based on injector size and % fuel switching needed.
  • Closed Loop Proportional Gain vs. O2 Error: This table returns a multiplier value for the increase/decrease of the base rate table. A multiplier value of 1.000 will have no effect on the proportional base rate. If the difference between the current O2 reading and its desired value from table O2 Rich/Lean vs Mode (the current Fast O2 error) is large the VCM will need to change the proportional fuel a lot. If the error is small, it should change it only a little to continue oscillation without undershoot or overshoot. Undershooting will cause the Closed loop fuel to become sluggish or miss the current O2 Rich/Lean vs. Mode table set point. Overshooting with cause the engine to vary excessively in RPM.

    The TPS and MPH values determine the following
    - Alternate fuel trim gain behavior during idle
    - Idle AFR when in open loop mode

    Both conditions must be met for idle behavior to be selected.

  • Fuel Idle TPS Threshold: Minimum Throttle Position Percent Required
  • Fuel Idle Speed Threshold: Minimum Speed Required

    These two tables affect the STFT time needed for proper closed loop response

  • Closed Loop Integrator Delay vs. Airflow Mode: This table returns the base integrator delay.
    The integrator is a function of the Slow Filtered O2 Error over time, The integrator handles persistent rich or lean fuel conditions based on the slow O2 error and Rich/Lean vs Airflow mode. The Base Delay vs Airflow Mode table is the minimum time in milliseconds an overly rich or lean condition needs to exist before the VCM is allowed to make a fuel correction.
  • Closed Loop Integrator Delay Mult vs. O2 Error: This table returns a multiplier value for the increase/decrease of the base integrator time delay. A multiplier value of 1.000 has no effect on the base delay. If the slow o2 error is extremely large the integrator will need to act more quickly. If the error is small the integrator will need less control to keep the closed loop fuel switching closer to the current O2 Rich/Lean vs. Mode table set point.

Long Term Fuel Trims

  • Long Term Fuel Trim RPM Boundaries: This table defines the RPM boundaries for the LTFT cells.
  • Long Term Fuel Trim MAP Boundaries: This table define the MAP boundaries for the LTFT cells.

Fuel Trims LS1 V8

0 - 15 defined by the LTFT RPM and MAP boundaries
16 - Idle PN (AC on)
17 - Idle PN (AC off)
18 - Idle InGear (AC on)
19 - Idle InGear (AC off)
20 - Idle (EVAP closed)
21 - Coastdown (EVAP closed)
22 - Non-Idle (EVAP Closed)

Usually EVAP closes at WOT hence cell #22 is mostly used at WOT, but you will see it used during warmup (before evap purge begins). At WOT you will also see cell #15 if the EVAP purge opens (ie. vacuum drops enough for the purge to begin).

Fuel Trims LS2/LS7/L76, Cobalt SS 2.0L s/c and other later model vehicles

The LS2/7 and others have more cells but follow a similar pattern to the LS1:

EVAP Open
0 - 15 defined by the LTFT RPM and MAP boundaries
16 - Idle PN (AC on)
17 - Idle PN (AC off)
18 - Idle InGear (AC on)
19 - Idle InGear (AC off)
20 - Decel

EVAP Closed
21 - 36 defined by the LTFT RPM and MAP boundaries
37 - Idle
38 - Decel

Fuel Trims V6 vehicles

0 = Idle
1 = Decel
2 = Light Load / Engine Not Running
3 = High Load
4 = Med Load


GM > Engine > Fuel Control > Power Enrich

Power Enrich Fuel
Power enrichment tables are used when the VCM detects wide open throttle (WOT) operation and provides extra enrichment to achieve maximum power.

Note: A working, calibrated and correctly positioned wideband O2 sensor is required to tune engine fuel requirements. Excessive lean conditions due to incorrect use of these parameters could lead to severe engine damage.

PE Enable

  • Enable MAP: This MAP value must be exceeded to enable PE mode
  • Enable MAP Hysteresis: This value is subtracted from the enable MAP value. If the MAP reading drops below this value then PE mode will be disabled.
  • Delay RPM: PE mode is delayed if RPM is below this value. Set to 0 to disable PE Delay and enter PE mode immediately.
  • Enable RPM: This RPM value must be exceeded to enable PE mode
  • RPM Hyst: If enabled, RPM value must drop by this amount to disable PE mode

PE Enable TPS vs. RPM

  • Hot Power Enrich Enable %TPS Threshold vs. RPM: These tables defines the minimum TPS% vs RPM that the VCM requires to enter WOT and is required to enable PE mode. There are two tables labeled Hot and Cold that allows different thresholds depending on whether the coolant temperature has exceeded the Hot Select temperature (see below). If the coolant temperature exceeds the Hot Select temperature then the Hot table is used, otherwise the Cold table is used (not available on all PCMs).
  • Cold Power Enrich Enable %TPS Threshold vs. RPM: These tables defines the minimum TPS% vs RPM that the VCM requires to enter WOT and is required to enable PE mode. There are two tables labeled Hot and Cold that allows different thresholds depending on whether the coolant temperature has exceeded the Hot Select temperature (see below). If the coolant temperature exceeds the Hot Select temperature then the Hot table is used, otherwise the Cold table is used.
  • Hot Select Temp: This value selects either the Hot or Cold TPS threshold table (see above).

  • TPS vs. RPM: This table defines the minimum TPS that the VCM requires to enter WOT and is required to enable PE mode.

Power Enrichment

  • V8 Power Enrich Fuel EQ Ratio vs. RPM: This is the main table that is used to tune WOT fuel for post 1999 V8 engines. The values in this table are Equivalence Ratio's (Fuel/Air multipliers or AFR divisors) ie. values greater than one are richer, values less than one are leaner. The values relate directly to the Stoich AFR and the resulting commanded AFR is Stoich divided by this PE equivalence ratio. Eg. if the multiplier is 1.1 then the commanded AFR will be 14.7/1.1 or 13.36.
  • Power Enrich Fuel Adder vs. Coolant Temp: This table adds to the PE multiplier (above) in relation to engine coolant temperature (ECT).
  • Power Enrich Fuel Adder vs. Intake Air Temp: This table adds to the PE multiplier (above) in relation to inlet air temperature (IAT).

  • V6 Power Enrich Base vs. ECT: This table sets the base AFR for Power Enrichment on V6 engines. Note this is an AFR value, higher is leaner.
  • Power Enrich Fuel Adder vs. Throttle Position Sensor: This table adds to the base AFR in relation to throttle position. It is generally used to lean the fuel at smaller throttle settings.
  • Power Enrich Fuel Adder vs. RPM vs. Time: This table adds to the base AFR in relation to RPM and time in PE mode. It is used to provide additional RPM and time based enrichment and is similar to the PE vs RPM table on V8 engines, but with an additional time component. Remember, this value adds to the Base PE AFR so positive numbers here are leaner and negative numbers are richer.

  • Enrichment Rate: This is the rate at which Fuel is added to reach the desired enrichment value. The small this value is, the slower the VCM will reach the desired PE AFR.

  • Base AFR vs. ECT: This table sets the base AFR for Power Enrichment on some I4/5/6 engines. Note this is an AFR value, higher is leaner.
  • Base AFR Mult vs. RPM: This table multiplies the base AFR for Power Enrichment on some I4/5/6 engines in relation to RPM. Numbers less than one will lower the AFR (richer), numbers greater than one will raise the AFR (leaner).

Boost Enrich

These values are for 2bar or 3bar Speed Density packages.

  • Boost Enrich: This table is an Equivalence Ratio (just like the PE table) and referenced to MAP. The PCM will use the richer of this table and the PE table to determine fueling. It is useful for some supercharged and turbocharged engines where boost does not always correlate to RPM.
  • Enable MAP: This is the minimum MAP to enable the Boost Enrich table. Additionally, above this MAP the engine will enter open loop.
  • MAP Hysteresis: This is the MAP hysteresis to disable the Boost Enrich table.

Piston Protection

  • Enable RPM: RPM must be above this to enable Piston Protection (fuel enrichment) mode. Set to maximum to disable.


GM > Engine > Fuel Control > Accel Enrich

Acceleration Enrichment
Acceleration enrichment is a simple throttle transient fuel compensation calculation. Using the change in TPS (TPS delta) as the primary factor, the PCM calculates an Enrichment Fraction. The enrichment fraction is then added to the current commanded fuel. Various modifiers exist to control the rate and profile of the fuel delivery with time, also, other modifiers exist based on vehicle speed etc.

AE Qualifiers

  • Use Filtered TPS: This switch controls if the VCM uses a filtered TPS delta or an unfiltered value, for the AE calculations.
  • TPS Filter Coefficient: Lag filter coefficient for TPS filter (if enabled).
  • WOT Disables AE: If checked then WOT/PE mode will disable AE.
  • Enable TPS Delta vs. ECT: If the positive change in TPS exceeds this value the AE will be enabled.
  • Disable TPS Closing Delta: If the TPS delta is below this value then AE will be disabled.
  • Re-Enable TPS %: TPS must drop below this to re-enable AE.
  • Disable Refcount Limit: Ref Count Limit to disable AE.

AE Base Value

  • AE vs. TPS Max Delta: This is the base Enrichment Fraction vs. the maximum TPS delta seen during this enable period.

AE Modifier

  • AE Modifier vs. Baro: Multiplier vs. Barometric Pressure
  • AE Modifier vs. Speed: Multiplier vs. Vehicle Speed
  • AE Modifier vs. RefCounts: Multiplier vs. Reference Counts. This is the main time profile of the AE enrichment.
  • AE Modifier vs. ECT vs. ERT - Gear: Startup (vs. Engine Run Time) AE modifier in Gear
  • AE Modifier vs. ECT vs. ERT - P/N: Startup (vs. Engine Run Time) AE modifier in Park or Neutral
  • Startup AE Modifier vs. AFR Correction: Startup AE modifier versus the startup AFR correction factor.
  • Startup AE Modifier vs. TPS: Additional TPS modifier for startup conditions.

Deceleration Enleanment
Deceleration Enleanment (DE) is the opposite function of AE. DE monitors for negative TPS transients and subtracts fuel accordingly.

DE Qualifiers

  • Use Filtered TPS: This switch controls if the VCM uses a filtered TPS delta or an unfiltered value, for the DE calculations.
  • TPS Filter Coefficient: Lag filter coefficient for TPS filter (if enabled).
  • Disable TPS Closing Delta: DE is disabled if the TPS is closing slower than this.
  • Enable TPS Delta: DE is enabled if the TPS is closing faster than this.
  • Disable Refcount Limit: Ref Count Limit to disable DE.

DE Base Value

  • DE vs. TPS Max Delta: This is the base Enleanment Fraction vs. the maximum TPS delta seen during this enable period.

DE Modifier

  • DE Modifier vs. ECT vs. Gear: Multiplier vs. Transmission in gear or Park/Neutral.
  • DE Modifier vs. RefCounts: Multiplier vs. Reference Counts. This is the main time profile of the DE enleanment.
  • DE Modifier vs. Vacuum: Multiplier vs. manifold vacuum.


GM > Engine > Fuel Control > COT, Lean Cruise

Catalytic Converter Protection (COT)
The VCM contains mechanisms to estimate the catalytic converter temperature and provide additional fuel enrichment to decrease exhaust oxygen content if over temperature conditions are detected.

  • Enabled: Master enable/disable for this feature
  • Enable ECT:
  • Max Enrichment: Maximum allowed enrichment due to COT protection. This value is a Fuel/Air multiplier on current commanded AFR. Eg. current AFR is 13.0 and Max Enrichment is 1.1 then the resulting AFR is 13.0/1.1 or 11.81
  • Min Enrichment: Minimum allowed enrichment due to COT protection.
  • Temperature Thresholds: If these thresholds are exceeded the VCM will enable the Converter Over Temperature (COT) protection feature and provide additional enrichment.
  • Enrichment Rate vs. Temp Delta: Rate at which fuel is added during COT operation up to Max Enrichment.
  • Air Fuel Ratio:

  • COT Adder Max: Maximum value of the equivalence ratio adder due to COT.
  • COT Adder Min: Minimum value of the equivalence ratio adder due to COT.

Lean Cruise Mode
During light throttle cruise operation the VCM has capability to lean out fuel mixture and advance timing to enhance fuel economy. There are a number of threshold tests that must be met in order for Lean Cruise to come into operation. Note, most code versions have this feature disabled. Lean Cruise is not allowed on any OBDII vehicle operated in the US.

  • Enable Speed: Speed to enable Lean Cruise.
  • Disable Speed: Speed to disable Lean Cruise.
  • Enable Delay: Engine Run time delay before enabling Lean Cruise
  • Moving Enable Delay: Vehicle must have been moving (ie. MPH > 0) for this time before Lean Cruise is enabled.
  • Lean Cruise F/A Subtractor vs. RPM vs. Cyl Air: This value is how much fuel is subtracted from the Closed Loop Fuel/Air Ratio to lean out the mixture. Eg. if the value is 0.1 and the current F/A Ratio is 1.0 then the resulting Fuel/Air Multiplier is 0.9 or 14.7/0.9 = 16.33 AFR
  • Lean Cruise F/A Subtractor Mutl vs. ECT: This value multiplies the F/A Subtractor value before it is subtracted from the F/A ratio. It is used to enable, partially enable or disable the feature with respect to Engine Coolant Temp. A value of 1.0 is enable full, a value between 1.0 and 0.0 is a partial enable and 0.0 is disable.
  • F/A Subtractor Leanout Rate: The rate that fuel is subtracted to meet the desired Lean Cruise AFR.


GM > Engine > Fuel Control > Transient Fuel

Transient Fuel
The Transient Fuel Tab contains parameters related to Transient Fueling. Due to the port injection configuration of the LS1 engine, a model of fuel transfer from the injector to the cylinder is required. Fuel is not injected directly into the cylinder, but into the airstream aimed at the back of the inlet valve (and port walls) where it subsequently puddles and then boils off (evaporates) into the incoming airstream at a certain rate. The amount of fuel pudding and boiling must be accounted for to ensure optimum fuel delivery. This is particularly true during throttle transients.

During positive throttle (MAP) transients additional fuel must be injected than commanded to account for the fact that not all the fuel injected will make it into the cylinder. If additional fuel were not injected a lean condition would result as more fuel is puddling on the valve and port walls rather than entering the cylinder.

Conversely, during negative throttle (MAP) transients, less fuel needs to be injected than commanded to account for remaining fuel that is still boiling off the walls. If less fuel was not injected a rich condition would result.

Transient Fuel Qualification

  • Min Fuel Milligrams: Minimum injector pulsewidth used to limit transient adjust fuel.
  • Transient Fuel Min RPM: Disable Transient Fuel below this RPM.
  • Transient Fuel Max TPS: Disable Transient Fuel below this TPS if RPM is less than Transient Fuel Min RPM.

Warmup Transient Fuel Correction
Warmup Transient Correction (also known as Stomp Compensation) is used to add additional fuel to transients during engine startup conditions. This is to adjust for conditions of inlet port and valve components not being up to satisfactory temperature. ie. extra fuel puddles on a cold intake.

  • DFCO TPS Min: Warmup Transient Correction will not be added if TPS below this and exiting DFCO.
  • Fuel Delta Min Increase: Minimum commanded fuel delta to add correction (only compensate for reasonable sized transients).
  • Fuel Delta Limit: Negative transient fuel delta threshold to disable correction.
  • Initial Time Decay Mult vs. ECT: Initial value for time decay multiplier factor.
  • Time Decay Mult vs. ECT: Initial Time Decay Mult is multiplied by this reduction factor as the decay progresses. Smaller numbers mean faster decay.
  • Previous Correction Reduction vs. ECT: The previous correction value is reduced by this amount and added to the current correction calculations.

Transient Fuel Film Mass Transfer Calculation

  • Fuel Boiling Time vs. ECT vs. MAP: Boiling Time value
  • Fuel On Wall Exp Decay Mult vs. Airflow:
  • Fuel From Wall Stabilization:
  • Fuel On Wall Remainder:

Transient Fuel Compensator Gain Calculation

  • Fuel To Wall Impact Factor vs. Cool Temp vs. MAP:
  • Impact Factor gain vs. Airflow:


GM > Engine > Fuel Control > Diesel


GM > Engine > Spark Control

Advance

Retard

Dwell

Knock Sensors


GM > Engine > Spark Control > Spark Advance

Main Spark Tables
The VCM constantly looks up both High Octane and Low Octane spark tables and interpolates a value between the two tables based on the current Knock Learn factor. If the engine has been operating for a moderate time without any Knock Retard then Knock Learn is zero and the interpolation favors the High Octane table, if Knock has been detected then the interpolation will move towards the Low Octane table. During MAF failure the Knock Learn is set to maximum and the Low Octane table is used (HP Tuners speed density enhancements allow both spark tables to function).

Note: Excessive spark advance will cause knock (detonation, pinging) and lead to severe engine damage. Do NOT rely on knock sensors as the only source of detecting knock during tuning.

  • High Octane: This is the High Octane spark advance versus RPM and Cylinder Airmass.
  • Low Octane: This is the Low Octane spark advance versus RPM and Cylinder Airmass.

  • High Octane vs. MAP vs. RPM: This is the High Octane spark advance versus MAP and RPM (some I4/5/6 vehicles).
  • Low Octane vs. MAP vs. RPM: This is the Low Octane spark advance versus MAP and RPM (some I4/5/6 vehicles).
  • High Octane vs. MAP vs. RPM (Alcohol): This is the High Octane spark advance versus MAP and RPM when running alcohol fuel (some I4/5/6 vehicles).
  • Low Octane vs. MAP vs. RPM (Alcohol): This is the Low Octane spark advance versus MAP and RPM when running alcohol fuel (some I4/5/6 vehicles).

  • High Octane PE Spark vs. MAP vs. RPM: This is the High Octane spark advance used during PE mode versus MAP and RPM (some I4/5/6 vehicles).
  • Low Octane PE Spark vs. MAP vs. RPM: This is the Low Octane spark advance used during PE mode versus MAP and RPM (some I4/5/6 vehicles).
  • High Octane PE Spark vs. MAP vs. RPM (Alcohol): This is the High Octane spark advance used during PE mode versus MAP and RPM when running alcohol fuel (some I4/5/6 vehicles).
  • Low Octane PE Spark vs. MAP vs. RPM (Alcohol): This is the Low Octane spark advance used during PE mode versus MAP and RPM when running alcohol fuel (some I4/5/6 vehicles).

Main Spark Table Selects
If either of these TPS or MPH values is exceeded the VCM will select the Main Spark tables, otherwise the Base Spark tables are used. The value minus the hysteresis is required to revert back to the Base table from the Main tables.

  • TPS: This value is the Throttle Position required to disable the Main Spark tables
  • TPS Hysteresis: This value is added to the value above as the threshold to activate Main Spark table in relation to TPS.
  • Speed: This value is the Speed required to disable the Main Spark tables
  • Speed Hysteresis: This value is added to the value above as the threshold to activate Main Spark table in relation to speed.

Base Spark Tables

  • Base Spark vs. Airflow vs. RPM Closed Throttle, In Drive: This is the base spark used predominantly at idle with selector in gear.
  • Base Spark vs. Airflow vs. RPM Closed Throttle, In Park: This is the base spark used predominantly at idle with selector in Park or Neutral.

Idle Spark Advance

  • Base: This is the base spark used predominantly at idle.
  • Coastdown: This is the base spark used predominantly while the vehicle in in coastdown.
  • Idle Spark Adder (P/N): This adds to the current idle spark while in Park/Neutral.
  • Idle Spark Adder (In Gear): This adds to the current idle spark while in Gear.
  • Idle Spark Mult vs. Baro: This modifies the idle spark in relation to barometic pressure.

  • Base vs. MAP: This is the base spark used predominantly at idle (some I4/5/6 vehicles).
  • Base vs. MAP (Alcohol): This is the base spark used predominantly at idle when running alcohol fuel (some I4/5/6 vehicles).

Spark Correction
The VCM incorporates a number of corrections to the spark advance depending on current engine operating conditions.

  • AFR Spark Advance Correction - Add: This table is used to modify spark advance based on the current commanded AFR value (Fuel/Air multiplier). It is used during lean cruise mode and adds to the current spark advance.
  • AFR Spark Advance Correction - Mult: The multiplier table is used to proportionally enable or disable this feature in relation to MAP.
  • AFR Spark Advance Correction - Gas: These values are added to the spark advance in relation to EQ Ratio. It is used in the various enrichments modes (PE, COT, etc.)
  • AFR Spark Advance Correction - Alcohol: These values are added to the spark advance in relation to EQ Ratio. It is used in the various enrichments modes (PE, COT, etc.)
  • AFR Spark Advance Mult vs. Fuel Composition: The multiplier table is used to modify the spark value based on fuel composition (flex fuel only).
  • AFR Spark Advance Correction Mult vs. MAP: The multiplier table is used to proportionally enable or disable this feature in relation to MAP.

  • IAT Spark Advance Correction - Add (Base): This table is used to modify spark advance based on inlet air temperature. It adds to the current spark advance.
  • IAT Spark Advance Correction - Mult: The multiplier is used to proportionally enable or disable this feature.
  • IAT Spark Advance Correction - Mult 2: The multiplier is used to proportionally enable or disable this feature.

  • ECT Spark Advance Correction - Add (Base): This table is used to modify spark advance based on engine coolant temperature. It adds to the current spark advance.
  • ECT Spark Advance Correction - Mult: The multiplier is used to proportionally enable or disable this feature.

  • Lightoff Spark (Normal): Catalytic converter lightoff (warmup) spark table. Used to modify timing during startup to heat the cats faster.
  • Lightoff Spark (Coast): Catalytic converter lightoff (warmup) spark table. Used to modify timing during startup to heat the cats faster during coastdown.
  • Lightoff Spark Idle (P/N): Catalytic converter lightoff (warmup) spark table. Used to modify timing during startup to heat the cats faster during idle in Park/Neutral.
  • Lightoff Spark Idle (Gear): Catalytic converter lightoff (warmup) spark table. Used to modify timing during startup to heat the cats faster during idle in Gear.

  • Launch Spark: Base launch spark table. Used to modify timing during cold start takeoffs.

  • Piston Slap Spark: This table is used to modify spark advance to reduce piston slap (noise) during warmup.

  • Startup Spark Correction: During the first 80 seconds of engine operation the VCM has the ability to modify the spark advance based on cylinder air and time. Generally this is used to assist in cold start low speed drivability. This value adds to the spark advance.
  • Startup Spark Correction Mult vs. Startup ECT: The Multiplier table is used to enable and disable startup spark correction based on coolant temperature it is a proportional value between 0 and 1.

  • EGR Spark Advance Correction - Add: This table is used to modify spark advance based on EGR operating conditions. It adds to the current spark advance.

  • Startup Flare Control: This table is used to adjust timing to attempt to control RPM flaring during startup.
  • Startup Flare Control - Mult: The multiplier table is used to proportionally enable or disable this feature in relation to ECT.

Idle Adaptive Spark Control

  • Overspeed: Amount of spark adjustment in response to an idle overspeed condition.
  • Underspeed: Amount of spark adjustment in response to an idle underspeed condition.

  • Overspeed (P/N): Amount of spark adjustment in response to an idle overspeed condition in Park/Neutral.
  • Overspeed (Gear): Amount of spark adjustment in response to an idle overspeed condition in Gear.
  • Overspeed (Coast): Amount of spark adjustment in response to an idle overspeed condition in coastdown.
  • Underspeed (P/N): Amount of spark adjustment in response to an idle underspeed condition in Park/Neutral.
  • Underspeed (Gear): Amount of spark adjustment in response to an idle underspeed condition in Gear.
  • Underspeed (Coast): Amount of spark adjustment in response to an idle underspeed condition in coastdown.

Mean Best Timing

  • Max Torque Timing vs. RPM vs. Cyl Air: Theoretical spark advance that delivers maximum torque. PCM torque calculation routines reference this table when estimating current engine torque output relative to theoretical maximum. We do not recommend modifying this table.

AC Torque Spark

  • AC Bump Torque Spark: Enables/Disables spark adjustment when AC cycle on/off.
  • AC Bump Torque Idle Spark: Enables/Disables spark adjustment when AC cycle on/off at idle if AC Bump Torque Spark is enabled.

M6 Spark Smoothing

  • M6 Spark Smoothing: Enables/Disables spark adjustment/smoothing for M6 transmission.

V6 Spark Limiter (V6 only)

  • High RPM Threshold: Above this RPM the VCM will set the spark to the value specified by High RPM Spark.
  • High RPM Spark: The VCM will set the spark to this value when the RPM exceeds High RPM Threshold.
  • Spark Limiter Speed vs. Gear: The VCM will retard the spark above the specified speed as a form of limiter function.


GM > Engine > Spark Control > Spark Retard

Knock Learn
Knock Learn is a method the VCM uses to provide a longer term adjustment for fuel octane. If the VCM detects knock it will instantaneously reduce timing (Knock Retard) but will also modify the Knock Learn factor to affect the proportion the VCM uses to interpolate between the High Octane and Low Octane Main Spark tables. If no knock is detected over a reasonable period then the Knock Learn factor will slowly return to the High Octane table.

If a MAF DTC is set then the knock learn factor is set to the Low Octane tables. (HP Tuners speed density enhancements disable this behavior).

The various thresholds determine when the VCM will modify the knock learn factor. The knock learn factor can be logged using the scanner on many vehicles.

  • Min MAP: Minimum MAP to enable knock learn.
  • Max RPM: Maximum RPM to enable knock learn.
  • Min RPM: Minimum RPM to enable knock learn.
  • Min ECT: Minimum ECT to enable knock learn.
  • Min IAT: Minimum IAT to enable knock learn.

  • Total Knock Retard: Maximum knock retard to enable knock learn.

  • Enable Multiplier vs. ECT: Proportionally enable or disable this feature in relation to ECT.

Knock Retard Recovery Rate (Decay)

  • Knock Retard Decay vs RPM High CylAir: Knock Retard Decay Rate when CylAir exceeds threshold (below). Used on V6 engines.
  • Knock Retard Decay vs RPM Low CylAir: Knock Retard Decay Rate when CylAir is below threshold (below). Used on V6 engines.
  • Cyl Air Threshold: CylAir threshold to determine which decay rate to use. Used on V6 engines.

Knock Retard Fast Attack

  • Knock Fast Attack Gain vs. Coolant Temp: This is the gain in relation to coolant temperature.
  • Knock Fast Attack Gain vs. Baro: This is the gain in relation to barometric pressure.
  • Knock Fast Attack Base Retard vs. RPM: This is the amount of timing that is subtracted in proportion to each knock detected. It is multiplied by the Temperature and Baro gain factors. The higher this number is the more aggressive Knock Retard will be.
  • Knock Fast Attack Recovery Rate vs. RPM: This is the rate at which knock retard is removed in the absence of further knock. The higher this value is the faster knock retard will be removed.

Burst Knock Retard

  • Burst Knock Enable Delta Cyl Air Threshold vs. RPM: If this value is exceeded the VCM will remove the amount of timing specified in the Burst KR vs RPM table (Note: for 97/98 LS1 this table is a single value).
  • Burst Knock Retard vs. RPM: Amount of Knock Retard when the CylAir delta threshold is exceeded.
  • Burst Knock Retard vs. ECT: Amount of Knock Retard when the CylAir delta threshold is exceeded (97/98 LS1 Only)
  • Burst Knock Retard Multiplier vs. RPM: After the value from the Burst knock Retard vs. Run Time vs. Coolant Temp table is selected, this table provides the gain to that value based on engine RPM. Multiplier range is 0 through 8. The Burst knock Retard vs. Run Time vs. Coolant Temp and Burst Knock Retard Multiplier vs. RPM tables replace the Burst Knock Retard vs. RPM table in earlier calibrations.
  • Burst knock Retard vs. Run Time vs. Coolant Temp: Base amount of Knock Retard/Advance when the CylAir delta threshold is exceeded. Table spark value can be from -25 to +55 degrees spark. During the first 120 seconds of engine run time, the values in the 0 through 120 seconds rows can be in use. After 120 seconds, the values in the 120 second row only are used. Depending on engine temperature, the spark change can be + or -. The Burst knock Retard vs. Run Time vs. Coolant Temp and Burst Knock Retard Multiplier vs. RPM tables replace the Burst Knock Retard vs. RPM table in earlier calibrations.

  • Burst Knock Retard vs. CylAir Delta: Amount of Burst Knock Retard in relation to the detected change in cylinder airmass.

Maximum Knock Retard

  • Maximum Knock Retard vs. MAP (Not in Power Enrich): This is the maximum amount of Knock Retard when not in PE Mode.
  • Maximum Knock Retard vs. RPM (in Power Enrich): This is the maximum amount of Knock Retard when in PE Mode.
  • Maximum Knock Retard vs. AFR: Used on V6 engines, this is the maximum amount of Knock Retard versus current commanded AFR.

Minimum Spark Advance

  • Minimum Spark Advance vs. RPM: This is the minimum limit for spark advance during any retard event. Spark will not be retarded below this value.

Static Spark Retard

  • Static Spark Retard vs. RPM vs. Cylinder: Static spark retard per cylinder.
  • Static Spark Retard Enable Cylair: Cylair must be above this to enable static spark retard per cylinder.


GM > Engine > Spark Control > Spark Dwell

Spark Dwell

  • Steady State RPM Limit: If RPM change is less than this then modify dwell based on MAP.
  • Cranking Modifier: Cranking modifier to the dwell time.
  • Powerup Initial: Initial dwell value.
  • Powerup Initial - Max: Initial dwell maximum limit. Expressed as a multiplier of dwell.
  • Powerup Initial - Min: Initial dwell minimum limit. Expressed as a multiplier of dwell.
  • Base Dwell Time: Base Dwell table used to lookup spark dwell.
  • Base Dwell Time Mult: Base Dwell modifier.
  • Dwell Time Mult vs. MAP: If Steady State RPM Limit is met then apply this modifier to the dwell.
  • Dwell Time Mult Max: Dwell maximum limit. Expressed as a multiplier of dwell.
  • Dwell Time Mult Min: Dwell minimum limit. Expressed as a multiplier of dwell.


GM > Engine > Spark Control > Knock Sensors

Knock Sensor Tip In

  • Min TPS: Minimum TPS for use of the Knock Sensor Level vs. Tip in TPS table.
  • Max TPS: Maximum TPS for use of the Knock Sensor Level vs. Tip in TPS table.
  • TPS Delta: Minimum %TPS must continually increase for use of the Knock Sensor Level vs. Tip in TPS table.
  • Min RPM: Minimum RPM for use of the Knock Sensor Level vs. Tip in RPM table.
  • Max RPM: Maximum RPM for use of the Knock Sensor Level vs. Tip in RPM table.
  • RPM Delta: Minimum %RPM must continually increase for use of the Knock Sensor Level vs. Tip in RPM table.

Knock Sensor Level (One of three will be selected depending on Table select values)

  • Knock Sensor Level vs. Tip in TPS: Used to increase, decrease Knock Sensor sensitivity during throttle transitions. Knock sensor level that must be exceeded to consider the engine knocking. The knock sensor is compared against this tables levels, and if found to be below the table result, no knock retard can occur. This table is used during rapid throttle transitions. Knock energy table level is from 0 to 64.
  • Knock Sensor Level vs. Tip in RPM: Used to increase, decrease Knock Sensor sensitivity during RPM transitions. Knock sensor level that must be exceeded to consider the engine knocking. The knock sensor is compared against this tables levels, and if found to be below the table result, no knock retard can occur. This table is used during rapid rpm transitions. Knock energy table level is from 0 to 64.
  • Knock Sensor Level vs. RPM vs. Cyl: Used to increase, decrease Knock Sensor sensitivity per cylinder. Knock sensor level that must be exceeded to consider the engine knocking. The knock sensor is compared against this tables levels based on current cylinder firing. If found to be below the table result, no knock retard can occur. It is the base knock sensor table when the TPS and RPM tip in tables are not in use. Knock energy table level is from 0 to 64.

Knock Sensor Global

  • Knock Sensor Global vs. RPM vs. MAP: Used to increase, decrease Knock Sensor sensitivity. Depending on model, a global load based gain for the Knock Sensor Level vs. Tip in TPS, Knock Sensor Level vs. Tip in RPM, Knock Sensor Level vs. RPM vs. Cyl tables. Multiplier value range is from 0 to 16.
  • Knock Sensor Global vs. MAP vs. Cyl: Used to increase, decrease Knock Sensor sensitivity. Depending on model, a global load based gain for the Knock Sensor Level vs. Tip in TPS, Knock Sensor Level vs. Tip in RPM, Knock Sensor Level vs. RPM vs. Cyl tables. Multiplier value range is from 0 to 16.


GM > Engine > Torque Management

General

Engine Torque

Abuse

Supercharger

Turbocharger


GM > Engine > Torque Management > General

Maximum Torque
The values affect the maximum torque allowed by the VCM. Many of these values only apply to Electronic throttle control vehicles.

  • Max Engine Torque vs. RPM vs. Gear: Maximum allowed engine torque vs. RPM and current gear for transmission protection. Electronic Throttle Fitted Vehicles only.
  • Max Torque vs. Gear: Maximum allowed engine torque vs. current gear.
  • Max Torque vs. RPM: Maximum allowed engine torque vs. RPM, whilst TCC locked.
  • Max Torque: Maximum allowed engine torque for Electronic Throttle Control fitted vehicles. This value is also used to control a torque based PCM output, this is used on some Holden vehicles to reduce Fuel Pump voltage when torque is below this value. WARNING: increasing this value on those vehicles will result in reduced fuel pressure, lean conditions and possible engine damage during high torque operation.

  • Max Torque - 4WD Low: Maximum allowed engine torque vs. current gear when in 4WD Low range.
  • Max Torque - 4WD High: Maximum allowed engine torque vs. current gear when in 4WD High range.

  • Tip In Torque by Gear: Electronic throttle maximum allowed instantaneous torque increase based on automatic trans current gear.

  • Trans Input Torque Max: Maximum Transmission Input Torque
  • Trans Output Torque Max: Maximum Transmission Output Torque
  • Front Axle Torque Max: Maximum Front Axle Torque (4WD applications)
  • Front Propshaft Torque Max: Maximum Front Propshaft Torque (4WD applications)
  • Rear Axle Torque Max: Maximum Rear Axle Torque
  • Rear Propshaft Torque max: Maximum Rear Propshaft Torque

  • Brake Torque Limit: Maximum torque during braking, to ensure the vehicle brakes can always stop the vehicle.

ETC Limits

  • ETC TPS% Max: This is the maximum allowed ETC throttle percent based on the current percentage of torque being delivered. The PCM uses this to limit the ETC opening rate to maintain traction.
  • ETC Injector Disable: During ETC Traction control strategies the PCM may disable injectors in order to control engine torque. This table is an 8bit binary "Enable Mask". A value of "0" for any bit means that cylinder will be disabled. A value of 255 means all cylinders will remain enabled.
  • Power-Hop Injector Disable: Disables injectors during a very large torque transient. This table is an 8bit binary "Enable Mask". A value of "0" for any bit means that cylinder will be disabled. A value of 255 means all cylinders will remain enabled.

  • ETC TPS Max vs. Mode: This is the maximum allowed ETC throttle position in relation to traction control mode and gear.
  • ETC TPS Max vs. Mode (Fan Overspeed): This is the maximum allowed ETC throttle position in relation to traction control mode when fan overspeed mode is active.
  • ETC TPS Max vs. ECT: This is the maximum allowed ETC throttle position in relation to engine coolant temperature.
  • ETC TPS Max vs. Oil Temp: This is the maximum allowed ETC throttle position in relation to engine oil temperature.
  • ETC TPS Max Delta Positive: This is the maximum allowed ETC throttle position rate of change during throttle opening versus RPM and gear.

Spark Retard

  • Max Torque vs. RPM vs. Gear: The values affect the amount of spark retard commanded by the VCM to achieve the desired % Torque Reduction. Setting this table to zero will disable any torque management related spark retard, including transmission shift torque reduction.
  • % Torque Loss vs. Spark Retard: This table is the inverse of the other table and tells the PCM how much torque is lost for a given amount of spark retard.

Traction Control System (TCS)
The values affect the amount of retard the VCM will use to reduce engine power due to loss of traction.

  • Traction Control Spark Retard vs. RPM: Normal TCS retard (degrees)
  • Traction Control Air Fuel Ratio:
  • Traction Control Aggressive Spark Retard vs. RPM: Aggressive TCS retard (degrees)
  • Traction Control Injector Disable: Specifies the number of injectors disabled by the TCS system for each mode (V6 only)
  • Traction Control Max Torque: Specifies the torque reference for retarding ignition timing during TCS operation. The lower this is set, the earlier the VCM will retard timing during TCS. (V6 only)

  • TCS Limit - Spark: Traction control will use spark if enabled.
  • TCS Limit - Fuel Cut: Traction control will use fuel cut if enabled.
  • TCS Limit - ETC: Traction control will use ETC if enabled.

  • TCS Enable Temp: Traction control will be enabled if ECT is above this.
  • Minimum Desired Torque: Traction control torque request will be limited to greater than this.

  • Powerhop Enable: Powerhop (axle tramp) control enable/disable.
  • Powerhop Limit - Spark: Powerhop (axle tramp) control will use spark if enabled.
  • Powerhop Limit - Fuel Cut: Powerhop (axle tramp) control will use fuel cut if enabled.


GM > Engine > Torque Management > Engine Torque

Engine Torque Model
The PCM uses a airflow, fuel and thermal efficiency and heat based model of torque.

  • Inertia Factor: This is an engine inertia factor that is used to estimate torque required to accelerate/decelerate the engine.
  • Fuel Qc Factor: This is the constant used to represent the Heat Of Combustion (Qc) in the torque model.
  • MBT Torque Filter: This is the filter coefficient used to filter the calculated Mean Best Torque (MBT).
  • Transfer Case Ratio: Transfer case ratio used in 4WD applications to calculate torque values when in 4WD low range.
  • Accessory Torque: This is the model of accessory torque load on the engine (excluding AC compressor when engaged).
  • Friction Torque: This is the model of friction torque loss within the engine.
  • Friction Torque Multiplier: This is a multiplier on the friction torque value at various oil temperatures.

AC Compressor Torque
The AC compressor places a large and variable load on the engine when engaged. The PCM has a complex model of AC Torque load including inertia effects and ramp in/out when the AC clutch first engages. The AC torque calculation is also used to calculate the Idle AC Airflow compensation for IAC/ETC control during idle.

  • Torque vs. AC Pressure: This is the torque loss of the AC compressor versus AC Pressure.
  • Torque vs. IAT: This is the increase in AC torque loss due to inlet air temperature.
  • Inertia Torque: This is the model of inertia torque load for the AC clutch when it engages.
  • On Hold Time: Time to hold Inertia Torque before ramp out begins when AC clutch first engages.
  • Inertia Torque Airflow Ramp: This controls the ramp out rate of AC inertia torque once the On Hold Time expires.
  • Off Hold Time: Time to hold AC torque before decaying to zero when AC clutch is disengaged.
  • Torque Reduction: Maximum amount of torque reduction that the AC can request.

AC Bump Torque
This is the transient model of AC torque load when the AC clutch engages and disengages.

  • Delay: Time delay between commanding the AC on and the compressor loading up the engine.
  • Ramp In: Ramp in rate for AC Compressor torque.
  • Ramp Out: Ramp out rate for AC Compressor torque.
  • Duration Max: Maximum duration for transient torque model ramp out. After this time AC torque will be set to zero when AC disengages.
  • Reset Limit: If AC torque loss delta is less than this the adaptive idle cells will be reset to zero.
  • ETC% Max: Maximum amount of extra ETC throttle position the AC airflow can command.
  • On Delay: Delay before retarding spark when the AC engages.
  • Off Delay: Delay before retarding spark when the AC disengages.
  • max Spark Retard: Maximum spark retard the AC transient can request.
  • Spark Off Delay: Delay before ramping spark out when the AC disengages. After Off Hold Time expires.

Delivered Torque PWM
The delivered torque PWM is used in various applications. eg. for some Holden vehicles it is used to control the fuel pump voltage.

  • Stall: commanded PWM % when stall protect is activated.
  • Shift In Progress: commanded PWM % when a shift is in progress.
  • Normal Minimum: Minimum allowed PWM %
  • Minimum Factor: Factor used to calculate PWM minimum PWM %.
  • Fail Condition: PWM % applied to when torque management failure conditions are detected.

Stall Protect

  • Enable RPM: If RPM drops below this them Stall Protect PWM % will be commanded.
  • Delta Gain: Used for calculating RPM derivative factor to determine if engine stall is likely.
  • Disable Factor - Hi: If RPM derivative factor is above this multiplied by current Desired Idle RPM then stall protect will disable (if enabled).
  • Disable Factor - Lo: If RPM derivative factor is below this multiplied by current Desired Idle RPM then stall protect will disable (if enabled).


GM > Engine > Torque Management > Abuse

Drivetrain Abuse Mode

  • Enter Abuse Mode Test if RPM Greater Than: If RPM is greater than this value the abuse mode test will run
  • Enter Abuse Mode Test if Speed Less Than: If Speed is less than this value the abuse mode test will run

  • Abuse Mode Timer vs. Trans Temp: This is the time the VCM will stay in abuse mode

Gear Abuse
These values reduce torque to prevent transmission damage when selecting gear in an abusive manner.

  • Max Speed: Above this speed abuse tests are disabled
  • Min TPS: If TPS is greater than during a gear select, abuse is declared
  • Min RPM: If RPM is greater than during a gear select, abuse is declared
  • Spark: Spark during abuse
  • AFR: AFR during abuse
  • Injector Disable Min RPM: Above this RPM, injectors will be disabled if abuse is declared
  • Injector Disable Number: Number of injectors disabled if abuse is declared

Differential Abuse
These values control differential scoring abuse mode.

  • Min Speed: Below this speed, differential scoring abuse tests are disabled
  • Spark: Spark during abuse
  • AFR: AFR during abuse
  • Injector Disable Number: Number of injectors disabled if abuse is declared

Supercharger Torque Management (V6 Only)
The values affect Supercharger Torque Management on supercharged V6 engines.

  • TCS Mode Threshold: When TCS is active and TCS Mode exceeds this threshold, the VCM will calculate a maximum allowed supercharger boost.
  • Enable Speed: If in 3rd gear and above this speed, the Supercharger Torque Management Timer will begin
  • Enable Time (secs): If Supercharger Torque Management Timer expires torque is reduced. (ie. 3rd gear, speed above Enable Speed for Enable Time seconds)
  • Torque Reduction Mult: Allowed maximum torque is multiplied by this value when enabled.


GM > Engine > Torque Management > Supercharger

Supercharger Torque Management
The values affect Supercharger Torque Management on supercharged V6 engines and L4 engines (eg. Cobalt SS and Saturn Ion 2.0L)

SC3800 V6 Engines

  • TCS Mode Threshold: When TCS is active and TCS Mode exceeds this threshold, the VCM will calculate a maximum allowed supercharger boost.
  • Enable Speed: If in 3rd gear and above this speed, the Supercharger Torque Management Timer will begin
  • Enable Time (secs): If Supercharger Torque Management Timer expires torque is reduced. (ie. 3rd gear, speed above Enable Speed for Enable Time seconds)
  • Torque Reduction Mult: Allowed maximum torque is multiplied by this value when enabled.

L4 "LSJ" Engine and other later vehicles

General

  • Supercharger: Indicates if a supercharger is fitted to the vehicle.
  • Boost Inhibit: If enabled, boost will be permanently inhibited.

Intercooler

  • Intercooler: Indicates if an intercooler pump is fitted to the vehicle.
  • Intercooler ERT Min: Minimum engine run time to enable intercooler pump.
  • Intercooler IAT Min: Minimum intake air temperature to enable intercooler pump.

Boost Limits

  • ETC Boost Limit: Maximum boost percentage when ETC power management is active.
  • TCS Boost Limit: Maximum boost percentage when traction control is active.
  • Reduce IAT: If IAT exceeds this value IAT Boost Limit will be active.
  • Full IAT: If IAT Boost Limit is active then IAT must drop below this value to enable full boost again.
  • IAT Boost Limit: Maximum boost percentage when IAT Boost Limit is active.
  • COT Limit Eq Ratio: If COT Equivalence ratio exceeds this value then COT Boost Limit will be active.
  • COT Boost Limit: Maximum boost percentage when COT Boost Limit is active.
  • Knock Boost Limit: Maximum boost percentage in relation to the Knock Learn factor (Octane Scalar). Reduces boost if excessive long term knock detected.
  • 1st Gear Boost Limit: Maximum boost percentage when in first gear in relation to RPM.
  • 2nd Gear Boost Limit: Maximum boost percentage when in all gears (except 1st) in relation to RPM.

Boost Disable

  • VSS Min: Boost will be disabled if VSS is larger than this value and TPS below the threshold.
  • TPS Max: Boost will be disabled if VSS is larger than threshold and TPS below this value.
  • Boost Ramp: Boost will ramp in at this rate after being cut. Lower numbers mean a slower ramp in.

Boost Control

  • Proportional Gain: Proportional gain for supercharger boost control, larger numbers mean faster response but increased risk of instability and oscillation.
  • Integral Gain: Integral gain for supercharger boost control, larger numbers mean faster response but increased risk of instability and oscillation.
  • Desired MAP: The desired MAP for controlling boost, this is the target value the boost control tries to achieve.
  • Desired MAP Steady State (S/S): The desired MAP for controlling boost, this is the target value the boost control tries to achieve when in steady state. This reduces boost when in steady state cruising. See steady state parameters below.

Steady State Reduce

  • Enable Accel Max: Steady state timer update will be allowed when engine acceleration rate is below this.
  • Enable Accel Min: Steady state timer update will be allowed when engine acceleration rate is above this.
  • Disable Accel Max: Steady state timer will be reset when engine acceleration rate is above this. High acceleration.
  • Disable Accel Min: Steady state timer will be reset when engine acceleration rate is below this. High deceleration.
  • Timer Increment RPM: Above this RPM the steady state timer will increment if acceleration is within limits.
  • Timer Hold RPM: Below this RPM the steady state timer will reset.
  • Timer Hold TPS: If RPM is above the hold RPM and TPS is below this limit then the steady state timer will reset.
  • Enable Time: If the steady state timer exceeds this value then the steady state boost control will be used.
  • Torque Reduction Mult: Multiplier that reduces the the maximum allowed torque when steady state is enabled.


GM > Engine > Torque Management > Turbocharger


GM > Engine Diagnostics

General

Airflow

Misfire

DTCs


GM > Engine Diagnostics > General

General

  • Firing Order: Engine Firing order, used for misfire detection

TPS Sensor

  • P0121 Max MAP: The VCM will calculate an expected TPS position in two MAP ranges. If the MAP is less than MinMAP then it will use one table to calculated expected TPS, if MAP is greater than MaxMAP it will use a different TPS calculation table. To disable this test set MaxMAP to 100.
  • P0121 Min MAP: The VCM will calculate an expected TPS position in two MAP ranges. If the MAP is less than MinMAP then it will use one table to calculated expected TPS, if MAP is greater than MaxMAP it will use a different TPS calculation table. To disable this test set MinMAP to 0.
  • Calculated Airflow vs. TPS% vs. RPM - P1514/P0068 Error: The VCM uses this table to determine the maximum airflow/cylair the Electronic Throttle should be passing at a certain TPS position and RPM. If the measured cylair/airflow exceeds this value then P1514/P0068 is set.

Diagnostic Tests

  • P0101, P0106, P0121 Min ECT: ECT must be above this for the tests to run.
  • P0101, P0106, P0121 Max ECT: ECT must be below this for the tests to run.

  • P0068 Enable RPM: RPM must be above this for the tests to run.


GM > Engine Diagnostics > Airflow

MAF Sensor

  • MAF Sensor Fail High: This is the frequency threshold at which the VCM will set the High MAF Frequency DTC (P0103)
  • MAF Sensor Fail Low: This is the frequency threshold at which the VCM will set the Low MAF Frequency DTC (P0102)
  • MAF Test ERT Min: This is the minimum engine run time before the MAF frequency tests will run.
  • MAF Test IGNV Min: Ignition voltage must be above this before the MAF frequency tests will run.
  • MAF Test RPM Min: RPM must be above this before the MAF frequency tests will run.
  • MAF Test Enable Delay: Once the above thresholds are met this delay must expire before the MAF frequency tests will begin.
  • MAF Test High Count Thresh: Number of times the MAF frequency must be high before P0103 will set.
  • MAF Test Low Count Thresh: Number of times the MAF frequency must be low before P0102 will set.

  • Maximum Delta Air Flow - P0101 Error: The VCM will constantly check the MAF operation by comparing the MAF calculated airflow against the calculated airflow using speed/density calculations. If the difference exceeds the threshold value at the particular speed/density calculated airflow then P0101 will be set.

MAP Sensor
The VCM calculates a predicted MAP signal based on current TPS and RPM. If the measured MAP is out of range then P0106 is set. This can be a problem for supercharged vehicles.

  • P0106 MAP Test Max: This table specifies the maximum MAP predicted based on TPS and RPM.
  • P0106 MAP Test Min: This table specifies the minimum MAP predicted based on TPS and RPM.

MAP Sensor Calibration
Change these values if you change the MAP sensor (in conjunction with 2 (or 3) bar code).

  • MAP Sensor Calibration Linear: The linear calibration of the MAP sensor (slope)
  • MAP Sensor Calibration Linear B: The linear calibration of the MAP sensor (slope) (if specified should be set to 1/3 of the above calibration).
  • MAP Sensor Calibration Offset: The offset calibration of the MAP sensor


GM > Engine Diagnostics > Misfire

Misfire Detection Temps

  • Max Temp: The maximum engine coolant temperature to which Misfire Detection tests will run
  • Min Temp: The minimum engine coolant temperature to which Misfire Detection tests will run

Misfire Max Time Between Events:

  • Idle: Increase these values to max misfire tests less sensitive.
  • Low RPM: Increase these values to max misfire tests less sensitive.
  • Med RPM: Increase these values to max misfire tests less sensitive.
  • High RPM: Increase these values to max misfire tests less sensitive.

Misfire Max Time Between Events By Cylinder vs. VE% vs. RPM

  • Idle (Not Moving): Increase these values to max misfire tests less sensitive.
  • Idle (Moving): Increase these values to max misfire tests less sensitive.
  • Med RPM: Increase these values to max misfire tests less sensitive.
  • High RPM: Increase these values to max misfire tests less sensitive.


GM > Engine Diagnostics > DTCs

Diagnostic Trouble Code (DTC)
This tab controls the setting of the MIL and SES lamps and the reporting of the various DTC codes (Pxxx). Note: It does not disable the actual tests. eg. disabling the MAF DTCs will not affect the behavior of the engine if the MAF fails. ie. it will still revert to backup mode, set maximum knock learn etc.

Diagnostic Trouble Code (DTC) Error Mode

  • 0 - MIL on First Error: Emissions related. Illuminates MIL the first time DTC sets.
  • 1 - MIL on Second Error: Emissions related. Illuminates MIL if fault is active for 2 consecutive driving cycles.
  • 2 - No MIL Light: Non-emissions related. Does not illuminate MIL, but will illuminate SERVICE light.
  • 3 - No Error Reported: Non-emissions related. Does not illuminate MIL or SERVICE light.

Diagnostic Trouble Code (DTC) SES Enabled

  • SES Enable (Checked): Enable SES/Check Engine/Service Vehicle Soon lamp/display for this DTC
  • SES Enable (Unchecked): Disable SES/Check Engine/Service Vehicle Soon lamp/display for this DTC


GM > Transmission

Auto Shift Speed

Auto Shift Properties

Auto General Pressure

Auto TCC

Manual C.A.G.S.

Torque Management


GM > Transmission > Auto Shift Speed

Part Throttle Shift
These tables define the shift speed under non-WOT conditions. Tables are provided for Normal, Performance, Cruise and when the transmission is Hot. The shift speeds control both upshifts and downshifts.

  • Normal: Normal Mode Shift Speeds
  • Cruise: Cruise Mode Shift Speeds
  • Hot: Transmission Hot Mode Shift Speeds
  • Performance: Performance Mode Shift Speeds

Wide Open Throttle (WOT) Shift Speed
These tables define the speed at which the Transmission will shift under WOT conditions. Note both Shift Speed and RPM (see below) must be exceeded for the transmission to shift. These controls are for upshifts only.

  • Normal: Normal Mode WOT Shift Speeds
  • Hot: Transmission Hot Mode WOT Shift Speeds
  • Performance: Performance Mode WOT Shift Speeds

Wide Open Throttle (WOT) Shift RPM
These tables define the RPM at which the Transmission will shift under WOT conditions. Note both RPM and Shift Speed (see above) must be exceeded for the transmission to shift. These controls are for upshifts only.

  • Normal: Normal Mode WOT Shift RPM
  • Hot: Transmission Hot Mode WOT Shift RPM
  • Performance: Performance Mode WOT Shift RPM

WOT Shift Table Selects
This is the TPS threshold at which the transmission use WOT shifting behavior.

  • Enable %TPS: Enable WOT Shift above this TPS.
  • Disable %TPS: Disable WOT Shift below this TPS (if enabled).


GM > Transmission > Auto Shift Properties

Force Motor
These values are the calibration of the transmission force motor (pressure control solenoid) versus desired line pressure and transmission temperature. The force motor is a relief valve that requires a current to reduce line pressure, the higher the current the lower the resulting line pressure. It is not recommended to change these values unless you have modified the transmission pressure control solenoid or are experiencing trans slip under heavy load. If you increase the Max Line Pressure constant, you may have to set the values in the 100 column to match (or be slightly lower) than the 96 column. Certain calibrations have to 100 column set to 1245ma (full line pressure bleed off).

  • Force Motor Current vs. Commanded Line Pressure vs. Temp - Positive: This table determines how much current is applied to achieve the desired line pressure in relation to transmission temperature.
  • Force Motor Current vs. Commanded Line Pressure vs. Temp - Negative: This table determines how much current is applied to achieve the desired line pressure in relation to transmission temperature.

Desired Shift Time
This is the desired shift time for each part throttle shift.

  • Desired Shift Time vs. Torque - Normal: Normal Mode desired shift time (secs)
  • Desired Shift Time vs. Torque - Performance: Performance Mode desired shift time (secs)

Shift Pressure
These tables define the desired transmission line pressure in relation to input torque and current gear. These tables are used to modify your transmission shift pressures.

  • Base Shift Pressure vs. Torque vs. Gear - Normal: Normal Mode Desired Shift pressure. Table returns the pressure offset to be used on the Force Motor Current table axis. Increasing these values firms the shift. Value range is from 0 to 96
  • Base Shift Pressure vs. Torque vs. Gear - Performance: Performance Mode Desired Shift pressure. Table returns the pressure offset to be used on the Force Motor Current table axis. Increasing these values firms the shift. Value range is from 0 to 96
  • Brake Shift Pressure vs. Torque vs. Gear: During a manual downshift using the gear selector, this alternate table is used to modify the line pressure. If this table is not in use, the Engine Braking downshift will be taken from the base shift pressure table(s). Table returns the pressure offset to be used on the Force Motor Current table axis. Increasing these values firms the manual downshift.
  • Max Line Pressure: This is the maximum desired line pressure allowed. It is a clamp for any shift table value and has the final say on the line pressure offset before it is used on the Force Motor Current table.

Shift Pressure Modifier

  • Upshift and Downshift Pressure Modifier: These tables are a modifier to the returned base shift pressure tables. It increases/decreases the pressure by adding positive or negative pressure depending on torque and trans temperature. Increasing these with a positive values firm the shift. Zero has no effect.
  • Upshift Pressure Modifier Mult vs. Temp vs. Gear: An optional table multiplier to the returned base shift pressure tables. It increases/decreases the pressure depending on shift and trans temperature. Increasing the multiplier firm the shift. 1= no change.


GM > Transmission > General Pressure


GM > Transmission > Auto TCC

TCC Lock During Shift

  • TCC Lock During Shift: This switch determines if the TCC will remain locked during a shift. Note: This is extremely hard on the transmission and the TCC (if you enable this expect things to break).

TCC Apply/Release Speed
These tables determine the speed at which the TCC is applied or released in relation to TPS and Gear.

  • Normal: Apply/Release in Normal mode.
  • Cruise: Apply/Release in Cruise mode.
  • Performance: Apply/Release in Performance mode.
  • Hot: Apply/Release in Hot mode.

TCC Release TPS
This table is the required TPS at a certain speed and gear to release the TCC.

  • Normal: Release TPS in Normal Mode.
  • Cruise: Release TPS in Cruise Mode.
  • Performance: Release TPS in Performance Mode.

TCC Duty Cycle

  • Maximum: This is the maximum TCC duty cycle commanded by the PCM for a given desired line pressure and transmission oil temperature.
  • Minimum: This is the minimum TCC duty cycle commanded by the PCM for a given desired line pressure and transmission oil temperature.


GM > Transmission > Manual C.A.G.S.

GM > Transmission > C.A.G.S.

M6 C.A.G.S. (Computer Aided Gear Selection aka Skip Shift)
The parameters control the Computer Aided Gear Selection (CAGS or “Skip Shift”) feature of the VCM. It activates a solenoid in the transmission to force shifting to 4th gear under light throttle conditions. If disable TPS is exceeded then the solenoid will not activate.

  • Disable %TPS: Throttle Position to disable C.A.G.S. routine
  • Enable Speed: Speed to enable C.A.G.S. routine
  • Disable Speed: Speed to disable C.A.G.S. routine
  • Enable Baro: Baro to enable C.A.G.S. routine
  • Disable Baro: Baro to disable C.A.G.S. routine
  • Min Coolant Temp: Minimum Engine Coolant Temp required for C.A.G.S. routine


GM > Transmission > Torque Management

Trans Torque Management
These values define the torque management parameters used by the PCM to reduce engine power (spark retard) to protect the transmission. Note: changing or disabling these values can potentially reduce transmission life and/or damage the transmission.

General

  • Diff Score Enable This switch enables or disables differential scoring protection

  • Stall Torque Enable RPM If RPM is above this then stall torque mode is enabled
  • Stall Torque Disable RPM If RPM is below this then stall torque mode is disabled

Abuse Mode

  • Abuse Mode Enable This switch enables or disables trans abuse mode
  • Abuse Mode RPM: If Engine RPM is greater than this abuse mode is enabled
  • Abuse Mode TPS%: If TSP% is greater than this abuse mode is enabled (if RPM less than above value)
  • Abuse Mode Speed: If speed is greater than this, abuse mode is disabled
  • Min Input RPM: If Trans Input RPM is less than this abuse mode is disabled

  • Abuse Torque Reduction % vs RPM: Percentage torque reduction applied if abuse mode is enabled versus RPM
  • Abuse Mode Duration vs. Trans Temp:

Torque Reduction

  • Torque Reduction Master Enable: This switch enables or disables trans torque reduction (including abuse mode etc.) (not available in all calibrations)
  • Shift Torque Reduction Enable: This switch enables or disables trans torque reduction during shifts (not available in all calibrations)
  • Torque Reduction vs Torque vs Shift - Normal: This table defined percentage torque reduction during shifts in normal mode
  • Torque Reduction vs Torque vs Shift - Performance: This table defined percentage torque reduction during shifts in performance mode
  • Torque Reduction vs Torque vs Shift - Downshift: This table defined percentage torque reduction during downshifts

  • Desired Torque: An offset for the electronic throttle torque limits to increase desired torque in an effort to keep the Automatic trans from slipping under low RPM load.


GM > Transmission Diagnostics

P1870 Transmission Component Slipping

  • Min Trans Temp: Minimum transmission temp for P1870 error testing.
  • Max Trans Temp: Maximum transmission temp for P1870 error testing.

  • Set Max Slip RPM:
  • Set Min Slip RPM:
  • Clear Max Slip RPM:
  • Clear Min Slip RPM:

Trans overtemp

  • Set Temp: The minimum trans temp required to set an overtemp condition.
  • Set Time: The minimum time required to set an overtemp conation once the overtemp qualification is met.

  • Clear Temp: The minimum trans temp required to clear an overtemp condition.
  • Clear Time: The minimum time required to clear an overtemp conation once the Clear Temp qualification is met.

Invalid Torque Signal

  • Freeze Adapts If enabled the transmission will freeze all adapt cells if the invalid torque signal is received from the ECM.
  • Max Pressure If enabled the transmission will command full line pressure if the invalid torque signal is received from the ECM.
  • Torque Management Inhibit If enabled the transmission will inhibit torque management if the invalid torque signal is received from the ECM.
  • Pressure Override If enabled the transmission will use the default pressure table (TPS based) if the invalid torque signal is received from the ECM.


GM > Fuel System

Fuel Tank/Gauge

  • Fuel Tank Capacity: Capacity of the fuel tank.
  • Fuel Tank Capacity Gauge: Capacity of the fuel tank for the fuel gauge.

  • Primary Capacity: Capacity of the primary fuel tank.
  • Primary Capacity Gauge: Capacity of the primary fuel tank for the fuel gauge.

  • Fuel Tank Sender Max: Maximum value of the fuel tank sender level input to the PCM.
  • Fuel Tank Sender Min: Minimum value of the fuel tank sender level input to the PCM.

  • Gauge Output vs. Level: Fuel gauge PWM output control based on the fuel remaining.
  • Gauge Primary Volume vs. Level: Fuel volume remaining in the primary tank for a given sender input level.
  • Gauge Primary Gauge Volume vs. Level: Fuel volume remaining in the primary tank for a given sender input level. Used for the fuel gauge.
  • Gauge Secondary Volume vs. Level: Fuel volume remaining in the secondary tank for a given sender input level.
  • Gauge Secondary Gauge Volume vs. Level: Fuel volume remaining in the secondary tank for a given sender input level. Used for the fuel gauge.


GM > System

General

Fans

AC


GM > System > General

Automatic Transmission Gear Position Indicator (PRNDL)

  • Equipped: Indicates the type of PRNDL switch fitted. None, PRNDL or PN Only.
Vehicle Anti-Theft System (VATS) Control
  • Serial: Vehicle is equipped with Serial (Class2) style VATS.
  • PWM: Vehicle is equipped with PWM style VATS.
  • None: VATS system is non-existent or disabled.

  • VATS: Master enable disable of the VATS system.
  • VATS Fuel Cut: If enabled, VATS fail will cut fuel.


GM > System > Fans

Fan Type

  • 2 Fans: Vehicles equipped with 2 fans.
  • Aux Fans: Vehicles equipped with Auxiliary fans.
  • No Fans: Vehicle is equipped with no fans.
  • Series/Parallel: Vehicle is equipped with relay controlled series/parallel fans.
  • Variable Speed: Vehicle is equipped with electronically controlled variable speed electric fans.
  • Electro Viscous: Vehicle is equipped with electronically controlled viscous coupled fans.

  • Discrete: Vehicles equipped with relay controlled fans.
  • PWM Electric: Vehicles equipped with electronically controlled variable speed electric fans
  • PWM EV: Vehicles equipped with electro-viscous fan.

Fan Stage 1

  • On: Temperature at which this fan stage should activate.
  • Off: If activated, temperature at which this fan stage should de-activate.
  • Min Speed:
  • Max Speed:

Fan Stage 2

  • On: Temperature at which this fan stage should activate.
  • Off: If activated, temperature at which this fan stage should de-activate.

Fan Desired %

  • Desired % vs. ECT: The desired percent that fans should operate in regards to coolant temperature.
  • Desired % vs. AC Pressure: The desired percent that fans should operate in regards to AC pressure.

Fan Relay Controls (Series/Parallel/Discrete - selected vehicles only)

  • State vs. Desired %: Selects the current state of series/parallel/discrete fan operation based on Desired %.
  • Output Control vs. State: Selects which of 3 outputs are active for any given state. A value of 1 means the output is active and 0 is inactive.

Ignition Off Fan

  • Disable Temp: Temperature at which the fans will switch off after ignition off
  • Run Time: Maximum Fan run time after ignition off if Disable Temp exceeded

Climate Control Fans Override

  • Yes: Climate control system (if fitted) controls Fan operation
  • No: PCM controls Fan operation


GM > System > AC

AC Controls

  • A/C Disable RPM: RPM at which the A/C system will be disabled.
  • A/C Re-Enable RPM: If Disabled, RPM at which the A/C system will be re-enabled.

  • A/C Disable TPS %: Throttle Position at which the A/C system will be disabled.
  • A/C Re-Enable TPS %: If disabled, Throttle Position at which the A/C system will be re-enabled.


GM > Speedometer

Speedometer

Speed Limiter


GM > Speedometer > Speedometer

Standard V8 Rear Wheel Drive Applications (1999 to Current)

  1. Insert your new tire and gear in the columns on the right. If your tire height has not changed, enter the same value. If your gear has not changed enter the same gear value.
  2. When you have entered the correct values for your vehicle click the "Calculate for New Values" button. This will use the values you entered to determine the new VSS Pulses/Mile, Trans Revs/Mile, Final Drive ratio, Tire revs/dist values found below.
  3. When you are satisfied with your changes, click the Save Changes button on the top right of the form.

V8 Rear Wheel Drive Applications With Transaxle (Corvettes) and V6 Front Wheel Drive Applications (W Body)

  1. Insert your new tire and gear in the columns on the right. If your tire height has not changed, enter the same value. If your gear has not changed enter the same gear value.
  2. When you have entered the correct values for your vehicle click the "Calculate for New Values" button. This will use the values you entered to determine the new VSS Pulses/Mile and Trans Revs/Mile found below.
  3. When you are satisfied with your changes, click the Save Changes button on the top right of the form.

V6 Rear Wheel Drive Applications (All)

  1. To make changes enter in your new tire height (in inches) divided by your new gear ratio.
  2. When you have entered the correct values for your vehicle click the "Calculate for New Values" button. This will use the values you entered to determine the new VSS Pulses/Mile and Trans Revs/Mile found below.
  3. When you are satisfied with your changes, click the Save Changes button on the top right of the form.

Transaxle or Front Wheel Drive:
If your vehicle has a transaxle like the corvettes, or is front wheel drive like W Bodies, select yes. In most cases this will be auto-selected for you but in some cases you may need to select it manually.

Axle Settings

  • Tire Size: Tire Height measured in inches (NOTE: this is in inches regardless if metric units selected)
  • Gear Ratio: Gear Ratio (eg: 2.73, 3.08, 3.23, 3.42, 3.73, 4.10, ...)

Speedometer Scalars (We do not recommend that you manually adjust these values)

  • VSS Pulses/Mile: This value is used to calculate the speed value for the engine routines and gauge cluster. It is the number of pulses received from the VSS sensor per mile traveled. If you know your gear, tire and location of your VSS sensor you can calculate this value manually.
  • VSS Pulses/Rev: This is the number of pulses received from the VSS sensor per output shaft revolution (used to calculate trans output RPM). It is usually equal to the number of teeth on the VSS sensor (depending on the sensor location).
  • VSS Pulses/Rev - Trans: This is the number of pulses received from the VSS sensor per output shaft revolution (used to calculate trans output RPM). It is usually equal to the number of teeth on the VSS sensor (depending on the sensor location).
  • Trans Revs/Mile: The number of trans output shaft revolutions per mile. This value is used to calculate the speed that is used for shift and TCC calculations. (A tire sanity check value is provided alongside so you can check the trans tire size calibration against the speedo tire size calibration. This is also useful for troubleshooting accurate speedo but trans shifting strangely issues).
  • Drive Sprocket Ratio: This is the drive chain/sprocket ratio from the engine to the trans. (eg. for a Pontiac GTP V6 the final drive ratio is 2.93. This is calculated from a diff ratio of 3.29 divided by the drive sprocket ratio of 1.121).
  • VSS Tire Revs/Dist: The number of tire revolutions per mile or kilometer.
  • VSS Tire Revs/Dist - Err: The number of tire revolutions per mile or kilometer. Used when a VSS Error is detected.
  • VSS Tire Revs/Dist - Trans: The number of tire revolutions per mile or kilometer.
  • VSS Tire Revs/Dist - Trans Error: The number of tire revolutions per mile or kilometer. Used when a VSS Error is detected.
  • Final Drive Ratio: The final drive (differential) gear ratio.
  • Final Drive Ratio - VSS Error: The final drive (differential) gear ratio, used when a VSS error is detected..
  • Final Drive Ratio - Trans: The final drive (differential) gear ratio.
  • Final Drive Ratio - Trans Error: The final drive (differential) gear ratio, used when a VSS error is detected..

Auto Scale Transmission tables

This option will automatically scale the transmission tables to adjust for a new gear or tire to maintain similar shift RPM's. There is also a manual scaling option where you can enter you own scaling factor to scale the trans tables up and down.


GM > Speedometer > Speed Limiter

Speed Limiters

  • Electronic Throttle Speed Limiter: Electronic Throttle will close above this speed
  • Electronic Throttle Speed Limiter 2: Electronic Throttle will close above this speed

  • Speed Limiter Source: On some later model vehicles the speed limiter is received from the BCM via GMLAN (CAN) by default. You can switch it to use the ECM calibrated values by toggling this value.

  • Speed Limiter: Speed at which engine fuel delivery is disabled.
  • Speed Limiter Hysteresis: Speed drop below limiter at which engine fuel delivery is re-enabled.

  • Speed Limiter 2: Speed at which engine fuel delivery is disabled.
  • Speed Limiter 2 Enable RPM: Engine RPM above which speed limiter is enabled (V6 only)

  • Speed Limiter Disable 1 Injector: Speed at which 1 fuel injector is disabled.
  • Speed Limiter Disable 2 Injectors: Speed at which 2 fuel injectors are disabled.

  • Speed Limiter vs. Gear: Speeds at which engine fuel delivery is disabled in each gear (V6 only)


Parameters - Ford

Operating System

Engine

General

Idle

Airflow

General Airflow

Electronic Throttle

Fuel Control

General

Fuel Cutoff, DFCO

Open & Closed Loop

Spark Control

Advance

Retard

Knock Sensors

Torque Management

Engine Diagnostics

General

Airflow

OBD, Misfire

DTCs

Transmission

General

Auto Shift Speed

Auto Shift Properties

Auto TCC

Manual

Torque Management

Transmission Diagnostics

Fuel System

System

General

Fans

AC

Speedometer

Speedometer

Speed Limiter


Ford > Operating System


Ford > Engine

General

Idle

Airflow

General Airflow

Electronic Throttle

Fuel Control

General

Fuel Cutoff, DFCO

Open & Closed Loop

Spark Control

Advance

Retard

Knock Sensors

Torque Management


Ford > Engine > Engine General

Ford > Engine > General

Engine Size

  • Number of Cylinders: Number of cylinders. We recommend not changing this.
  • Engine Displacement:
  • CHT Sensor: Master enable/disable for Cylinder Head Temperature(CHT) sensor.
  • ECT Sensor: Master enable/disable for Engine Coolant Temperature(ECT) sensor.
  • MAP Sensor: Master enable/disable for Manifold Air Pressure(MAP) sensor.
  • EGR Type: Defines the type of EGR system fitted.
  • O2 Sensors Fitted: Number of O2 Sensors fitted to the vehicle.
  • O2 Rear Config: Configuration of the rear O2 sensors.
  • O2 Heater Enable: This table defines which 02 sensors have heater circuits.

EVAP

  • EVAP Canister Purge Switch:
  • EVAP Canister Purge Switch A:

Air

  • AIR System: Air Injection Reaction is fitted. Also known as the Thermactor System.


Ford > Engine > Idle

General

  • Idle Control Enable RPM Error: If the difference between actual RPM and Desired Idle RPM is less than this the ECM will use adaptive methods to control the idle.
  • Idle Control Disable RPM Error: If the difference between actual RPM and Desired Idle RPM is less than this the ECM will disable adaptive idle control.
  • Idle Minimum VSS: Below this vehicle speed the ECM will use adaptive methods to control the idle(closed loop idle). Above this speed the idle uses the dashpot feature.
  • Idle In Gear to P/N Delay: The delay to transition from in Gear to Park/Neutral state.

  • Idle P/N to In Gear Delay vs. Temp: The delay to transition from Park/Neutral to In Gear(not reverse) state in relation to a interpolation of ECT and Trans Oil Temp.
  • Idle P/N to Reverse Delay vs. Temp: The delay to transition from Park/Neutral to Reverse state in relation to a interpolation of ECT and Trans Oil Temp.

  • Idle AC Delay Initial vs. RPM: This is the delay after commanding the AC clutch on before the AC compressor begins to apply load on the engine.
  • Idle AC Delay Cycling vs. RPM: This is the delay after commanding the AC clutch on before the AC compressor begins to apply load on the engine.

Idle RPM

  • Idle RPM - In Gear: The desired idle speed with the transmission In Gear.
  • Idle RPM - Park/Neutral: The desired idle speed in Park or Neutral.

  • Idle RPM Adder - Startup: This value adds to the Desired Idle RPM at startup until Max Time has expired or the throttle is opened.
  • Idle RPM Adder - Startup Max Time: This is the time that the startup idle adder will be used.
  • Idle RPM Adder(AC on, Drive): This value adds to the Idle RPM when the AC is switched on in Drive.
  • Idle RPM Adder(AC on, P/N): This value adds to the Idle RPM when the AC is switched on in Park/Neutral.

  • Idle RPM Max(Drive) vs. ECT: This table limits the maximum allowed idle speed when in drive.
  • Idle RPM Adder vs. ECT: These values add to the Desired Idle RPM in relation to ECT.
  • Idle RPM Adder vs. IAT: These values add to the Desired Idle RPM in relation to IAT.
  • Idle RPM Adder vs. Startup ECT: These values add to the Desired Idle RPM in relation to Startup ECT during the initial engine startup.
  • Idle RPM Adder vs. Startup IAT: These values add to the Desired Idle RPM in relation to Startup IAT during the initial engine startup.

  • Fan High Speed Idle: This enabled/disables Idle RPM modification when the high speed cooling fan engages.

Idle Airflow

  • Idle Airflow(Drive) vs. Desired Idle RPM: This is the base airflow value used to command the ISC valve open for a given Desired Idle RPM, when in Park/Neutral.
  • Idle Airflow Mult(Drive) vs. ECT vs. ERT: This is the idle airflow multiplier in relation to ECT and engine run time(ERT), when in Drive.
  • Idle Airflow Mult(Drive) Alcohol vs. ECT vs. ERT: This is the idle airflow multiplier in relation to ECT and engine run time(ERT), when in Drive. Alcohol applications only.
  • Idle Airflow(P/N) vs. Desired Idle RPM: This is the base airflow value used to command the ISC valve open for a given Desired Idle RPM, when in Park/Neutral.
  • Idle Airflow Mult(P/N) vs. ECT vs. ERT: This is the idle airflow multiplier in relation to ECT and engine run time(ERT), when in Park/Neutral.
  • Idle Airflow Mult(P/N) Alcohol vs. ECT vs. ERT: This is the idle airflow multiplier in relation to ECT and engine run time(ERT), when in Park/Neutral. Alcohol applications only.
  • Idle Airflow Integrator Time Underspeed: The time rate at which the integrator will adjust the idle airflow to correct the idle RPM, lower numbers are faster.
  • Idle Airflow Integrator Time Overspeed: The time rate at which the integrator will adjust the idle airflow to correct the idle RPM, lower numbers are faster.

PCV Airflow

  • Idle PCV Airflow vs. Load: This is the PCV airflow that is not measured by the MAF in releation to Load.

Fans Airflow

  • Idle Airflow - Fan Low: This value adds to the base idle airflow if the low speed fan is engaged.
  • Idle Airflow Delay - Fan Low: This is the delay before adding the fan idle airflow value.

Dashpot

  • Idle Dashpot Decay vs. Dashpot Airflow: Time delay before decaying DFCO airflow.
  • Idle Dashpot Minimum vs. Desired Idle RPM: When DFCO is entered airflow is ramped to the target Entry DFCO value at this rate.
  • Idle Dashpot Preposition vs. RPM: When DFCO is exited airflow is ramped to the target DFCO Exit value at this rate.
  • Idle Dashpot Minimum(4th,No Decel) vs. Desired Idle RPM: This is the minimum airflow allowed when the vehicle is moving in 4th gear and very little deceleration has been detected in relation to Desired Idle RPM.
  • Idle Dashpot Minimum(the Gear) vs. Desired Idle RPM: This is the minimum airflow allowed when the vehicle is moving in 4th gear in relation to Desired Idle RPM.


Ford > Engine > Airflow

General Airflow

Electronic Throttle


Ford > Engine > Airflow > General Airflow

MAF

  • MAF Airflow vs. Output Voltage: This table is used to calibrate the MAF sensor. The MAF sensor works by outputting a voltage signal that is proportional to the airflow through the meter. This table is used to lookup the Airflow (g/sec) value for a given voltage and ultimately calculate the Airmass (g/cyl) and load used for fuelling calculations. If you modify your MAF meter you will likely have to modify this table.
  • MAF Temp Compensation vs. Airflow vs. IAT: This table is used to compensate the MAF for temperature.
  • Load with Failed MAF vs. RPM vs. TPS: This table is used to determine the load when the MAF is failed with IMRC closed.
  • Load with Failed MAF (IMRC Open) vs. RPM vs. TPS: This table is used to determine the load when the MAF is failed with IMRC open.
  • MAF Backflow Entry TPS vs. RPM: This value is used to determine the MAF failure mode if air backflow occurs at higher throttle positions.
  • MAF Backflow Entry TPS (low throttle) vs. RPM: This value is used to determine the MAF failure mode if air backflow occurs at lower throttle positions.
  • MAF Backflow Low Throttle Enable: Determines when the MAF Backflow Entry TPS (low throttle) table is used.
  • MAF Adaption: Enable/Disable fuel trim updates during enrichment or enleanment.
  • MAF Default Baro: This value is used when the MAF is considered failed.
  • Cylair Filter: When enabled(and Anticipation Logic is Disabled) a filtered valu of MAF airmass is used by the PCM. When disabled the current calculated airmass from the MAF is used by the PCM.
  • Cylair Anticipation Logic: When enabled and the Cylair Filter is enabled a complex prediction algorithm is used to calculate the cylinder airmass.
  • Cylair Use Idle Filter Coeff: If enabled, an extra filtering is done for the airmass calculation.
  • Cylair Idle Filter Coeff: The filter coefficient used during idle airmass calculations if Use Idle Filter is enabled.
  • Cylair WOT Multiplier: This value is used to calculate the upper limit on the calculated cylinder airmass. It multiplies the current airmass value.
  • Cylair Max Multiplier: This value is used to calculate the upper limit on the calculated cylinder airmass. It multiplies the calculated WOT airmass value.
  • Intake Manifold Volume: The volume of the intake manifold.

Speed Density

  • VE Correction(Temp) vs. ACT:
  • VE Correction(Density) vs. ACT:
  • VE Correction vs. ACT vs. ECT:
  • Airmass TPS Failed vs. RPM: This is the estimated cylinder airmass when the TPS sensor has failed.
  • MAP at Zero Airmass IMRC Closed: This is the theoretical MAP value for when the cylinder airmass is zero and the IMRC is closed.
  • MAP at Zero Airmass IMRC Open: This is the theoretical MAP value for when the cylinder airmass is zero and the IMRC is open.
  • MAP at Zero Airmass Mult vs. Baro: This is a multiplier of the theoretical MAP value for when the cylinder airmass is zero.
  • MAP per Airmass IMRC Closed: This is the MAP per Airmass value used in the speed density calculation when the IMRC is closed.
  • MAP per Airmass IMRC Open: This is the MAP per Airmass value used in the speed density calculation when the IMRC is open.

IMRC

  • IMRC Switch: Master enable/disable for Intake Manifold Runner Control(IMRC) switch.
  • IMRC Sensor: Enabled if an IMRC Position Sensor is fitted.
  • IMRC Opening Torque% vs. RPM: Above this Torque%(Load) the IMRC will open.

Variable Camshaft

  • Variable Camshaft: Master enable/disable for Variable Camshaft Timing(VCT) system.
  • VCT Table Select: Selects either Load or Torque based tables to use for VCT angle lookups.
  • VCT Startup Delay vs. Temp: VCT will not go into closed loop mode until this delay expires, the temperature is a combination of startup ECT and IAT.
  • VCT Low Speed Slope: Slope of cam phase angle measurement error versus engine speed at low speeds.
  • VCT High Speed Slope: Slope of cam phase angle measurement error versus engine speed at high speeds.
  • VCT Low Speed Offset: Offset of cam phase angle measurement error compensation for low speeds.
  • VCT High Speed Offset: Offset of cam phase angle measurement error compensation for high speeds
  • VCT High/Low Speed Breakpoint: Above this RPM the VCT High Speed values will be used.
  • VCT Angle(IMRC Open) vs. RPM vs. Torque: This is the main table that controls the camshaft angle when the IMRC is open.
  • VCT Angle(IMRC Closed) vs. RPM vs. Torque: This is the main table that controls the camshaft angle when the IMRC is closed.
  • VCT Angle(IMRC Open) vs. RPM vs. Load: This is the main table that controls the camshaft angle when the IMRC is open.
  • VCT Angle(IMRC Closed) vs. RPM vs. Load: This is the main table that controls the camshaft angle when the IMRC is closed.
  • Angle Mult vs. IAT: This factor multiplies the final VCT angle in relation to IAT.
  • Angle Mult vs. ECT: This factor multiplies the final VCT angle in relation to ECT.
  • VCT Angle Max Retard Limit vs. RPM vs. Torque%: This sets the maximum amount the VCT can retard the camshaft in relation to RPM and Torque%(Load).
  • VCT Angle Max Retard Limit vs. RPM vs. Oil Temp: This sets the maximum amount the VCT can retard the camshaft in relation to RPM and Engine Oil Temp.
  • VCT Angle Max Retard Error vs. RPM vs. Torque:


Ford > Engine > Airflow > Electronic Throttle

Electronic Throttle

  • ETC Switch: Master enable/disable for the Electronic Throttle Control (ETC) system.
  • ETC Demand Torque: Allows the manual selection of demand torque table.
  • ETC Driver Demand Wheel vs. Output RPM vs. Pedal Position: Current demanded torque from driver based on output RPM.
  • ETC Driver Demand Engine vs. Engine RPM vs. Pedal Position: Current demanded torque from driver based on engine RPM.
  • ETC Predicted Throttle Angle vs. Baro vs. VAC: Predicted throttle position used for error checking.
  • ETC Effective Area vs. Throttle Angle vs. Vacuum: The effective area of the throttle body based on throttle angle and vacuum. This is used to calculate the airflow thru the TB.
  • ETC Max Throttle Angle vs. RPM: The maximum allowed throttle angle in relation to RPM.

Pedal

  • ETC Pedal Follower: Master enable/disable for the Pedal follower system.
  • ETC Throttle Angle vs. Pedal Position: This table defines the desired throttle angle in relation to pedal position when in pedal follower mode.
  • ETC Pedal Angle vs. Pedal Position: This defines the pedal angle in relation to the raw measured pedal position.
  • APP Sensor 1 Mult: This is the pedal position sensor #1 multiplier.
  • APP WOT Disable: If the APP counts are below this then you are not at WOT.
  • APP Part Throttle Disable: If the APP counts are below this then you are not at Part Throttle.
  • ETC Pedal Position WOT Start: Defines the range that the ECM detects wide open throttle.
  • ETC Pedal Position WOT End: Defines the range that the ECM detects wide open throttle.

Misc

  • ETC Error Checking: Master enable/disable for all ETC error checking.
  • ETC IPC ROM Switch:
  • ETC IPC ROM Enable:
  • ETC Pressure/Density Scale: Master enable/disable for pressure/density scaling of ETC parameters such as demand torque.
  • ETC TPS Airflow: If enabled the PCM will use additional throttle based airflow calculations.
  • ETC Steady State Throttle Angle Error Max: This is used to determine when the throttle angle is changing faster than commanded.
  • ETC Wheel Torque Error Max: The maximum number of torque errors you can accumulate before generating an error.


Ford > Engine > Fuel Control

General

Fuel Cutoff, DFCO

Open & Closed Loop


Ford > Engine > Fuel Control> General

Injectors

  • Injector Flow Rate Low: Injector Flow Rate for low commanded fuel mass values.
  • Injector Flow Rate High: Injector Flow Rate for high commanded fuel mass values.
  • Injector Flow Rate High Mult vs. Pressure: Injector flow rate multiplier used to compensate injector flow rate for fuel pressure differences.
  • Injector Flow Rate Low Mult vs. Pressure: Injector flow rate multiplier used to compensate injector flow rate for fuel pressure differences.
  • Injector Breakpoint: The commanded fuel mass at which the injector flow rate switches between the Low and High flow rate values. This value also offsets the calculated InjPW when using the Flow Rate High value.
  • Injector Offset vs. Voltage: Injector Offset in relation to ignition voltage. This value adds to the injector pulsewidth.
  • Injector Offset vs. Pressure: Injector Offset multiplier in relation to pressure. This value multiplies the injector offset.
  • Injector Timing vs. ECT: This table is used to change the injector timing in relation to ECT. Values are in crankshaft degrees.
  • Injector PW Minimum: Minimum injector pulse width.
  • Injector Pressure Drop Reference: The reference pressure across the fuel injectors.
  • Injector Intake Valve Open: This is the crank angle that the intake valve opens.
  • Injector Spray Delay: The time it takes for the fuel to travel from the injector to the inlet valve.
  • Injector Engine Soak Time Enrich vs. Soaktime vs. ECT: This table compensates for hot fuel components during restart based on the time since the engine was shut down and ECT.
  • Injector Engine Run Time Enrich vs. Time vs. Airflow: This table compensates for hot fuel components during restart based on Engine Run Time and Airflow.
  • Injector Hot Enrich vs. IAT vs. Rail Temp: This table compensates for hot fuel components during restart based on IAT and the calculated Fuel Rail Temperature.

COT

  • Cat Temp Control: Master enable/disable for Catalytic Converter Protection system. Richens fuel to cool cats.
  • COT Stage 1 Temp: Catalyst temperature that stage 1 COT becomes active.
  • COT Stage 2 Temp: Catalyst temperature that stage 2 COT becomes active.
  • Flange Temp Control: Master enable/disable for Exhaust Manifold/Flange Protection system. Richens fuel to cool exhaust manifold.
  • Flange OT Enable Temp: Exhaust flange temperature that flange temp control becomes active.
  • O2 Temp Control: Master enable/disable for O2 Sensor Protection system. Richens fuel to cool O2 sensors.
  • O2 Sens OT Enable Temp: O2 sensor temperature that O2 sensor temp control becomes active.
  • Exhaust Temp Mode vs. Airflow: This Mode # is used to lookup other tables in the exhaust component temperature calculations.
  • Exhaust Temp vs. RPM vs. Load: This is the estimated exhaust temperature used in the exhaust component temperature calculations.


Ford > Engine > Fuel Control> Fuel Cutoff, DFCO

RPM Limiters

  • RPM Limit Cutoff: Above this RPM, injector fuel cut will occur.
  • RPM Limit Oil Overtemp RPM Max: Below this RPM, Oil Overtemp RPM Limiting will be allowed.
  • RPM Limit Neutral Cutoff: Above this RPM, injector fuel cut will occur for manual transmissions in neutral.
  • RPM Limit Neutral Exit Speed: Below this speed for manual transmissions the neutral RPM limit will be used.
  • RPM Limit Neutral Min Load: Neutral will not be used if below this load.
  • RPM Limit Neutral Max Load: Neutral will not be used if above this load.
  • RPM Limit ETC: Above this RPM the RPM will be limited using the electronic throttle control(ETC).
  • RPM Limit ETC Hyst: RPM must drop by this amount to disable ETC RPM limit.
  • RPM Limit ETC Integral Initial: The initial value of the RPM Limit integral term.
  • RPM Limit ETC Integral Max: The maximum value of the RPM Limit integral term.
  • RPM Limit ETC Integral Min: The minimum value of the RPM Limit integral term.
  • RPM Limit ETC Integral Gain: The integral gain for the RPM Limit.
  • RPM Limit ETC Proportional Gain: The proportional gain for the RPM Limit.

Deceleration Fuel Cutoff (DFCO)

  • DFCO Enable RPM: Above this RPM, DFCO can be enabled.
  • DFCO Disable RPM: Below this RPM, DFCO will be disabled.
  • DFCO Enable Speed: Above this vehicle speed, DFCO can be enabled.
  • DFCO Disable Speed: Below this vehicle speed, DFCO will be disabled.
  • DFCO Enable Max Load: Above this Load value, DFCO will be disabled.
  • DFCO Enable N/V: Above this N/V value, DFCO will be disabled.
  • DFCO Torque Ramp On Rate:
  • DFCO Torque Ramp Off Rate:
  • DFCO Closed Throttle Delay: This is the delay after DFCO conditions are satisfied that injectors will be disabled.
  • DFCO Closed Throttle Delay Extended: This is the delay after DFCO conditions are satisfied that injectors will be disabled. This is used for re-entering DFCO.


Ford > Engine > Fuel Control> Open & Closed Loop

Ford > Engine > Fuel Control> Open & Closed

Base Fuel

  • Fuel Base vs. RPM vs. TPS: This is the base openloop fuel table in relation to RPM and TPS when the engine is at normal temperature. All values are in lambda.
  • Fuel Base Cold vs. ECT vs. Load: This is the base openloop fuel table in relation to ECT and Load when the engine is cold. All values are in lambda.
  • Fuel Base Enable ECT: Above this temperature the base fuel table will be used.
  • Fuel Base Disable ECT: Below this temperature the base fuel cold table will be used.
  • Fuel Base Enable Time: Minimum time before switching to base fuel table.
  • Fuel Base Cold Enrich Decay vs. ECT vs. ERT: This table provides extra enrichment for a cold engine in relation to ECT and engine run time(ERT). These values are subtracted from the base lambda valu and should normally decay to zero.
  • Fuel Cyl Off vs. RPM vs. Load: This is the commanded lambda value when cylinder fuel cutoff is enabled.

Cranking Fuel

  • Fuel Cranking vs. ECT: This is the commanded lambda value when the engine is cranking.

Open/Closed Loop

  • Closed Loop Delay vs. Startup ECT: This is the delay before closed loop fuel will be entered after the engine has been started in relation to Startup ECT.
  • Closed Loop O2 Sensor Temp: Closed loop will not be entered until the calculated O2 Sensor temperature is above this.
  • Open Loop Delay vs. RPM vs. Gear: This is the time delay before switching to openloop when Openloop fuel TPS thresholds are met.
  • Open Loop Delay Ramp: If the Open Loop Delay is less than this value the blending ramp will by bypassed.
  • Open Loop Delay Blending Ramp: This is the rate that fuel will ramp to the commanded open loop lambda.
  • Open Loop Delay Maximum: This is the maximum value the openloop delay timer can achieve. If you set this below the Open Loop Delay value, openloop will never enable.
  • Open/Closed Loop Hot Start ECT: When ECT is higher than this it is considered a Hot Start.
  • Open/Closed Loop Cold Start ECT: When ECT is lower than this it is considered a Cold Start.
  • Open Loop Decel Load vs. RPM: During closed throttle decel, if Load is below this threshold then openloop fuel will be enabled.
  • Open Loop Fuel TPS Thresh vs. RPM: The throttle position(TPS) threshold required to enable open loop fuel in relation to RPM.
  • Fuel Adaptive WOT Switch: At WOT if this switch is disabled, it disables Open Loop Adaptive state(if supported).

LTFT Fuel Trims

  • LTFT Learning Switch: Master enable/disable for LTFT Learning system.
  • LTFT Learning Min IAT: Below this temperature, LTFT Learning will be disabled.
  • LTFT Learning Max IAT: Above this temperature, LTFT Learning will be disabled.
  • LTFT Learning Max Limit: The maximum value of the LTFT Learning.
  • LTFT Learning Min Limit: The minimum value of the LTFT Learning.
  • LTFT Learning Min Load: Below this Load, LTFT Learning will be disabled.
  • LTFT Learning Max TPS: Above this TPS(AD Counts), LTFT Learning will be disabled.
  • LTFT Bank vs. Cylinder #: This specifies which bank each cylinder belongs to for fuel trim calculations.

O2 Sensor Closed Loop Bias

  • O2 Closed Loop Bias Min: This is the minimum allowed closed loop bias voltage.
  • O2 Closed Loop Bias A vs. RPM vs. Load: The closed loop bias voltage for the O2 sensors. Positive values are richer, negative values are leaner.
  • O2 Closed Loop Bias Bank 1 vs. RPM vs. Load: The closed loop bias voltage for the Bank 1 O2 sensor. Positive values are richer, negative values are leaner.
  • O2 Closed Loop Bias Bank 2 vs. RPM vs. Load: The closed loop bias voltage for the Bank 2 O2 sensor. Positive values are richer, negative values are leaner.

O2 Transport Delay Learn

  • O2 Transport Delay Learn - Load Min: Below this Load, O2 Transport Delay learning will be disabled.
  • O2 Transport Delay Learn - Load Max: Above this Load, O2 Transport Delay learning will be disabled.
  • O2 Transport Delay Learn - RPM Min: Below this RPM, O2 Transport Delay learning will be disabled.
  • O2 Transport Delay Learn - RPM Max: Above this RPM, O2 Transport Delay learning will be disabled.
  • O2 Transport Delay Learn - Sec Min: This is the minimum allowed learned time offset for the O2 Transport Delay.
  • O2 Transport Delay Learn - Sec Max: This is the maximum allowed learned time offset for the O2 Transport Delay.
  • O2 Transport Delay Learn - Time Min: This is the minimum allowed learned total time for the O2 Transport Delay.
  • O2 Transport Delay Learn - Time Max: This is the maximum allowed learned total time for the O2 Transport Delay.
  • O2 Transport Delay Learn - ECT Min: Below this ECT, O2 Transport Delay learning will be disabled.
  • O2 Transport Delay vs. RPM vs. Load: This is the base transport delay from when the injector begins injecting fuel to when the O2 sensor applies a correction to the fueling.


Ford > Engine > Spark Control

Advance

Retard

Knock Sensors


Ford > Engine > Spark Control > Spark Advance

Main Spark Tables
Note: Excessive spark advance will cause knock (detonation, pinging) and lead to severe engine damage. Do NOT rely on knock sensors as the only source of detecting knock during tuning.

  • Spark Borderline Knock vs. RPM vs. Load: This is the main spark table calibrated to prevent the engine from knocking(detonating,pinging) at 14.7:1(1.0 Lambda). It is typically calibrated at normal operating temperatures and 75F/25C IAT's.
  • Spark Borderline Knock(Alcohol) vs. RPM vs. Load: This is the main spark table calibrated to prevent the engine from knocking(detonating,pinging) at 14.7:1(1.0 Lambda). It is typically calibrated at normal operating temperatures and 75F/25/C IAT's. Alcohol applications.
  • Spark MBT vs. RPM vs. Load: This is the theoretical spark that produces maximum torque for the engine, it is used for torque calculations and is also a maximum limit for spark advance.
  • Spark Decel vs. RPM vs. ECT: This table determines the spark that is used for Deceleration conditions in relation to RPM and ECT.

Spark Idle

  • Spark Idle In Gear vs. ECT: Idle spark value when in Gear.
  • Spark Idle P/N vs. ECT: Idle spark value when in Park/Neutral.
  • Spark Idle Gain vs. Cold Start Spark Retard: Multiplier for spark during cold start retard.
  • Spark Idle Control Minimum: This is the minimum allowed spark that the idle control routines will command when trying to reduce engine RPM.

Cold Start

  • Spark Maximum Cold Start vs. ECT vs. ERT: This table provides a maximum spark limit for catalytic converter warmup during cold starts in relation to ECT and Engine Run Time(ERT).
  • Spark Maximum Cold Start Adder vs. RPM vs. Load: This table adds to the maximum spark limit for catalytic converter warmup during cold starts in relation to RPM and Load.
  • Spark Maximum Cold Start Adder vs. RPM vs. CatTemp: This table adds to the maximum spark limit for catalytic converter warmup during cold starts in relation to TPS and CatTemp.
  • Spark Maximum Cold Start(Alcohol) vs. ECT vs. ERT: This table provides a maximum spark limit for catalytic converter warmup during cold starts in relation to ECT and Engine Run Time(ERT). For Alcohol applications.
  • Spark Maximum Cold Start Adder(Alcohol) vs. RPM vs. Load: This table adds to the maximum spark limit for catalytic converter warmup during cold starts in relation to RPM and Load. For Alcohol applications.
  • Spark Maximum Cold Start Adder(Alcohol) vs. TPS vs. CatTemp: This table adds to the maximum spark limit for catalytic converter warmup during cold starts in relation to TPS and CatTemp. For Alcohol applications.

Spark Correction The VCM incorporates a number of corrections to the spark advance depending on current engine operating conditions.

  • Spark Lambda Correction vs. RPM vs. Lambda: This is the main spark correction for Lambda(AFR) in relation to RPM and commanded Lambda.

  • Spark IAT Correction vs. IAT: This is the main spark correction for inlet air temperature(IAT).
  • Spark IAT Correction Mult vs. RPM vs. Load: This table multiplies the Spark IAT Correction value in relation to RPM and Load to determine the final IAT Correction spark.

  • Spark ECT Correction vs. ECT: This is the main spark correction for engine coolant temperature(ECT).
  • Spark ECT Correction Mult vs. RPM vs. Load: This table sets a maximum allowed spark to limit combustion pressure in relation to RPM and Load.

  • Spark IMRC Correction vs. RPM vs. Load: This is the main spark correction for when the IMRC is open in relation to RPM and Load.
  • Spark IMRC MBT Correction vs. RPM vs. Load: This is the MBT spark correction for when the IMRC is open in relation to RPM and Load.

Variable Cam Spark

  • Spark VCT Correction(IMRC Open) vs. RPM vs. Load: This is the main spark correction for when VCT is active(in closed loop mode) in relation to RPM and Load. The values are in degrees per camshaft degree.
  • Spark VCT MBT Correction(IMRC Open) vs. RPM vs. Load: This is the MBT spark correction for when VCT is active(in closed loop mode) in relation to RPM and Load. The values are in degrees per camshaft degree.
  • Spark VCT Correction(IMRC Closed) vs. RPM vs. Load: This is the main spark correction for when VCT is active(in closed loop mode) in relation to RPM and Load. The values are in degrees per camshaft degree.
  • Spark VCT MBT Correction(IMRC Closed) vs. RPM vs. Load: This is the MBT spark correction for when VCT is active(in closed loop mode) in relation to RPM and Load. The values are in degrees per camshaft degree.
  • Spark VCT Correction vs. RPM vs. Load: This is the main spark correction for when VCT is active(in closed loop mode) in relation to RPM and Load. The values are in degrees per camshaft degree.
  • Spark VCT MBT Correction vs. RPM vs. Load: This is the MBT spark correction for when VCT is active(in closed loop mode) in relation to RPM and Load. The values are in degrees per camshaft degree.

Miscellaneous

  • Spark Combustion Noise Retard vs. RPM vs. Load: This table provides spark retard to control combustion noise in relation to RPM and Load.
  • Spark Emissions Retard vs. RPM vs. Load: This table provides spark retard for emissions purposes in relation to RPM and Load.
  • Spark Load Increase Correction vs. RPM vs. Load:
  • Spark Combustion Pressure Limit vs. RPM vs. Load: This table sets a maximum allowed spark to limit combustion pressure in relation to RPM and Load.
  • Spark EGR Correction vs. Load: This table is the spark adder for EGR in relation to Load. The values are spark degrees per percent of EGR.
  • Spark Octane Plug Adder vs. RPM vs. Load: This table is used to modify the spark based on whether the Octane Plug function has been enabled by the dealer.
  • Spark Low Load Maximum vs. Time: This table provides a maximum spark limit when uner low load conditions in relation to the time that the engine has been operating at low load.
  • Spark Firing Order vs. Cylinder #: This defines the firing order. We recommend not changing this.
  • Spark Global Adder: This value adds to the final spark advance value.
  • Spark Global Multiplier: This value multiplies the final spark advance value.

Spark Tip-In

  • Spark Tip-In Torque Control RPM Max: Above this RPM, Spark Tip-In Torque Control will be disabled.
  • Spark Tip-In Torque Control RPM Min: Below this RPM, Spark Tip-In Torque Control will be disabled.


Ford > Engine > Spark Control > Spark Retard

Knock

  • Knock Global/PerCyl: Selects if the knock system is using global or per cylinder retard methods.
  • Knock Minimum Load: Below this Load, knock control will be disabled.
  • Knock Maximum RPM: Above this RPM, knock control will be disabled.
  • Knock Minimum RPM: Below this RPM, knock control will be disabled.
  • Knock Minimum ECT: Below this ECT, knock control will be disabled.
  • Knock Retard Limit vs. RPM vs. Load: This is the maximum amount of spark retard the knock system can command when knock is detected.
  • Knock Retard Rate vs. RPM: The rate that spark is retarded when knock is detected. Higher numbers mean faster retard.
  • Knock Advance Limit vs. RPM vs. Load: This is the maximum amount of additional spark advance the knock system can command when no knock is detected.
  • Knock Fast Advance Rate vs. RPM: The rate in seconds/degree that spark is added when no knock is detected and the fast advance rate conditions are met. Higher numbers mean slower advance rate.
  • Knock Fast Spark Advance: The spark will be advanced by this amount per process loop until knock occurs.
  • Knock Advance Rate vs. RPM: The rate in seconds/degree that spark is added when no knock is detected. Higher numbers mean slower advance rate.


Ford > Engine > Spark Control > Knock Sensors

Knock Sensors

  • Knock Sensors Number Fitted: The number of Knock Sensors fitted to the engine.
  • Knock Sensor Mode:

Knock Threshold

  • Knock Thresh Cyl 1 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 2 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 3 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 4 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 5 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 6 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 7 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 8 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 9 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Thresh Cyl 10 vs. RPM vs. Load: This defines the detection threshold for knock. If the knock signal minus the noise floor is greater than this then knock is detected.
  • Knock Sensor vs. Cyl: This table defines the knock sensor that is used for each cylinder.
  • Knock Window Offset vs. RPM vs. Load: Knock detection window offset from rising edge as a function of engine speed and load.
  • Knock Window Length: A constant added to the period the knock signal is active.
  • Knock Window Offset: Knock detection window offset from rising edge.
  • Knock Down Averagin Constant: Knock control event constant for down-averaging when not accelerating or decelerating.
  • Knock Fast Mode Events: During tip in, the PCM uses a faster spark advance rate until Knock Fast Mode Transient Events knock events are detected.
  • Knock Fast Mode Transient Events: The periods after you start accelerating or decelerating where fast event constants are used in knock detection. After this number of periods, normal event constants are used.
  • Knock Up Averaging Constant Transient: Knock control event constant for up-averaging when accelerating and decelerating.
  • Knock Up Averaging Constant: Knock control event constant for up-averaging when not accelerating or decelerating.


Ford > Engine > Torque Management

General

  • Torque Reduction: Master enable/disable for Torque Reduction via cylinder fuel cut.
  • Torque Intervention: Enables check between throttle related load and airflow related load calculations.
  • Fuel Cut Torque Ratio vs. Requestor: If the Torque Ratio Request is below this value then cylinder fuel cut will be used instead of spark or ETC torque reduction methods. Set to 0.0 to disable cylinder fuel cut.
  • Spark Torque Ratio Limit vs. Requestor: Torque Reduction via spark retard will not go below this Torque Ratio, set to 1.0 to disable spark retard torque reduction.

Engine Torque

  • Indicated Engine Torque vs. RPM vs. Load: The calibration for the amount of torque(excluding friction and accessory losses) the engine is making for a given RPM and Load.
  • Indicated Engine Torque vs. RPM vs. Torque:
  • Engine Friction Torque vs. RPM vs. ECT: This is the amount of engine torque lost to friction.
  • Engine Inertia Torque:

ETC Torque Management

  • ETC Tip-In Torque Rate Max vs. N/V vs. Slip Ratio: This value sets the ETC Tip-in Torque Rate Max value in relation to N/V and the current transmission slip ratio.
  • ETC Tip-In Torque Rate Mult vs. Pedal Position vs. VSS: This value multiplies the ETC Tip-in Torque Rate Max value in relation to pedal position and vehicle speed. Higher values raise the tip-in torque limit.
  • ETC Torque Reduction RPM vs. Requestor: Below this RPM the ETC may be used for torque reduction for the various modes requested.
  • ETC Torque Max vs. RPM: The maximum torque allowed by the ETC in relation to RPM, often used by automatic transmission to limit torque in Park/Neutral.
  • ETC Clip Torque vs. Requestor: Amount of clip torque based on the current ETC torque mode.

Oil Overtemp

  • Oil Overtemp Disable ECT: Oil Overtemp disable ECT limit.
  • Oil Overtemp Enable ECT: Oil Overtemp enable ECT limit.
  • Oil Overtemp B Disable ECT: Oil Overtemp disable ECT limit.
  • Oil Overtemp B Enable ECT: Oil Overtemp enable ECT limit.
  • Oil Overtemp Enable Load: Oil Overtemp enable Load limit.
  • Oil Overtemp Enable RPM: Oil Overtemp enable RPM limit.
  • Oil Overtemp Enable TPS: Oil Overtemp enable TPS limit.
  • Oil Overtemp TqRed Enable OilTemp: Oil Overtemp enable Oil Temp limit.
  • Oil Overtemp TqRed Disable OilTemp: Oil Overtemp disable Oil Temp limit.
  • Oil Overtemp Torque Ratio vs. ECT: Commanded torque ratio for Oil Overtemp Protection in realtion to ECT.
  • Oil Overtemp Torque Ratio vs. RPM: Commanded torque ratio for Oil Overtemp Protection in realtion to RPM.


Ford > Engine Diagnostics

General

Airflow

OBD, Misfire

DTCs


Ford > Engine Diagnostics > General

General

  • MIL/Check Engine: Master Enable/Disable.
  • MIL Distance Traveled Calc: Master Enable/Disable for the distance traveled.
  • Inductive Signal Test Voltage Minimum: Below this voltage the inductive signal tests will not run. eg. Shift Solenoids, TCC Clutch Solenoid.


Ford > Engine Diagnostics > Airflow

MAF

  • MAF High Fail A/D Counts: The upper threshold in A/D counts to indicate a failed MAF meter. 0V = 0 A/D counts, 5V = 1024 A/D counts.
  • MAF Low Fail A/D Counts: The lower threshold in A/D counts to indicate a failed MAF meter. 0V = 0 A/D counts, 5V = 1024 A/D counts.
  • MAF Fail RPM: Above this RPM threshold the MAF will NOT be considered failed.

MAP

  • MAP Intermittent: Master enable/disable for the P0109 DTC calculation
  • MAP Test Min: P0109 will be set if the MAP Fail counter exceeds this value

Baro Pressure

  • Baro Pressure Max: Maximum allowed learned Barometric Pressure
  • Baro Pressure Min: Minimum allowed learned Barometric Pressure

Rich/Lean DTC

  • LTFT P0172/P0175 Rich Threshold: P0172/P0175 will be set if the LTFT value is lower than this.
  • LTFT P0171/P0174 Lean Threshold: P0171/P0174 will be set if the LTFT value is greater than this

O2 Monitor

  • O2 Current Monitor: O2 monitoring tests will be disabled if the O2 Sensor volatage exceeds this value.
  • O2 Monitor IAT MAX: Above this IAT, O2 monitoring tests will be disabled
  • Baro Pressure Min: O2 monitoring tests will be disabled if the O2 Sensor voltage exceeds this value.


Ford > Engine Diagnostics > OBD, Misfire

OBD2 Test

  • OBD2 Test Voltage Min: Below this voltage the tests will not run.
  • OBD2 Test Voltage Max: Above this voltage the tests will not run.

Test Enable

  • OBD2 Catalyst Test: Master Enable/Disable for this OBD2 test.
  • OBD2 Comprehensive Components Monitor Test: Master Enable/Disable for this OBD2 test.
  • OBD2 Purge Monitor Test: Master Enable/Disable for this OBD2 test.
  • OBD2 Secondary Air Test: Master Enable/Disable for this OBD2 test.
  • OBD2 Fuel Test: Master Enable/Disable for this OBD2 test.
  • OBD2 O2 Test: Master Enable/Disable for this OBD2 test.
  • OBD2 EGR Test: Master Enable/Disable for this OBD2 test.
  • OBD2 Misfire Test: Master Enable/Disable for this OBD2 test.

Test Fail Enables MIL

  • OBD2 Catalyst MIL: Master Enable/Disable for setting MIL if this OBD2 test fails.
  • OBD2 Comprehensive Components Monitor MIL: Master Enable/Disable for setting MIL if this OBD2 test fails.
  • OBD2 Purge Monitor MIL: Master Enable/Disable for setting MIL if this OBD2 test fails.
  • OBD2 Secondary Air MIL: Master Enable/Disable for setting MIL if this OBD2 test fails.
  • OBD2 Fuel MIL: Master Enable/Disable for setting MIL if this OBD2 test fails.
  • OBD2 O2 MIL: Master Enable/Disable for setting MIL if this OBD2 test fails.
  • OBD2 EGR MIL: Master Enable/Disable for setting MIL if this OBD2 test fails.
  • OBD2 Misfire MIL: Master Enable/Disable for setting MIL if this OBD2 test fails.

Misfire Test

  • Misfire Test ECT Max: Above this ECT the misfire tests will not run.
  • Misfire Test ECT Min: Below this ECT the misfire tests will not run.
  • Misfire Test RPM Min:
  • Misfire Test Background RPM Max: Above this RPM the misfire tests will not run.
  • Misfire Test Background RPM Min: Below this RPM the misfire tests will not run.


Ford > Engine Diagnostics > DTCs


Ford > Transmission

General

Auto Shift Speed

Auto Shift Properties

Auto TCC

Manual

Torque Management


Ford > Transmission > General

General

  • Torque Reduction: Master enable/disable for Torque Reduction via cylinder fuel cut.
  • Torque Intervention: Enables check between throttle related load and airflow related load calculations.
  • Fuel Cut Torque Ratio vs. Requestor: If the Torque Ratio Request is below this value then cylinder fuel cut will be used instead of spark or ETC torque reduction methods. Set to 0.0 to disable cylinder fuel cut.
  • Spark Torque Ratio Limit vs. Requestor: Torque Reduction via spark retard will not go below this Torque Ratio, set to 1.0 to disable spark retard torque reduction.

Engine Torque

  • Indicated Engine Torque vs. RPM vs. Load: The calibration for the amount of torque(excluding friction and accessory losses) the engine is making for a given RPM and Load.
  • Indicated Engine Torque vs. RPM vs. Torque:
  • Engine Friction Torque vs. RPM vs. ECT: This is the amount of engine torque lost to friction.
  • Engine Inertia Torque:

ETC Torque Management

  • ETC Tip-In Torque Rate Max vs. N/V vs. Slip Ratio: This value sets the ETC Tip-in Torque Rate Max value in relation to N/V and the current transmission slip ratio.
  • ETC Tip-In Torque Rate Mult vs. Pedal Position vs. VSS: This value multiplies the ETC Tip-in Torque Rate Max value in relation to pedal position and vehicle speed. Higher values raise the tip-in torque limit.
  • ETC Torque Reduction RPM vs. Requestor: Below this RPM the ETC may be used for torque reduction for the various modes requested.
  • ETC Torque Max vs. RPM: The maximum torque allowed by the ETC in relation to RPM, often used by automatic transmission to limit torque in Park/Neutral.
  • ETC Clip Torque vs. Requestor: Amount of clip torque based on the current ETC torque mode.

Oil Overtemp

  • Oil Overtemp Disable ECT:
  • Oil Overtemp Enable ECT:
  • Oil Overtemp B Disable ECT:
  • Oil Overtemp B Enable ECT:
  • Oil Overtemp Enable Load:
  • Oil Overtemp Enable RPM:
  • Oil Overtemp Enable TPS:
  • Oil Overtemp TqRed Enable OilTemp:
  • Oil Overtemp TqRed Disable OilTemp:
  • Oil Overtemp Torque Ratio vs. ECT:
  • Oil Overtemp Torque Ratio vs. RPM:


Ford > Transmission > Auto Shift Speed

Upshift Speed

  • Trans Upshift Speed 1->2 vs. TPS: This is the speed at which the transmission shift will begin in relation to throttle position or pedal position.
  • Trans Upshift Speed 2->3 vs. TPS: This is the speed at which the transmission shift will begin in relation to throttle position or pedal position.
  • Trans Upshift Speed 3->4 vs. TPS: This is the speed at which the transmission shift will begin in relation to throttle position or pedal position.

Downshift Speed

  • Trans Downshift Speed 2->1 vs. TPS: This is the speed at which the transmission shift will begin in relation to throttle position or pedal position.
  • Trans Downshift Speed 3->2 vs. TPS: This is the speed at which the transmission shift will begin in relation to throttle position or pedal position.
  • Trans Downshift Speed 4->3 vs. TPS: This is the speed at which the transmission shift will begin in relation to throttle position or pedal position.

Manual Downshift

  • Trans Manual Downshift Max VSS 2->1: Above this speed a manual downshift on the automatic transmission will not occur.
  • Trans Manual Downshift Max VSS 3->2: Above this speed a manual downshift on the automatic transmission will not occur.
  • Trans Manual Downshift Max VSS 4->3: Above this speed a manual downshift on the automatic transmission will not occur.

Shift RPM - WOT

  • Trans WOT Shift RPM 1->2: This is the RPM that the transmission shift will begin.
  • Trans WOT Shift RPM 2->3: This is the RPM that the transmission shift will begin.
  • Trans WOT Shift RPM 3->4: This is the RPM that the transmission shift will begin.

  • Trans WOT Shift RPM 1->2 - 4WD Low: This is the RPM that the transmission shift will begin.
  • Trans WOT Shift RPM 2->3 - 4WD Low: This is the RPM that the transmission shift will begin.
  • Trans WOT Shift RPM 3->4 - 4WD Low: This is the RPM that the transmission shift will begin.

Auto Gear Ratios

  • Trans(Auto) Chain Ratio: The automatic transmission input chain ratio.
  • Trans(Auto) 1st Gear Ratio: The automatic transmission 1st gear ratio.
  • Trans(Auto) 2nd Gear Ratio: The automatic transmission 2nd gear ratio.
  • Trans(Auto) 3rd Gear Ratio: The automatic transmission 3rd gear ratio.
  • Trans(Auto) 4th Gear Ratio: The automatic transmission 4th gear ratio.
  • Trans(Auto) Reverse Gear Ratio: The automatic transmission reverse gear ratio.
  • Trans(Auto) Gear Ratios vs. Gear: The automatic transmission gear ratio in relation to current gear.


Ford > Transmission > Shift Properties

Upshift Pressure

  • Trans Upshift Pressure 1->2 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.
  • Trans Upshift Pressure 2->3 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.
  • Trans Upshift Pressure 3->4 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.
  • Trans Upshift Pressure 2->4 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.
  • Trans Upshift Pressure 1->3 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.

Downshift Pressure

  • Trans Downshift Pressure 2->1 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.
  • Trans Downshift Pressure 3->2 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.
  • Trans Downshift Pressure 4->3 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.
  • Trans Downshift Pressure 4->2 vs. Torque vs. VSS: This is the automatic transmission shift pressure used during shifts in relation to Torque and vehicle speed.

Desired Upshift Time

  • Trans Desired Upshift Time 1->2 vs. Torque vs. VSS: The desired upshift time for the next shift. The transmission will adapt pressures to try and achieve this shift time.
  • Trans Desired Upshift Time 2->3 vs. Torque vs. VSS: The desired upshift time for the next shift. The transmission will adapt pressures to try and achieve this shift time.
  • Trans Desired Upshift Time 3->4 vs. Torque vs. VSS: The desired upshift time for the next shift. The transmission will adapt pressures to try and achieve this shift time.

Clutch Fill Time

  • Trans Upshift Clutch Fill Time 1->2: This is the time requested to fill the hydraulic clutch on the shift.
  • Trans Upshift Clutch Fill Time 2->3: This is the time requested to fill the hydraulic clutch on the shift.
  • Trans Upshift Clutch Fill Time 3->4: This is the time requested to fill the hydraulic clutch on the shift.
  • Trans Upshift Clutch Fill Time 4->5: This is the time requested to fill the hydraulic clutch on the shift.
  • Trans Upshift Clutch Fill Time 2->1: This is the time requested to fill the hydraulic clutch on the shift.
  • Trans Upshift Clutch Fill Time 3->2: This is the time requested to fill the hydraulic clutch on the shift.
  • Trans Upshift Clutch Fill Time 4->3: This is the time requested to fill the hydraulic clutch on the shift.
  • Trans Upshift Clutch Fill Time 5->4: This is the time requested to fill the hydraulic clutch on the shift.


Ford > Transmission > Auto TCC

TCC Apply Speed

  • Trans TCC Apply Speed(1st) vs. TPS: This is the speed at which the Torque Converter Clutch(TCC) will begin to apply in relation to throttle position.
  • Trans TCC Apply Speed(2nd) vs. TPS: This is the speed at which the Torque Converter Clutch(TCC) will begin to apply in relation to throttle position.
  • Trans TCC Apply Speed(3rd) vs. TPS: This is the speed at which the Torque Converter Clutch(TCC) will begin to apply in relation to throttle position.
  • Trans TCC Apply Speed(4th) vs. TPS: This is the speed at which the Torque Converter Clutch(TCC) will begin to apply in relation to throttle position.

TCC Release Speed

  • Trans TCC Release Speed(1st) vs. TPS: This is the speed at which the Torque Converter Clutch(TCC) will begin to release in relation to throttle position.
  • Trans TCC Release Speed(2nd) vs. TPS: This is the speed at which the Torque Converter Clutch(TCC) will begin to release in relation to throttle position.
  • Trans TCC Release Speed(3rd) vs. TPS: This is the speed at which the Torque Converter Clutch(TCC) will begin to release in relation to throttle position.
  • Trans TCC Release Speed(4th) vs. TPS: This is the speed at which the Torque Converter Clutch(TCC) will begin to release in relation to throttle position.

TCC Release

  • Trans TCC Release TPS Rate Tip-In Low: If the low throttle TPS tip-in rate(delta) is greater than this the TCC will unlock.
  • Trans TCC Release TPS Rate Tip-Out Low: If the low throttle TPS tip-out rate(delta) is greater than this the TCC will unlock.
  • Trans TCC Release TPS Rate Tip-In High: If the high throttle TPS tip-in rate(delta) is greater than this the TCC will unlock.
  • Trans TCC Release TPS Rate Tip-Out High: If the high throttle TPS tip-out rate(delta) is greater than this the TCC will unlock.
  • Trans TCC Release Delay Closed Throttle: The time TCC will remain locked when at closed throttle.
  • Trans TCC Release Delay Closed Throttle(4th): The time TCC will remain locked when at closed throttle in 4th gear.
  • Trans TCC Release TPS Closed Throttle:

TCC Apply

  • Trans TCC Apply Min VSS: Below this speed the TCC will not apply.
  • Trans TCC Apply TPS with Brake:
  • Trans TCC Apply Delay Tip-In: Time Delay before TCC will apply after Tip-In.

TCC Apply Delay

  • Trans TCC Apply Delay after Upshift 1->2: The TCC will not apply before this delay expires after a shift.
  • Trans TCC Apply Delay after Upshift 2->3: The TCC will not apply before this delay expires after a shift.
  • Trans TCC Apply Delay after Upshift 3->4: The TCC will not apply before this delay expires after a shift.
  • Trans TCC Apply Delay after Downshift 2->1: The TCC will not apply before this delay expires after a shift.
  • Trans TCC Apply Delay after Downshift 3->2: The TCC will not apply before this delay expires after a shift.
  • Trans TCC Apply Delay after Downshift 4->3: The TCC will not apply before this delay expires after a shift.
  • Trans TCC Apply Delay at WOT: The TCC will not apply before this delay expires after a shift.

TCC Lockup Rate

  • Trans TCC Lockup Rate Lock to Lock Shift vs. Torque: This is the torque converter clutch lockup rate during a lock-to-lock shift.
  • Trans TCC Lockup Rate After Upshift vs. Torque: This is the torque converter clutch lockup rate after a shift.
  • Trans TCC Lockup Rate Mult(2nd) vs. TPS: This Multiplies the TCC Lockup Rate for the current gear in relation to throttle position.
  • Trans TCC Lockup Rate Mult(3rd) vs. TPS: This Multiplies the TCC Lockup Rate for the current gear in relation to throttle position.
  • Trans TCC Lockup Rate Mult(4th) vs. TPS: This Multiplies the TCC Lockup Rate for the current gear in relation to throttle position.
  • Trans TCC Lockup Rate Mult(5th) vs. TPS: This Multiplies the TCC Lockup Rate for the current gear in relation to throttle position.
  • Trans TCC Lockup Rate Mult(6th) vs. TPS: This Multiplies the TCC Lockup Rate for the current gear in relation to throttle position.

TCC Ramp

  • Trans TCC Ramp Added Capacity During Shifts vs. Torque:
  • Trans TCC Ramp Added Capacity Non Shift vs. Torque:

TCC Hold Capacity

  • Trans TCC Hold Capacity Non Shift vs. Torque:

TCC Steady State Slip

  • Trans TCC Steady State Slip(2nd) vs. TPS vs. VSS: TCC Apply Pressure used when TCC is locked in test conditions.
  • Trans TCC Steady State Slip(3rd) vs. TPS vs. VSS: TCC Apply Pressure used when TCC is locked in test conditions.
  • Trans TCC Steady State Slip(4th) vs. TPS vs. VSS: TCC Apply Pressure used when TCC is locked in test conditions.
  • Trans TCC AC Slip Exit Time: The threshold to de-activate A/C slip compensation.
  • Trans TCC AC Slip Time: The threshold to allow slip in control after A/C is requested.

TCC Apply Speed Ratio

  • Trans TCC Apply Speed Ratio vs. Torque: Above this speed ratio the TCC will apply.

TCC Test

  • Trans Test TCC Lock: Enabling this will lock the transmission TCC.
  • Trans Test TCC Duty Cycle Value: TCC Duty Cycle used when TCC is locked in test conditions.
  • Trans Test TCC Torque Capacity Value: TCC Torque Capacity used when TCC is locked in test conditions.
  • Trans Test TCC Manual Apply Pressure: TCC Apply Pressure used when TCC is locked in test conditions.


Ford > Transmission > Manual

Manual Gear Ratios

  • Trans(Manual) 1st Gear Ratio: The manual transmission 1st gear ratio.
  • Trans(Manual) 2nd Gear Ratio: The manual transmission 2nd gear ratio.
  • Trans(Manual) 3rd Gear Ratio: The manual transmission 3rd gear ratio.
  • Trans(Manual) 4th Gear Ratio: The manual transmission 4th gear ratio.
  • Trans(Manual) 5th Gear Ratio: The manual transmission 5th gear ratio.
  • Trans(Manual) 6th Gear Ratio: The manual transmission 6th gear ratio.
  • Trans(Manual) Reverse Gear Ratio: The manual transmission Reverse gear ratio.


Ford > Transmission > Torque Management

General

  • Trans Torque Reduction Master: Master enable/disable for all transmission torque reduction.
  • Trans Shift Torque Reduction: Master enable/disable for transmission shift torque reduction.
  • Trans Shift Torque Reduction ECT Min: Below this ECT, transmission shift torque reduction will be disabled.

Torque Truncation

  • Trans Torque Truncation: Master enable/disable for transmission torque truncation(limiting).
  • Trans Torque Truncation vs. Gear: This is the maximum torque allowed into the transmission before limiting occurs.

Torque Reduction Upshift

  • Trans Upshift Torque Reduction 1->2: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Upshift Torque Reduction 2->3: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Upshift Torque Reduction 3->4: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Upshift Torque Reduction 1->3: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Upshift Torque Reduction 1->4: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Upshift Torque Reduction 2->4: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.

Torque Reduction Downshift

  • Trans Downshift Torque Reduction 2->1: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Downshift Torque Reduction 3->2: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Downshift Torque Reduction 4->3: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Downshift Torque Reduction 4->2: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Downshift Torque Reduction 4->1: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.
  • Trans Downshift Torque Reduction 3->1: This ratio is the amount of desired torque during the shift. Values lower than 1.0 will reduce torque during shifts.


Ford > Transmission Diagnostics


Ford > Fuel System

Fuel Pump

  • Fuel Pump Fixed Duty Cycle Mode: Master enable/disable for Fuel Pump fixed duty cycle mode.
  • Fuel Pump Fixed Duty Cycle: The duty cycle used when in fixed duty cycle mode.
  • Fuel Pump Desired Injector Pressure Drop vs. Mass: This is the desired fuel pressure for mass flow.
  • Fuel Pump Desired Injector Pressure Drop High Load vs. Mass: This is the desired fuel pressure for mass flow at high load.
  • Fuel Pump Injector Pressure Drop Adder vs. Ambient Temp: This adds to the injector pressure drop in relation to ambient air temperature.
  • Fuel Pump Voltage vs. Flow vs. Pressure: The commanded pump voltage in relation to flow and desired pressure.
  • Fuel Pump Adaptive Voltage: Master enable/disable for Fuel Pump adaptive voltage function.
  • Fuel Pump Gain - Derivative: The derivative gain on the fuel pump control terms.
  • Fuel Pump Gain - Integral: The Integral gain on the fuel pump control terms.
  • Fuel Pump Gain - Proportional: The Proportional gain on the fuel pump control terms.
  • Fuel Pump Gain Voltage Deadband: Fuel pump voltage will not be corrected if desired change is less than this.
  • Fuel Pump Low Limit Mult: Sets a lower limit for the fuel pump voltage, multiply by the base voltage lookup.
  • Fuel Pump High Limit Mult: Sets an upper limit for the fuel pump voltage, multiply by the base voltage lookup.
  • Fuel Pump Update Time: The minimum time between updates.
  • Fuel Pump Time Constant: The rate at which the pump voltage will adapt when required, lower numbers are faster.
  • Fuel Pump Pump Off Duty Cycle: Duty Cycle when pump is off.
  • Fuel Pump Minimum On Time: The minimum amount of time the fuel pump can be activated.

Fuel Pressure Test

  • Fuel Pressure Test Fail Time: The fuel pressure test failed for this length of time. P0190, P0191, P0192 or P0193 will be set.
  • Fuel Pressure Test Fail Delta: If the fuel pressure changes more than this, the fail timer will begin.
  • Fuel Pressure Test Error Buffer: The allowed error on the actual fuel pressure before the low pressure test will begin.
  • Fuel Pressure Test Low: If the actual pressure minus the Error Buffer is lower than this value then the low pressure test will begin.
  • Fuel Pressure Test Drop: If the pressure drop is lower than this value then the low pressure test will begin.

Ambient

  • Ambient IAT Delta - Ambient Update: The difference between ambient and IAT to trigger an update.
  • Ambient IAT Delta: The minimum offset of ambient from IAT.
  • Ambient Update - ECT Min: Below this ECT, ambient temp update will be disabled.
  • Ambient Update - VSS Min: Below this speed, ambient temp update will be disabled.
  • Ambient High Pressure Switch Thresh: Above this temperature the fuel pump will switch to higher pressure and use the ambient temp adder table.
  • Ambient Inferred Time Constant: Time constant for calculating ambient temperature changes.
  • Ambient Adder(AC On): Ambient temperature adder for when AC is on.
  • Ambient IAT/ECT Factor During Soak: This factor is used to weight between ECT and IAT during soak periods. Numbers closer to 1.0 weight towards ECT and numbers closer to 0 weight to IAT.
  • Ambient Rail Temp Time Constant vs. Fuel Flow:


Ford > System

General

Fans

AC


Ford > System > General

General

  • PTO Switch: Master enable/disable for PTO fitted.
  • PCM Alternator Control Switch: Master enable/disable for PCM Alternator Control.
  • Brake Input: Master enable/disable for Brake Pedal Input switch.

Power Steering Pressure

  • Power Steering Pressure Switch: Master enable/disable for power steering pressure switch.
  • Power Steering Pressure Transducer: Master enable/disable for Power Steering Pressure Transducer switch.

PATS

  • PATS Switch: Master enable/disable for PATS.
  • PATS Alternate Switch: Master enable/disable for PATS.


Ford > System > Fans

Fans

  • Electric Fan: Master enable/disable for the Electric Fan System.
  • Fan Viscous: Master enable/disable for the viscous Fan System.

Low Speed

  • Fan Low Speed Enable ECT: Above this ECT the low speed cooling fan will engage.
  • Fan Low Speed Disable ECT: Below this ECT the low speed cooling fan will disengage.
  • Fan Low Speed Enable VSS: Above this vehicle speed the low speed cooling fan will engage.
  • Fan Low Speed Disable VSS: Below this vehicle speed the low speed cooling fan will disengage.

High Speed

  • Fan High Speed Enable ECT: Above this ECT the high speed cooling fan will engage.
  • Fan High Speed Disable ECT: Below this ECT the high speed cooling fan will disengage.

High Speed High Load

  • Fan High Speed High Load Enable RPM: Above this RPM(and assuming other conditions are met) the high speed cooling fan will engage.
  • Fan HIgh Speed High Load Enable Load: Above this Load(and assuming other conditions are met) the high speed cooling fan will engage.
  • Fan High Speed High Load Enable VSS: Above this VSS(and assuming other conditions are met) the high speed cooling fan will engage.
  • Fan HIgh Speed High Load Enable ECT: Above this ECT(and assuming other conditions are met) the high speed cooling fan will engage.


Ford > System > AC

Air Conditioning

  • Air Conditioning Switch: Master enable/disable for AC Input switch.
  • Air Conditioning Pressure Switch: Master enable/disable for AC Input switch.
  • AC WOT Disable Time: Time to disable the AC clutch when at WOT.
  • AC WOT Disable TPS: Above this TPS the AC clutch will be disabled according to the disable time setting.


Ford > Speedometer

Speedometer

Speed Limiter


Ford > Speedometer > Speedometer

General

  • Final Drive Ratio:
  • Tire Revs per Distance:
  • Trans Output Pulses/Rev: Number of pulses per revolution for the Transmission Output speed sensor. Usually the number of teeth on the sensor.
  • Final Drive/Tire use VID: When enabled the Final Drive(Axle) ratio and Tire Revs per Distance will use the values stored in the VID block.
  • VSS out via SCP: Master enable/disable for VSS output signal to be sent over the SCP network.
  • VSS out via PCM: Master enable/disable for VSS output signal via PCM output.
  • N/V Base: The base RPM/MPH value for the vehicle. When in 1:1 gear(eg. 3rd) this is the Engine RPM divided by the speed in MPH.
  • N/V Max Learned: This is the minimum learned value for N/V
  • N/V Min Learned: This is the maximum learned value for N/V
  • N/V Multiplier:


Ford > Speedometer > Speed Limiter

General

  • VSS Limit ETC: Above this speed the VSS Limit will activate.
  • VSS Limit ETC Hyst: VSS must drop by this amount to disable ETC VSS limit.
  • VSS Limit ETC Integral Initial: The initial value of the VSS Limit integral term.
  • VSS Limit ETC Integral Max: The maximum value of the VSS Limit integral term.
  • VSS Limit ETC Integral Min: The minimum value of the VSS Limit integral term.
  • VSS Limit ETC Integral Gain: The integral gain for the VSS Limit.
  • VSS Limit ETC Proportional Gain: The proportional gain for the VSS Limit.


Parameters - Dodge


Table Editor

Editing Tables

Table modification is one of the main operations that you will use to modify your tune. Understanding the table display layout and functionality will help make your table editing easier.

Right click the table display for more options.

Hotkeys:
+/- | Increment and decrement value(s)
CNTRL+C | Copy value(s)
CNTRL+V | Paste value(s)
CNTRL+Z | Undo last modification

Copy with Labels (right click menu)

This function is available in VCM Editors Table Editor, VCM Scanners Histogram Display, and VCM Scanners RTT Editor.
Using Copy with Labels allows you to copy a selection of a table with axis data as well. When you wish to paste the data into another table, or from a histogram into the RTT editor or VCM Editors Table Display, you do not have to select the destination cell before you paste. Because you copied your data with axis labels, the software will automatically place your paste data accordingly. You can use this in conjunction with the paste special feature of the software.

Paste Special (right click menu)

When using the VCM Scanner histograms properly, you can easily import the learned histogram data into VCM Editor using the paste special feature of the table editor.
An example of this is building a knock retard histogram and importing it into your main spark tables. More information regarding this feature can be found in the Tips and Tricks help section.
For this feature to work, the contents of the clipboard must be of the same dimensions as the contents of your table.

Add | Add the contents of the clipboard to the table
Subtract | Subtract the contents of the clipboard from the table
Multiply % | Multiply the contents of the table by the clipboard values as a percentage
Multiply % - Half | Multiply the contents of the table by the clipboard values as a percentage divided in half
Average | Average the values between the clipboard and the table

Understanding the Toolbar

Table Open, Save and Print
Import a table from a file and overwrite current table.
Save the table to a file.
Print the table.
Favorites
Add this table to the favorites.
Remove this table from the favorites.
File Compare
View the table for the primary calibration
View the table for the compare calibration
View the differences between the primary and compare calibrations
Reload
Reload the current table
Copy and Paste
Copy table selection to clipboard
Paste table selection from clipboard
Modify
Replace selected cells with the value in the box
Add the value in the box to the selected cells
Multiply the selected cells by the value in the box
Unlock/Lock window
Insert the table display back into the parent VCM Editor window
Remove the table display from the parent VCM Editor window (dual monitor support)
Primary View State
View only 1 data representation (table or 2D/3D graph)
Use a horizontal split with the table display on the bottom and the graph up top
Use a vertical split with the table display on the left and the graph on the right
Primary View
View the table data representation
View the 2D chart data representation
View the 3D chart data representation
Precision
Decrease decimal precision
Increase decimal precision
Smoothing and Interpolation
Smooth the entire selection
Smooth the selection only using a horizontal pass
Smooth the selection only using a vertical pass
When using the smoothing functions, the level of smoothing will be determined by your current precision. To increase the effected area of your smoothing, increase your precision.
Interpolate the entire selection (flat plane)
Interpolate between horizontal bounds (creates lines)
Interpolate between vertical bounds (creates lines)

Using the 3D View

You can control the rotation, shift, zoom of the 3D graph as well as modify data points with the left mouse button.

  • To modify data points simply left click on the data point to modify and drag it to your desired position, and then release the left mouse button.
  • To adjust the zoom level, click and hold on the 3D graph with both the left and right mouse buttons simultaneously and move the mouse up and down.
  • To rotate the 3D graph, simply right click the graph and move the mouse.

Using the 2D View

  • To modify data points simply left click on the data point to modify and drag it to your desired position, and then release the left mouse button.


Tuning How To's

Tuning How To Section

Basics

Rear Gear/Tire Ratio

Shift Points

Timing Advance

Air/Fuel Ratio

Injectors

RPM Limiters

Advanced

Volumetric Efficiency

User Submitted

Speed Density

To submit your addition, please e-mail us at support@hptuners.com. Be sure that you include your full name or specify anonymous for credit. Thanks!


Basics

Rear Gear/Tire Ratio

Shift Points

Timing Advance

Air/Fuel Ratio

Injectors

RPM Limiters


Rear Gear/Tire Ratio

Making Gear Ratio or Tire Height Changes

  • Location: Speedometer (Speedometer Tab)
  • Depending on the vehicle type you are modifying, follow the instructions as described in the Speedometer help section.


Shift Points

Changing Part Throttle Shift Points

  • Location: Transmission (Shift Speed Tab)
  • more coming soon...

Changing Wide Open Throttle Shift Points

  • Location: Transmission (Shift Speed Tab)
  • more coming soon...


Timing Advance

Changing Part Throttle Timing Advance

  • Location: Engine->Spark Control (Spark Advance Tab)->Main Spark vs. Airflow vs. RPM
  • Modifying the vehicles timing advance can result in damage if not done properly.
  • MODIFY AT YOUR OWN RISK!

Changing Wide Open Throttle Timing Advance

  • Location: Engine->Spark Control (Spark Advance Tab)->Main Spark vs. Airflow vs. RPM
  • Modifying the vehicles timing advance can result in damage if not done properly.
  • MODIFY AT YOUR OWN RISK!


Air/Fuel Ratio

Changing Wide Open Throttle Air Fuel Ratio

  • Location: Engine->Fuel Control (Power Enrich Tab)
  • Make very small changes and use the scan tool to verify your adjustments.
  • Do not rely on stock O2 sensors for accurate readings, use a wide band O2 for accurate results.
  • Modifying the vehicles air/fuel mixture can result in damage if not done properly.
  • MODIFY AT YOUR OWN RISK!


Injectors

Changing Injectors

  • Location: Engine->Fuel Control (General Tab)->Flow Rate vs. KPA Table
  • Open up the Unit Conversion window found under the Tools menu.
  • In the lower right, enter in your new injector flow rating and the fuel pressure it is rated at.
  • Then enter in the fuel pressure of your fuel rail.
  • Your new injector flow rate will be calculated automatically. This rating is for 0 VAC.
  • As manifold vacuum increases the injector flow rate will slightly increase.


RPM Limiters

Changing RPM Limiters

  • Location: Engine->Fuel Control (Fuel Cutoff)->RPM Limits Section
  • The VCM has a number of RPM limits that disable fuel if exceeded. The Cutoff RPM is the RPM at which fuel is disabled and the Resume RPM is the RPM at fuel is re-enabled.


Advanced

GM V8 based vehicles

Volumetric Efficiency


Volumetric Efficiency

Volumetric Efficiency

Application: GM V8 based vehicles

Basic terminology

Tables and programs to use:
  • VCM Scanner Histogram: This is a graphical tool used to record the LTFT , STFT process as it happens live. This program will be you basis for where, when and how much to change on the VE table. The Scanner histograms are laid out to reflect the actual VE table using MAP and RPM for the axis. Setting the scanner histogram to “average value” will calculate out any transient values during the learning process.
  • VCM Editor VE table: Depending on vehicle type, you will be using either the primary VE table, or secondary VE table (no MAF sensor present).

  • VE Table: This table is used to determine air mass per cylinder in case of MAF failure and also to provide a base airflow value to check for MAF failure. It is also used to provide transient condition correction to the VCM main air mass calculations. Although it is not strictly a VE table in the traditional sense, it is displayed in % for convenience.

  • LTFT: stands for Long Term Fuel Trim. This is the VCM’s ability to make needed corrections over time to the Air Fuel Ratio by monitoring the vehicles stock O2 sensors.
    The corrections displayed in the scanner are a + - % correction to the values on the VE table, zero being no change. These corrections are stored in the VCM’s ram and will remain there until you remove power from the VCM or force a reset via the scanner.

The VCM, Closed Loop, LTFTs and VE

The VCM learns in closed loop fuel mode. By keeping the engine in this mode, you can cover enough locations in the histogram to get an overall view of your engines tune. Make slow throttle changes and try and hit as many histogram table locations as possible.
Covering every single location is not needed, nor is it possible as the VE table covers areas the engine will never run in.
You do not want the engine to go into power enrichment mode, as this will turn off closed loop fuel.

The LTFT uses cells to “cover” the VE table. The current cell in use is called the Fuel Trim Cell (FTC). There are 16 cells (0 – 15). Cells 20,21,22 are used by the VCM when it does not want to make a permanent correction to the VE table values (examples would be Decel Fuel Cutoff, Power Enrich Fuel, Charcoal Canister Purge off).

By monitoring the current LTFT cell number (FTC) in the scanner, you can make a decision of when to ignore the LTFT correction. Do not use the histogram logged corrections for cells 20,21,22.

LTFT cells are “placed” on the VE table by using the LTFT Low, Mid High boundaries on the Closed Loop fuel tab.
The RPM boundaries on the sample are 1300 RPM, 2500 RPM, 3500 RPM
The Map boundaries on the sample are 32 kPa, 56 kPa, 80, kPa

A graphical representation of this layout is shown in the figure below.
The RPM Boundary values are shown in red, the MAP boundary values are shown in blue. The lines are for display purpose only and do not appear on the VE table.

LTFT cells are also “placed” on the Histogram LTFT table by using the LTFT Low, Mid High boundaries on the Closed Loop fuel tab. A graphical representation of this layout is shown in the figure below.
The RPM boundaries on the sample are 1300 RPM, 2500 RPM, 3500 RPM
The Map boundaries on the sample are 32 kPa, 56 kPa, 80, kPa

The RPM boundary values are shown in red, the MAP boundary values are shown in blue. The lines are for display purpose only and do not appear on the histogram.

STFT: stands for Short Term Fuel Trim. This is the VCM’s ability to make needed corrections quickly to the Air Fuel Ratio by monitoring the vehicles stock O2 sensors.
The STFT corrections are instantaneous corrections and do not employ the use of cells, nor is it a permanent correction.

The STFT Histogram keeps track of these changes so you don’t have to. The corrections displayed in the scanner are a + - % correction to the values on the VE table, zero being no change. They are to be considered a “fine tune” for the LTFT cell adjustments. Seeing as the LTFT is cell based and covers a wide area on the VE table, the STFT corrects the conditions within those cells.

Method 1 using the LTFT and STFT corrections from the scanner histogram data

After you have logged sufficient data, it is now time to look at what changes you need to make. This will require looking at both the LTFT and STFT data on a cell by cell basis.
The LTFT values are your indicator of how much error is in your Volumetric Efficiency table. If Block Learn is at 0% everything is just right. If your STFT is more than 3 % away from 0 , the LTFT value is still "learning". A motor is considered well tuned to have LTFT values between +- 4%. Not every motor can achieve this though.

There will always be a 2-4% change in learning from day to day. Weather, fuel, and engine dynamics vary quite a bit. It’s the VCM's job to learn these corrections, so don’t spend your time trying to get the LTFT numbers down to 0 and remain there forever. It will never happen.

The VE table corrections can be derived by the following formula:

(+-LTFT%) + (+-STFT%) = Final % Learned

If your LTFT histogram value @1600 RPM, 30 kPa Map is +7 and the associated STFT value is -2 your total % fuel correction is +5. Use about ½ the correction (2.5%) on the VE table cell @1600 RPM 30 kPa Map to avoid overshoot.

Repeat this process for any LTFT histogram value that is out of the +- 4% range. After you reflash your VCM with the new VE table, use the VCM Controls function to reset the fuel trims before you start recording new data. This will give you a “clean slate” to work with.

It will take you the better part of an afternoon to log the LTFT, make the corrections to the VE table, then verify the results on the histogram again.

Method 2 using the STFT corrections only from the scanner histogram data

This will require you to disable the LTFT process.
Use of this method requires your VE table to be no more than 10% off. If your VE table is beyond this, start with the LTFT method first.

Depending on your model you can either turn the LTFT enable option to “Off” or set the LTFT minimum Engine Coolant Temp (ECT) to its maximum value. When you are ready to start the scanning process to record the histogram data, use the VCM Controls function to reset the fuel trims.

This will let the VCM run the STFT correction, but no make any LTFT corrections.
The advantage to this is you only have to use the STFT table on the histogram to get your fuel % correction values. You no longer have to do the (+-LTFT %) + (+-STFT %) math or keep track of the LTFT cell number in use.

This will take you about ½ the time to log the STFT, make the corrections to the VE table, then verify the results on the histogram again.

Your corrections to the VE table cells are the +-% STFT error.
Again, a motor is considered well tuned to have STFT values between +- 4%. Not every motor can achieve this though.

Don’t forget to re-enable the LTFT when you are done.

Table Smoothness

As vehicle conditions change the cell in use of the VE table will change. A smooth VE table will help vehicle fueling transitions. A choppy VE table will cause irregular fueling.

When making changes to the VE table, try to modify surrounding cells as well to help preserve the flow of the VE table. It is unlikely for close operating ranges of your engine to vary drastically in volumetric efficiency and thus your table shouldn't either. Transitions over cliffs, ridges, spikes and other erratic data of your VE table can cause less than desirable results.

Good VE Table

Bad VE Table


User Submitted

GM V8 based vehicles

Speed Density Tuning using Wideband O2 Input by William Henn, 'foff667'

To submit your addition, please e-mail us at support@hptuners.com. Be sure that you include your full name or specify anonymous for credit. Thanks!


Speed Density Tuning using Wideband O2 Input by William Henn, 'foff667'

Speed Density Tuning using Wideband O2 Input

Application: GM V8 based vehicles

Hopefully you’ve already worked out your idle & set your ifr table. If not start there & come back to this when that’s finished.

If you are running a 1999 or 2000 operating system, you should consider upgrading to a 2001 or later operating system or splurge for the 1 bar speed density license, as they will really simplify the process in the end. If you’re unfortunate enough to own a 1998 operating system at this time, my sincere condolences. You’ll still be able to do SD tuning but you have no way to update to a later operating system without major work involving a PCM swap and major rewiring.

First things first…determine what the car is going to be used for mainly. This tuning guide is for semi mild setups as in the end we will be putting the car back in closed loop. If you plan on having a complete racecar that rarely or never sees the street an open loop speed density tune might be the answer. I’ll get to that in my next write-up since there are a few differences in how things will be done.

Setting up your scanner

  1. Open the HPT Scanner.
  2. Open the Table portion to set up your PIDs
  3. The default config is a good starting point, from there just add:
    Wideband Input ie LM1, LC1, PLX, etc…
    Air Fuel Ratio Commanded Hi Resolution

    Just keep in mind that the more PIDs you have the less frames per second of data it will gather so make sure you keep it under 24 bytes.
  4. Save the PID file as SD tuning.cfg by clicking on the Save Config file button

    It should look something like this

Set up Open Loop Speed Density

  1. Read your PCM & Save as stock.hpt
  2. Open the saved file with the editor
  3. Open both Primary & Secondary VE Tables if applicable and multiply these tables by 1.15…this is just to add extra fuel in so you run safer while in SD mode.

    It should look like this

  4. Under Fuel Cutoff/DFCO set DFCO enable normal to 284°F this is so deceleration fueling wont effect the tuning process. Under normal conditions the computer leans out the a/f mixture when you let off the gas which can skew the numbers you gather for tuning your VE table.

    It should look like this

  5. Under Power Enrichment set the EQ ratio vs. RPM to your desired a/f across the board. This will keep your engine safe & make for one less step once you go back into closed loop.

    It should look like this

  6. Under Fuel Control-Open & Closed loop open “Open Loop EQ Ratio” and set it to 1.00 all the way across. This will set all cells to a 14.7:1 air fuel ratio.

    Like this

  7. Next set Long Term Fuel Trims to Disabled

    Like this

  8. Then set All Closed Loop Enable Temp cells to 284°F this will ensure you go into open loop.

    Like this

  9. Under COT, Lean Cruise set COT to Disabled. This is mainly to simplify the fuel tuning…the less adders & multipliers involved the better.

    Caution: This can damage catalytic converters if you still have them on your car.

    Like this

  10. Under Spark control open both your high & low octane tables then copy you’re your high octane table to the low octane table using the copy & paste buttons…this because once in SD mode it falls to the low octane table.
  11. Set MAF fail frequency to 0.
    The PCM will detect a MAF fault as soon as you key on and thus revert to speed density mode.
    The PCM requires a MAF DTC to be set to revert into speed density mode. If you set all of your MAF DTCs (101, 102, 103) to no error reported the PCM will not revert to speed density.
    The factory settings will work but if you are concerned about an SES light, set the DTC's to No MIL Light. The PCM will still set the code for a MAF fault and thus still revert to speed density.
  12. Pop the hood and unplug the MAF sensor. This step is a precautionary step to make certain that your vehicle does not use the MAF sensor to calculate fueling while tuning in speed density. It is not required on all vehicles.
    Note: If your MAF has a 5-pin plug, your IAT sensor is built into the MAF.
    You will need to make provisions to get the IAT signal into the PCM.
    Various write-up’s on this can be found at www.ls1tech.com
  13. Save this tune as SDStarter1.hpt and perform a calibration only reflash of this file into your PCM.

Data Logging

  1. Prepare your wideband for use with the usual preheating procedure.
  2. Start the engine and let it come up to full operating temperature.
  3. While the engine is warming up, start the HPT Scanner, connect to the vehicle and start monitoring your data (do not log at this time).
  4. Once the engine is warm (160 °F or higher), start your drive and start Data logging. Your driving style should be very calm. Avoid sudden throttle changes. The smoother you can make your driving style while covering as much of the histogram as you can, the better your results will be.
  5. It helps to have a passenger viewing the AFR Error Histogram while it is displaying the cell count. You want to hit as many cells as you can, as many times as you can. Try to get a cell count of 50+ per cell.
  6. After you have finished logging data, save the log file as SDtune1.hpl

Update .HPT File

  1. Start the HPT Editor & open SDStarter1.hpt
  2. Start the HPT Scanner & open and open SDtune1.hpl
  3. Open your pre-configured AFR error % histogram & set cell his required to 50, click average & load all data.
  4. Next highlight & copy all cells
  5. Switch to the SDStarter1.hpt file & open your main & secondary VE tables & paste special-multiply by % to the main & hand blend the surrounding unaffected cells. Then copy each line to the secondary.
  6. Now Save your tune as: SDtune1.hpt & perform a calibration only reflash to the PCM
  7. If necessary repeat the until the average cell values in your AFR error map(s) are close to 0 (aim for +/- 1%).
  8. At this point if you have completely removed your MAF & have made the decision to never use it again you are done and can go about your way. If you are going to put your MAF back on keep reading.

Dialing in the MAF

  1. To re-enable the MAF simply plug it back in (if you previously unplugged it) and set your MAF Fail requency back to its original value and write it to the vehicle.
  2. Load the MAF - AFR Error.hst histogram.
  3. Make sure you log MAF in Hz in the table and go for a drive.
  4. Hit as many of the higher frequency cells as possible as many times as possible
  5. Copy & paste special-multiply % to your MAF airflow vs. frequency table & smooth
  6. Save & load new calibration
  7. Repeat if necessary
  8. Again the cells in the histogram should get closer & closer to 0% indicating 0% difference between actual AFR and commanded AFR.

Setting Everything Back to Closed Loop-MAF

  1. Open your Stock file
  2. Copy & paste your new, verified, VE primary & secondary, PE, & MAF tables in.
  3. Save & load the new file

Verification

  1. Start the HPT Scanner and open the default config file also scan for the w/b & commanded a/f
  2. Start your engine and the Scan Tool and go for a drive
  3. Monitor Commanded AFR and WBO2 AF, they should be extremely close.
  4. Long-term fuel trims should eventually settle in the range –4 to 0
  5. You should also look over & evaluate your injector duty cycle…if your running over 90% you might want to consider stepping up in injector size.

Finally

  1. After all this you’re ready to start with Spark tuning

Thanks To All That Helped Put This Together


Real Time Tuning (RTT™)

Overview

RTT™ is an operating system modification that allows real time modification of selected parameters in the PCM's RAM.
Parameters are updated via customized OBD2 commands in real time.

The user selects an operation "mode" that defines which tables are enabled for real time.
Example modes are main fuel/spark, idle, O2/knock etc.

The RTT™ system is primarily controlled by VCM Scanner and when enabled, tables are copied from flash chip to RAM and can be modified in real time.
After tuning is complete the final table can be written to the PCM and stored permanently using regular VCM Editor processes.

Features

  • Software only, no special hardware required
  • Enough functionality to tune the car. (Not every parameter requires real time support)
  • Auto-tuning capability (Available in a future release)
  • Easy to use
  • Low cost

Warning!

Do NOT attempt changing real time tune values while driving the vehicle.
Doing so may cause driver distraction and possible vehicle crash.
Real time tuning is designed for quick tuning under controlled conditions like an engine or chassis dynamometer.

Use caution when entering values into the real time tuning tables.
Improper use may cause vehicle damage and or unsafe driving conditions.
User assumes all safety responsibility for use of and values entered into real time tuning mode.

Using

Examples

Idle

Volumetric Efficiency


Using

Using Real Time Tuning (RTT™)

At this point, we assume you already have the VCM Enhancement with RTT™ capabilities already in your vehicle.

Step 1. Selecting the RTT™ Mode

Due to the limited amount of space in the VCM's RAM, we can only load a few tables at once.
We get around this obstacle by giving you modes of operation to chose from.

Each mode will load different tables into RAM.
Each mode is designed to allow you to accomplish one major task, like idle or VE tuning.
The mode toggle switch is located in VCM Editor->Engine->General.

Here is an example list of modes:

Select the mode of operation you would like to use and perform a write calibration only.

Note: If you do not select a mode other than Disabled, the RTT icon in step 2 will not be displayed in your scanner.

Step 2. Connecting with VCM Scanner

Connect to the vehicle using VCM Scanner.
After you connect VCM Scanner will detect a VCM with a VCM Enhancement that supports RTT™ and will display the following icon in the tool bar:

Click this icon to bring up the Real Time Tuning window.

Step 3. Understanding the Real Time Tuning Toolbar

The toolbar is designed to give you similar functionality to the table display in VCM Editor.
What differs in this toolbar is the numbers 1 through 8, and the two sets of play and stop buttons.

Toolbar

These numbers represent each table that is available for real time tuning in the current mode.
By default, all these tables will use what is located on the flash chip until you enable them by using the play buttons.
Each time you key off or cycle the ignition, any changes made to the table in RAM will be lost and refreshed with table data from the flash chip.
Command VCM to use the data in RAM for the current table.
Command the VCM to use the data on flash for the current table.
This will not remove your changes from RAM.
They will remain until you cycle the ignition of the vehicle.
If you hit the play icon again, you will simply pick up where you left off.
Your changes will not have been lost.
Command VCM to use the data in RAM for all tables.
Command the VCM to use the data on flash for all current tables.

Step 4. Understanding the Real Time Tuning Auto Tune

Auto tune is currently disabled and will be available in the next release of VCM Suite.

Step 5. Activating a table in RAM

When you are ready to start tuning a table in real time, click the green play button.
This will tell the VCM to start using the table in RAM and not the one on flash.
If the software has not yet pulled the table from the vehicles RAM, it will do it now.

If you have built a table in RAM that is not desirable and do not wish the vehicle to use it anymore, simply click the green stop icon.
This will tell the vehicle to use the table that is located on flash and not in RAM.

Step 6. Using the Right Click Menu

The same right click menu exists for this table editor as does in VCM Editors table editor.
You can use the same functionality.
For example, you can take data from your histogram and paste it directly into your real time tuning window.

Step 7. Finalizing the Changes

After you have built a table that you feel is worthy of permanent stay, simply right click the table and click copy.
Click disconnect on VCM Scanner.
Then, in VCM Editor simply right click the table button that you are modifying and click paste.
Now you can perform a calibration only write as you would normally to make the changes permanent.

You do not have to disable the RTT™ mode in VCM Editor either.
You can leave it to your favorite mode and real time tune your vehicle any time you like.

Enjoy!


Examples

Idle

Volumetric Efficiency


Idle

Idle Tuning

Example showing real time modification of the Base RAF table during idle.

You can see the STIT and LTIT adjust as you move the RAF up and down in real time.

It's great to see just how slow the idle trims move and see why most people have trouble tuning idle because they never wait long enough for the trims to adjust.


Volumetric Efficiency

VE Tuning

Example showing real time modification of the VE table at openloop idle and effect on measured AFR.

VE table increased/decreased by simple use of the +/- keys just as in the editor (other editor style functions work just the same).


Working with VCM Scanner

Options

Scan Menu

Displays

Table

Gauge

Chart

Histogram

Status Bit

DTCs, Readiness States and Tests

VCM Controls

Enhanced IO

Connecting

Configuration

Standalone Data Logging

EIO How To Section

Custom PIDs


Options

Default Units:
Any parameters that have not had their units manually manipulated by the user will display as the default units.

Clear Last Used Vehicle:
This will clear VCM Scanners last known connected vehicle. What this will do is restore all available PIDs to your insert lists. Without clearing the last used vehicle history, VCM Scanner will only display supported PIDs according to the last known vehicle you connected to.


Scan Menu

Scanning

Whenever you wish to collect data from the vehicle you will need to scan it. You can use the space bar to start and stop scanning or you can use the play and stop buttons on the tool bar.
After you have finished scanning, your scanned data will be displayed in the VCM Scanner as an unsaved log file. If you wish to view this data at a later date you will need to select 'Save Data As' found under the Scan menu.

The table display plays a very important part of VCM Scanner. Please also read the Table Display Help as well to better understand how the scanner engine works.

You will be able to scan all vehicles HP Tuners supports with your software. You are not limited to only the vehicles that you have purchased support for.

VCM Scanner supports a scan session of up to 65,535 frames, or about 100 minutes of log data depending on how many parameters you are scanning. Look at the Table Display Help for more information.

Hotkeys:
Space Bar Start and stop scanning

Log Files

Log files, or .hpl files, are files that have saved frame data as well as comments and markers from a previous scan session. You can save your log files for future reference, or to share with others.

Comments and Markers

During the scanning process you can use the 'C' and 'M' keys to insert Comments and Markers.
When the 'M' key is pressed, a marker will automatically be inserted into your scan without any prompt.
When the 'C' key is pressed, a dialog will pop up prompting you to enter in the comment. The scanner will continue to scan while you enter in your comment.

At the end of your scan session, you can modify the comments and marker descriptions in the Comments and Markers window. This is also where you can give your log file a description and enter in log notes.
You can also right click the lower table for Insert and Delete functionality or you can use the 'Insert' or 'Delete' keys on your keyboard.
To modify the comments description, double click the cell for that frame under the Description column.

Hotkeys:
C | Insert a comment at the current frame
M | Insert a marker at the current frame

Export Data

After you have finished scanning or after you have opened up an existing .hpl VCM Scanner log file, you have the option to export it as a comma delimited .csv file. You can open a .csv file with notepad, WordPad, or Microsoft Excel. Exporting to a .csv file is convenient if you wish to share your log file with those that do not have HP Tuners. To share your log file with those that do have HP Tuners, all you need to send them is the .hpl file and they will be able to open up the log file in their own version of HP Tuners VCM Scanner.


Displays

Table

Gauge

Chart

Histogram

Status Bit

DTCs, Readiness States and Tests

VCM Controls


Table Display

Table Display

The Table Display is the main control window for scan tool diagnostic parameters. What you chose to list in the table display window is what the program will poll the vehicle for. Any gauges, charts or histograms opened will require the parameter to be listed in the table display for functionality.

A parameter is also known as a PID. When you insert parameters into the table display and other forums, VCM Scanner and its help files will refer to them as PIDs.

For information on configuring the Enhanced IO portion of the Table Display (the bottom 3 rows) please read Configuring the Enhanced IO.

Right click the table display for more options.

Hotkeys:
Insert | Insert a new PID our EIO Input
Delete | Delete the current PID or EIO Output

Bytes Used and Total Bytes Allowed

Each vehicle platform has a specific number of data bytes allocated for diagnostic scanning. What this means is that you can only ask for a limited amount of PIDs depending on the vehicle you are connected to. Some vehicles support 24 bytes, some support 48, and others support 56.

Also, not all PIDs are only 1 byte in length. Some PID's are 2 bytes, and others are 4 bytes in length.

The table display window status bar will tell you how many bytes you have allocated and how many you are allowed to allocate.

Logging Speed

Logging speed is dependant on the number of bytes you are logging, and the total number of bytes allowed.
The charts below list the average frames per second you will see based on the number of bytes you are scanning (on the left) versus the number of bytes allowed (on the top).

 | 24 Byte Max | 48 Byte Max
1-6 Bytes | 20 frames/sec | 40 frames/sec
7-12 Bytes | 10 frames/sec | 20 frames/sec
13-24 Bytes | 5 frames/sec | 10 frames/sec
25-48 Bytes | n/a | 5 frames/sec

 | 56 Byte Max
1-7 Bytes | 40 frames/sec
8-14 Bytes | 20 frames/sec
15-28 Bytes | 10 frames/sec
29-56 Bytes | 5 frames/sec

Inserting a PID

Right click the table display and select insert. You can also use the Insert and Delete keys.
To insert a vehicle parameter, click the top most table.
To insert an EIO input for an EIO interface, click the middle table.
To insert ah EIO output for an EIO interface, click the bottom most table.

Understanding the Insert List

In the list below, Ignition Timing Advance (SAE), Torque Mgt Advance and Max Knock Retard Cyl # are already on our table display. The list indicates that they are added with a red color.

Toolbar

View table display in smallest size.
View table display in medium size.
View table display in large size.
View table display in extra large size.
Vehicle data table will appear above AUX data table.
AUX data table will appear above the vehicle data table. This is useful if you want to cover up the empty, lower half of the table with the chart or another display.
Load table display defaults.


Gauge Display

Gauge Display

VCM Scanner's Gauge Display Settings makes configuring your gauge display easy. You can configure each gauge individually and also configure the display colors, background images and general feel globally.

Right click the gauges for more options.

Unsupported and Supported Gauges

Your config file will store all the gauges you wish to view on your gauge display.
You can load gauges based on generic sensors or more specific PIDs.
Just because you have a gauge defined as a MAF sensor gauge does not mean your new scans will automatically incorporate the MAF PID. It is up to you to still enter that PID into the table display.
To make it more clear for you what gauges you have supported with your current table display configuration, we use the following display format.

Gauges

Gauge shows a value and a needle. It is supported.
Gauge shows no value or needle. It is not supported.

How to Support an Unsupported Gauge

To support an unsupported gauge you will have to enter the PID the gauge requires in the table display.
It is a good idea to define as many of your gauges as possible to generic sensors instead of more specific PIDs.
Not every vehicle uses the same PID set. For example, vehicle A may use Timing Advance PID 1 where as Vehicle B may use Timing Advance PID 2. If you define a gauge against Timing Advance PID 1 and connect to Vehicle B, your gauge will not work. If you define your gauge against the generic sensor Timing Advance, as long as the vehicle you connect to supports any Timing Advance PID (and you insert that specific PID into the table display), your gauge will be supported.
The most noticeable application for using Sensors for definition is when you switch between vehicle platforms.

Normal vs. Alert Mode Gauges

You can configure gauges to go into an "Alert" mode when their value is below or above a certain value.
When the gauge exceeds these boundaries, the Gauge Colors (Alert) will be used as defined in your Gauge Display Settings.

Gauges

Gauge does not exceed either defined Alert boundary.
Gauge exceeds an Alert boundary as defined by the Gauge Properties..

Gauge Properties

Plot Value

The plot value is the actual value that is going to be plotted on the gauge. You can plot against a specific PID or a more generic sensor. Try to chose a sensor over a PID whenever possible.

Toolbar

Commit any changes made and refresh the parent Gauge.

Gauge Display Settings

VCM Scanner gives you one location to customize the general color and feel of your Gauge Display.

Background

The background color is the standard color for the background of the window for any unused areas. You can also load an image as your background as well. The image will not be stretched to fit your window. Any remaining area not covered by your image will be set to your background color defined here.

Gauge Colors

Here is where you change your gauge display color palette. With this simple one spot configuration window you can change your color theme in seconds.

Toolbar

Commit any changes made and refresh the parent Gauge Display window.
Load gauge display default settings.


Chart Display

Chart Display

Use the slider bar at the top of the chart to browse through your scanned log files or scanned memory. To play a log from any point in the file click the play button and then pause. Scroll to the point where you would like to play from and hit play again. Move your mouse over the chart to view the frame of data at that instant. Any other windows (Table, Gauge, Histogram) will also update as you move your mouse over the chart window.

You can also right click the histogram for more options.

Hotkeys:
+/- Zoom in and out

When making changes to the chart configuration page, there is no undo action. Changes you make will be put into effect the next time you open up the Chart Display window, or if you already have it open, if you hit the Save icon.

Plot Value

The plot value is the actual value that is going to be plotted on the chart. You can plot against a specific PID or a more generic sensor. Try to chose a sensor over a PID whenever possible.

Toolbar

Commit any changes made and refresh the parent Chart window (if open).
Load all default charts.


Histogram Display

Histogram Display

Whenever the histogram window is open, it will update. The histogram window will not be updated in the background if you do not have it open. If you wish to view the histogram of a portion of your log file or a certain instance in your road scanning, open the histogram window at the time you would like it to start updating. Every time the histogram window is opened it starts fresh and blank.

You can also right click the histogram for more options.

Hotkeys:
Keypad 1-0 | Cycle through the histograms
PGUP/PGDWN | Cycle through the histograms
CNTRL+C | Copy histogram cells to clipboard

How to Support an Unsupported Histogram

To support an unsupported histogram you will have to enter the PIDs the histogram requires in the table display. It is a good idea to define as many of your histograms as possible to generic sensors instead of more specific PIDs. Not every vehicle uses the same PID set. For example, vehicle A may use Timing Advance PID 1 where as Vehicle B may use Timing Advance PID 2. If you define a histogram against Timing Advance PID 1 and connect to Vehicle B, your histogram will not work. If you define your histogram against the generic sensor Timing Advance, as long as the vehicle you connect to supports any Timing Advance PID (and you insert that specific PID into the table display), your gauge will be supported. The most noticeable application for using Sensors for definition is when you switch between vehicle platforms.

If your histogram displays but is stuck on the first row or column of the table, it means you do not have the proper PID loaded in the table display to support that axis. The histogram window needs the PIDs required for the axis' to be loaded in the table display as well to determine the row and column of the current frame.

Toolbar

Load a histogram from a file.
Save the current histogram to file.
Print the current histogram.
Load all default histograms
Show histogram 1 through 10. You can also use the Page Up/Page Down keys as well as the 1-0 numbers on the keypad.
Configure the histogram.
Show the highest value in each histogram cell.
Show the lowest value in each histogram cell.
Show the average value of each histogram cell. This is the most commonly used setting.
Show the last value of each histogram cell.
Show the hit count for each histogram cell.
When this button is pressed, the histogram table will take up as much space on the Histogram Display form as possible, overlapping the horizontal and vertical labels. If you have limited desktop space, this may be a useful item.

When making changes to the histogram configuration page, there is no undo action. Changes you make will be put into effect the next time you open up the Histogram Display window, or if you already have it open, if you hit the Save icon.

The Histogram Configuration form gives you a lot of control over how you configure your histograms.

Plot Value

The plot value is the actual value that is going to be displayed in each cell of the histogram. You can plot against a specific PID or a more generic sensor. Try to chose a sensor over a PID whenever possible.

Plot Filtering

With plot filtering you are able to get the most control out of your histogram data. You can filter out data based on TPS, RPM, fuel trim cell and other various parameters. You can also enter in the minimum number of cell hits required to register data on the histogram. Entering in a higher value in the min cell count will help remove erroneous data or cells that do not have enough data for accurate feedback. If you enter in a plot filter string, the filter string must pass as true for the frame to be added to the histogram. First the histogram will check to see if the plot filter string returns true (if one exists). If the filter returns true the data is added to the histogram. If the cell count is under the min cell count it will not be displayed. For more information on how to setup filters please read Custom Functions, Filters and Triggers.

When plot filtering is present on a histogram, the Histogram Display tool bar will indicate it with a small red star in the lower right corner like such:

Plot Coloring

You determine the color swing of the histogram by using the Value Low, Value Mid, Value High and Color Low and Color High. The Color Low will be used as an absolute for all the values that are equal to or below your Value Low setting. The Color High will be used as an absolute for all values that are equal to or above the Value High setting. The Value Mid sets the middle swing point which is the value that will be the 50/50 color between Color Low and Color High. You can set the Value Mid to be perfectly in-between Value Low and Value High to have a perfectly even histogram or move it toward Value Low or Value High to have a more color biased histogram.

X Header (Horizontal Axis) & Y Header (Vertical Axis)

Configuring the Axis may look confusing at first but once you understand the underlying structure of it, it should become a lot more clear and a lot more powerful.

There are basically 2 types of Axis configurations you can have.
  • Table: Whenever possible, you should define your histograms against Tables instead of the more custom Sensor/PID approach. When you define an axis against a table, the axis settings will be loaded automatically for you (in the background) every time you connect to a vehicle. It will load the correct dimensions, labels, sensors and units for that specific vehicle if the vehicle is supported via VCM Editor. What this means is you can define histograms against generic tables and any time you switch between a vehicle that uses a different size or layout of that particular table, there will be no extra effort required from you to support that vehicle perfectly. Your histograms will match your VCM Editor files exactly.
  • Sensor or PID: In the event you want to plot a sensor or PID against an unsupported table, or a histogram of custom dimensions you can use the manual approach. You still select the sensor or PID as you would normally like the Plot section but then you also must give the axis labels. The labels you give will determine the columns and rows for that particular axis. Your labels must consist of only numerical values separated by a comma delimiter and must be increasing in value.

Toolbar

Commit any changes made and refresh the parent Histogram window (if open).
Load all default histograms.


Status Bit Display

Status Bit

The status bit display will allow you to view vehicle states such as cruise status, torque converter status, A/C status and more.

VCM Scanner must have vehicle information in history or an active connection to the vehicle to be able to insert a Status Bit.
Please note that the status bit parameters between vehicles will vary dramatically.
If you configure your status bit display on vehicle A and connect to vehicle B, your status bit display may not function as desired or display different parameters.

Right click the status bit display for more options.

Hotkeys:
Insert | Insert a new status bit
Delete | Delete the current selected status bit

Inserting a Status Bit

Right click the status bit display and select insert single or inset group.
  • Single: Insert the individual status bit into the display window.
  • Group: Insert the individual status bit into the display window and all other status bits that use the same data variable from the VCM. The VCM groups status bits together to save byte space. You can add all items in a group without adding extra data bytes to your table display maximum. If you insert only a single status bit, only that will be displayed but because the VCM groups status bits together, you will be able to add the others without increasing your byte count. When selecting the status bit to be displayed, items that begin with a + can be added without increasing current byte count.

Understanding the Insert List

In the list below, only AC Clutch is displayed. The list indicates that it is added with a red color. All other items in blue in the list can be added at no additional cost to your byte count indicated on the table display.

The list below also indicates how the VCM groups Status Bit's together. All items between Generator L and AC Request can be gathered from the VCM using only 1 byte of scanner bandwidth. They all fall under the same group. Items found in the same group do not have to be related in regards to vehicle function.


DTCs, Emissions, Readiness States and Diagnostic Tests

When this form is open and you are connected to the vehicle, it will automatically poll the vehicle for info every 30 seconds.

Toolbar

Save DTCs and Test information to a text file for later review.
Poll vehicle for diagnostic information.
Clear vehicles diagnostic trouble codes.


VCM Controls

Understanding the colors

MIL is commanded to ON by the user.
MIL is commanded to OFF by the user.
MIL has no direct command from the user.

How to Use

To toggle the command, simply click the buttons. To disable an active command, click the active colored button.

Warning

Misuse of VCM Controls can cause vehicle damage. These controls are LIVE and make changes instantaneously! Be sure to use them carefully.

Types of VCM Controls

  • Single Shot: This type of command is a one click deal. An example of this command is the Reset Fuel Trims.
  • On/Off: On/Off commands have 3 modes. On, Off and no control. When you command a function to off, the Off button will remain lit. Click the off button once again to release control of the command. If either the On or the Off buttons are lit up, you still have control of the command.
  • Up/Down Value: Up/Down values have 2 sets of arrows next to the value. The smaller set will change the value in small increments, the larger set will change the value in larger increments. When the control is commanded to on, every click of the arrow sends a command to the vehicle. Try to avoid extremely fast clicking of the arrows. A conservative rate of change speed will help the software and vehicle stay connected when controlling values.

General VCM Controls

  • MIL: Command the MIL Lamp (SES Light).
  • Shift Light: Command the Shift Lamp.

  • AC Clutch: Command the AC Clutch.

  • Purge Solenoid: Command the EVAP Purge Solenoid.
  • Vent Solenoid: Command the EVAP Vent Solenoid.

  • Air Pump: Command the A.I.R. Pump.
  • Air Solenoid: Command the A.I.R. Solenoid.

  • Cruise Inhibit: Command cruise.

  • Generator L-Term: Command the Generator/Alternator L-Term

  • EGR PWM: Command the EGR Position.

  • Boost Control PWM: Command the boost control amount.

  • Intercooler Pump: Command Intercooler Pump.

  • PTO Engage: Command the Power Take Off

  • Exhaust Brake: Command Exhaust Brake.

  • Intake Air Heater: Command Intake Air Heater.

Transmission VCM Controls

  • TCC Solenoid: Command the Torque Converter Clutch solenoid.
  • TCC PWM On/Off: Command the Torque Converter Clutch Pulse Width Modulation.
  • TCC PWM Level: Vary the Torque Converter Clutch Pulse Width Modulation level.

  • Force Motor (mA): Command the force motor milliamps.

  • Trans Adapt: Trigger reset of the adaptive pressure cells.
  • Trans Fast Adapt: Trigger reset of the adaptive pressure cells.

  • A4 Gear Force: Command an individual gear.

  • 1-2 Shift Solenoid: Command the 1-2 Shift Solenoid.
  • 2-3 Shift Solenoid: Command the 2-3 Shift Solenoid.

  • CAGS (M6) or 3-2 Solenoid (A4): Command CAGS on M6 vehicles or the 3-2 Shift Solenoid for A4 vehicles.
  • Reverse Lockout: Command reverse lockout.
  • CAGS: Command the CAGS (skip shift) solenoid

  • HS Driver 1: Command the High Side Solenoid 1
  • HS Driver 2: Command the High Side Solenoid 2

  • Clutch 1 Solenoid: Command the Clutch Solenoid 1
  • Clutch 2 Solenoid: Command the Clutch Solenoid 2
  • Clutch 3 Solenoid: Command the Clutch Solenoid 3
  • Clutch 4 Solenoid: Command the Clutch Solenoid 4

Fan VCM Controls

  • Fan Low: Command the low speed fan operation..
  • Fan High: Command the high speed fan operation.
  • Fan 3: Command the Fan 3 operation.
  • Fan Speed: Command the Fan Speed.

Fuel & Spark VCM Controls

  • Closed Loop: Command closed loop operation.
  • Fuel Trim Learn: Command fuel trim learn.
  • Reset Fuel Trims: Zero all short term and long term fuel trims. This will reset all learned fuel modification values.

  • Fuel Pump: Command the fuel pump.
  • Fuel Pump - Hi: Command the fuel pump hi mode of operation.

  • Secondary Fuel Pump: Command the secondary Fuel Pump relay (if fitted).
  • Fuel Pump PWM Level: Command the Fuel Pump PWM duty cycle (if variable speed fuel pump fitted).

  • Spark Control - Absolute: Command the absolute spark value.
  • Spark Control - Plus: Command the amount of degrees to be added to the current calculated spark value.
  • Spark Control - Minus: Command the amount of degrees to be subtracted from the current calculated spark value.

  • Spark Idle Control: Command the spark advanced method for idle operation.
  • AFR Control: Command the desired Air Fuel Ratio.

  • Wait to Start: Command the Wait to Start lamp on the cluster

  • Glow Plug: Command the Glow Plug.

Special VCM Controls

  • Cylinder Balance: The cylinder balance test calculates % of efficiency using current RPM. RPM is gauged with all injectors running normally. Injectors are then cut 1 cylinder at a time and the new RPM is compared to the pre-test RPM to determine % of efficiency. To use this test the main scanner must be stopped. You must also control the IAC steps as well for consistency.

  • Idle (IAC) Control RPM: Force a desired idle RPM.
  • Idle (IAC) Control Steps: Force the IAC motor to this position. This control is also used for the cylinder balance test.
  • Idle (IAC) Control TPS: Force the IAC motor to this position. This control is also used for the cylinder balance test.

  • CASE Learn: To use the CASE learn function please follow these steps:
    1. Put the vehicle into park (auto) or neutral (manual).
    2. Turn off all accessories and A/C.
    3. Apply the parking brake.
    4. Press the brake pedal. Keep the brake pedal depressed during the entire procedure.
    5. Press Begin.
    6. Gradually rev the vehicle to fuel cutoff (around 4000-5000 RPM's) over a period of about 4 seconds. When fuel cuts out, immediately release the throttle.
    7. Allow the engine to come back to an idle.
    8. Turn the ignition off for at least 15 seconds. This step is required for the VCM to store the newly learned configuration.


Enhanced IO

Enhanced IO (EIO)

The Enhanced IO interface has 4 programmable inputs and 2 programmable outputs.

This feature is not available for our standard interface units, ONLY for those who have Enhanced IO interfaces. Enhanced IO interfaces have a third plug that sticks out of the side interface where a pigtail plugs in. The plug consists of 8 pins in a row. When you receive your EIO interface, there is a cap covering the pins which can be pulled off to expose the pins.

To upgrade your interface please e-mail us at sales@hptuners.com.

Enhanced IO specifications

  • Four high impedance, buffered, filtered, 10 bit 0-5v analog to digital conversion channels that can connect to almost any device.
    Input impedance greater than 4meg ohm.
    A/D inputs can tolerate short term over voltage without damage.
  • One 5v output 200 milliamp max (for powering external sensors).
    Employs short circuit protection
  • One ground reference tie point.
  • Two sink to ground 190 milliamp maximum each, continuous duty device drivers.

Control external devices by providing a ground when commanded on.
Driver circuits CANNOT tolerate an over 200 milliamp short. Do not exceed these limits or you will damage the outputs. If you are unsure of the device/circuit you are testing contact us at support@hptuners.com
Always use a 200 ma fuse in line with you connected device.
Blown output transistors will NOT be covered under warranty.

Connecting

Configuration

Standalone Data Logging


Enhanced IO - Connecting

Connecting the Enhanced Input Output (EIO) Interface Unit

USB MPVI Pro Interface Only

Serial Interface Only

Sample Relay Circuit
The Following circuit uses a Bosch Automotive Relay
Part Number 0-332-204-150
When and how the relay(s) turns on and off by tracking any engine variable or A/D channel value is configured in the VCM Scanner program. They can be used as a status indicator or external high current device control. NEVER use the interface to control relays where safety is an issue or vehicle damage may occur.
Do not forget to add the driver protection fuse.

Sample Light Circuit
The Following circuit uses a Radio Shack 276-272 12v Led with built in resistor and a Radio Shack 272-331 Panel Lamp using the supplied pigtail connector. Both lights come in their own ready to mount housing.
When the light(s) turns on and off by tracking an engine or A/D channel values are configured in the VCM Scanner program. You can use any type of light/color you want as long as it does not draw more than 150 milliamps when lit. If it does you will need to add a driver relay to isolate the interface unit from the larger current draw (see driving a relay diagram).
Do not forget to add the driver protection fuse.

Sample Wide Band Oxygen Sensor Controller or EGT sensor circuit.
The following circuit shows the connection between the 0- 5v analog output
from an aftermarket wide band controller or EGT sensor (exhaust gas temperature) using the supplied pigtail connector.
Refer to the manufacturer’s documentation on how to connect and configure their device.
The Device can also be a 0-3 volt controller or anywhere in between the 0- 5 volt range.

The analog signal may be connected to any of the four inputs. Configuration of each channel is determined through software setup in VCM Scanner.


Enhanced IO - Configuration

Enhanced IO Configuration

The Enhanced IO interface has 4 programmable inputs and 2 programmable outputs.

Note: The EIO Input feature is not available for our standard interface units, ONLY for those who have Enhanced IO interfaces.
The EIO Output feature can still be configured and displayed for standard interface units, but the EIO interface is required to actually control the interface outputs.

To upgrade your interface please e-mail us at sales@hptuners.com.

Input

Input signal must be a 0-5v+ source.
You can monitor predefined inputs or create your own input type.
Each box in the grid represents an individual input on the interface. Use the above picture as a guide.

To add an input to the table display, select the box in the grid that corresponds to the input # you are using on your interface then right click and select insert.
The insert menu will display a list of predefined inputs, which you can select from.

If you do not see your sensor in the list you can add it manually by using one of the existing user defined spaces. Simply click Configure User Defined from under the User Defined list.
If you would like your sensor to be added permanently, please e-mail support@hptuners.com with all of your sensor information.

Predefined Inputs
  • Wide Band O2 - LM1: result = volts / .5 + 10
  • Wide Band O2 - TE 2A0: result = volts / .5 + 9
  • Wide Band O2 - PLX: result = volts / .5 + 10
  • Wide Band O2 - Autronic MAFM1: result = volts / .25 + 10
  • Wide Band O2 - AEM: result = volts / .5 + 10
  • Wide Band O2 - AFM1000: result = volts / .5 + 8
  • Wide Band O2 - G100: result = volts / 0.71248 + 9
  • Wide Band O2 - DynoJet: result = volts / .625 + 10
  • Wide Band O2 - LC1: result = volts / 0.3324 + 7.35
  • Wide Band O2 - NGK: result = volts / 0.7142 + 9
  • Wide Band O2 - FJO: Internal non-linear map.

  • 1 Bar MAP - GM: result = volts / .0533 + 10.354
  • 2 Bar MAP - GM: result = volts / .02517 + 9

  • Fuel Pressure - Autometer: result = volts / .04 - 12.5

  • Raw Voltage: result = volts / 1 + 0

User Defined Input Configuration

  1. Select which user defined input field you would like to modify from the drop down list.
  2. Enter the name to be displayed for your input.
  3. Define the inputs Sensor if a type applies.
  4. Enter the units of your input.
  5. Select either List or Formula.
    • List: Enter in the data points manually. 51 total points ranging from 0 to 5 volts in .1 increments. Format is as follows:
      Volts, Output
      0,10
      0.1,10.2
      0.2,10.4
      0.3,10.6
    • Linear Formula: Enter in the formula used to convert voltage to a readable output number.

      To calculate a new formula for a custom wideband controller, take the total output voltage range divided by the AFR range.
      Example:
      If your wideband controllers output uses a 0v to 5v output, your output voltage range is 5.
      If your wideband controllers output is between 10afr and 18afr, your AFR range is 8.
      Total output voltage range divided by the AFR range would be 5/8 = 0.625
      The above number would be placed under the Volts text in your configuration.
      Then, in the + cell, you would enter in the minimum AFR value. For this example you would enter in 10.
To add your new input, simply insert a new value into your input table and select it from the User Defined List.

Output Configuration

Note: If using a standard (Non-EIO) interface, the table display will update to reflect the output status but no actual interface outputs will be triggered.
  • Output will be commanded to on when your Enable Trigger activates.
  • Output will be disabled when your Disable Trigger activates.
  • Frames Required is the number of consecutive frames that must either pass or fail your qualification to force a change in your output state. It is highly recommended you set this value to 2 or higher. If you have this set to 1 and have a packet loss, that individual packet loss could cause the change of state for your output signal.
  • For an output to function, you must define the name, enable trigger and disable trigger.
  • It is common to set your enable trigger > or = to a value, for example (x > y) OR (x = y).
  • It is common to set your disable trigger < to a value, for example (x < y).
  • Note that (x >= y) is invalid as >= is not a valid conditional operator.


Enhanced IO - Standalone Data Logging

MPVI Pro Standalone Data Logging

The standalone data logging capability of the MPVI Pro unit allows scanning of the vehicle without the use of a laptop. You can simply load your config using VCM Scanner into the MPVI Pro unit, take the MPVI Pro unit to the vehicle and press and hold the record button for two seconds to begin recording.

When you are done recording, press and hold the stop button for two seconds.
You must always use the stop button to halt the logging process.
Powering down the unit while it is recording or while the Busy LED is lit during a stop request will cause the current log to become corrupted.

The interface can store up to 32 individual logs if they are small, or about 80 minutes of data.
This all varies on the vehicle you are connected to and the number of bytes per frame you are recording.

To insert a marker while recording, press the Record button for 1 second. The Busy light will blink indicating a marker has been inserted into the recorded data.
After a marker has been added there is a 2 second delay before you can add another marker.

  • All button sequences take 1 seconds to validate.
  • When not logging, hold the record and stop buttons for 2 seconds to erase the logs without the laptop. The Busy LED will blink until all logs are erased.
  • The Record light will blink when you have used 90% of the memory, or have about 6 minutes of space for data left on the interface.
  • The ERR light will flash after a record request if the interface could not establish communications with the vehicle. The configuration setup is vehicle specific and may require you to program a new configuration for the vehicle you are logging.
  • The ERR light will light solid if a configuration is not programmed, the interface is full, or a corrupt log location has been found. Use the software to determine.

Write Config

This will write your current table display configuration into the MPVI Pro unit.
Be aware that it will erase any current logs you have saved in the unit.

You can use user defined AUX inputs with your configuration as well.
Any configured outputs will not be stored into the config of the MPVI Pro unit.
Only inputs are recorded during standalone data logging, outputs are not used.

Get Info

This will report the current VIN, operating system ID, number of logs present and the percentage of log data mem used.

Read Logs

This will read all logs from the interface. No logs will be erased by reading them.

Erase Logs

This will erase all logs currently stored in the interface. Your config will not be erased.


EIO How To Section

How to Install a LC1 Wideband O2

To submit your addition, please e-mail us at support@hptuners.com. Be sure that you include your full name or specify anonymous for credit. Thanks!


How to Install a LC1 Wideband O2 by Scott Evans, 'Soundengineer'

Using LC1 as a Wideband and a Narrowband with HP Tuners EIO

EIO Connections

Stock Narrowband Connector

LC1 to EIO Wiring Diagram
LC1 RED - 12v power Ignition On Voltage - Any 12 volt DC source
LC1 BLUE - Heater Ground - Chassis Ground
LC1 YELLOW - Analog 1 (narrowband outout) - PIN B of Stock Narrowband Connector
LC1 BROWN - Analog 2 (Wideband output) - Any EIO Input (WHITE-PURPLE-BLUE-GREEN)
LC1 GREEN - Analog Ground - EIO Ground (EIO BLACK)
LC1 WHITE - System Ground - Chassis Ground
LC1 BLACK - Calibration Wire - Momentary Switch conects between LC1 Black and Ground

Optional Status LED connects between calibration wire and Ground

LC-1 grounds (BLUE-WHITE) should go to chassis ground.

Output of the Wideband side should be set to 1/12 or 1/6th second output-update rate.

Output of the Narrowband side should be set to 1/6th second output-update rate(best simulates the response of the stock o2 sensor.


Custom Functions, Filters and Triggers

Configuring User Defined PIDs

The first few PIDs in the user defined list are internal and cannot be modified.

You cannot modify user defined PIDs when you are scanning or have a log file open for playback.

For a user defined PID to function properly, the Sensors and PIDs you reference in the function must be loaded into the table display. If your user defined PID always shows a value of 0, either you reference a Sensor or PID that is not loaded into the table display or your function syntax is invalid.

Note: User defined PIDs are ALWAYS calculated, even if they are not shown in the table display. You should be careful about defining custom PIDs as sensors if they will generate bad data, as sensor's are always averaged. eg. if you create a user defined boost PID (for a boost gauge using EIO input) as a MAP sensor, this data will always be averaged with other MAP sensor PIDs, such as MAP (SAE) even if your boost gauge is not connected. This can cause problems in histograms and charting if they reference sensors for axis. The solution to this issue is not to declare user-defined PID as sensors and reference the PIDs directly in charts if needed.

You can define your own sensors using user defined PIDs as well. User defined PIDs as sensors can make up for sensors some vehicles may lack such as Cylinder Air and others.

If you define a function as a logical expression using AND OR = < or >, the result will return 1 for true and 0 for false.

Function, Filter and Trigger Help

Next to all of the function and filter boxes in VCM Scanner is a small blue question mark. Clicking the small blue question mark will load up the HPT Custom Function, Filter and Trigger Help window. This window will display all currently supported Sensors and PIDs and their respective IDs to use when defining your functions and filters.

When you have a log file open or are scanning a vehicle, any supported items in the table display are indicated as red in this help window.

Histogram Filters

If you define a filter, the filter must return a value of 1 (true) to add the current cell to the histograms data. If the filter returns 0 (false), the frame will not be added to the histograms history.

You can combine filters using AND and OR statements.

Examples of valid filters are:
[SENS.90] > 50
[PID.11.MET] < 85
[PID.11.MET] < 85 AND [SENS.90] > 50
[PID.11.MET] < 85 & [SENS.90] > 50

Enhanced IO Output Triggers

Enhanced IO Outputs Triggers are defined just the same as the Histogram Filters.

Supported Binary Operations

+ | Sum up two operands.
- | Subtract two operands.
* | Multiple two operands.
/ | Divide two operands.
^ | Raise to a power.

Supported Relational Operations

> | If x > y result is 1 otherwise 0.
< | If x < y result is 1 otherwise 0.
= | If x = y result is 1 otherwise 0.

Supported Conditional Operations

AND | If x = 1 and y = 1 result is 1 otherwise 0.
OR | If x = 1 or y = 1 result is 1 otherwise 0.
& | If x = 1 and y = 1 result is 1 otherwise 0.
| | If x = 1 or y = 1 result is 1 otherwise 0.

Supported Functions

sin(x) | Returns the sine of x where x is in radians.
cos(x) | Returns the cosine of x where x is in radians.
tan(x) | Returns the tangent of x where x is in radians.
abs(x) | Returns the absolute value of x.
round(x) | Returns the whole number nearest x.


Tips and Tricks

General

VCM Editor

VCM Scanner

Converting MAP kPa to boost in PSI

Converting negative reported timing advance to positive


General Tips and Tricks


VCM Editor Tips and Tricks


VCM Scanner Tips and Tricks

Converting MAP kPa to boost in PSI

GM V6 based vehicles

Converting negative reported timing advance to positive


Converting MAP kPa to boost in PSI

Converting MAP kPa to boost in PSI

Application: All vehicles that reference MAP

To allow you to view actual boost pressures above atmospheric pressure you can simply make a custom PID.

VCM Suite 2 allows two solutions to this:

Solution 1
Create a user defined PID and insert into the table as follows:
  • Name: Boost
  • Abbrv: Boost
  • Sensor: Manifold Absolute Pressure
  • Units: PSI
  • Function: [PID.11.IMP]-14.5
How it works: The scanner will convert map into absolute PSI & subtract atmospheric pressure. You shouldn't have to change your histograms, charts, gauges etc. as they all log as sensor based by default.

Solution 2
This method is similar but uses [SENS.30.IMP]-14.5 as the function. You shouldn't have to change your histograms, charts, gauges etc. as they all log as sensor based by default.


Converting negative reported timing advance to positive

Converting negative reported timing advance to positive

Application: GM V6 based vehicles

For many late model GM V6 based vehicles (those derived from the 3800 Series II platform) the factory computer will report positive timing as a negative number.

VCM Suite 2 allows two solutions to this:

Solution 1
Create a user defined PID and insert into the table as follows:
  • Name: Timing Advance - V6 Fix
  • Abbrv: Adv - V6
  • Sensor: Timing Advance
  • Units: °
  • Function: -3.0 * [PID.14]
How it works: The scanner will average the values of all sensors of same type currently being scanned. What we have done here is create a new PID that returns 3x the spark advance in the positive direction so that when it averages the two values you get the actual spark advance in the positive. You shouldn't have to change your histograms, charts, gauges etc. as they all log as sensor based by default.

Solution 2
This method is similar but uses -1.0 * [PID.14] as the function. You would then have to go switch your histo's and charts etc. to plot the PID value rather than the sensor value.


Online Resources

HP Tuners Website

www.hptuners.com

HP Tuners Forum

www.hptuners.com/forum

HP Tuners FAQ

www.hptuners.com/forum/forumdisplay.php?f=35